<?php
 namespace App\Backup; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\FindChmodCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\RcloneCopyCommand; use App\System\Command\RcloneLsJsonCommand; use App\System\Command\RclonePurgeCommand; class Rclone { private const FREQUENCY_DAILY = "\144\141\151\x6c\x79"; private const CONFIG_DIRECTORY = "\x2f\162\157\x6f\164\x2f\x2e\x63\157\x6e\146\x69\x67\57\x72\x63\x6c\x6f\156\x65\57"; private const CLP_USER_CONFIG_DIRECTORY = "\x2f\x68\x6f\x6d\x65\57\x63\x6c\x70\x2f\x2e\143\x6f\156\146\151\147\57"; private const CLP_USER = "\x63\x6c\160"; public const CREDENTIALS_DIRECTORY = "\x2f\150\157\x6d\x65\57\x63\154\x70\57\x2e\143\x6f\x6e\x66\x69\147\57\x72\x63\x6c\x6f\x6e\x65\x2f\x63\x72\145\x64\x65\x6e\164\151\141\154\163\x2f"; private const CONFIG_FILE = "\x2f\x72\x6f\x6f\x74\57\x2e\143\157\x6e\146\x69\147\57\x72\x63\x6c\157\x6e\145\57\x72\143\154\x6f\156\x65\56\x63\x6f\x6e\146"; private const CRON_JOB_FILE = "\x2f\145\164\x63\x2f\x63\x72\157\x6e\x2e\x64\57\143\x6c\160\x2d\162\x63\154\157\156\x65"; private CommandExecutor $commandExecutor; private ?string $configFile = null; private array $flags = []; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function setConfigFile(string $configFile) : void { $this->configFile = $configFile; } public function getConfigFile() : ?string { goto f6d43; bc36b: return $this->configFile; goto db779; f6d43: if (!(true === is_null($this->configFile))) { goto e7f88; } goto C4169; c14d9: e7f88: goto bc36b; C4169: $this->configFile = self::CONFIG_FILE; goto c14d9; db779: } public function addFlag(string $flag, string $value) { $this->flags[] = ["\x66\154\141\147" => $flag, "\x76\141\154\165\x65" => $value]; } public function getFlags() : array { return $this->flags; } public function copy(string $source, string $destination) : void { goto a15f6; A6609: $this->commandExecutor->execute($rcloneCopyCommand, 21600); goto bd878; E48e4: $this->addFlagsToCommand($flags, $rcloneCopyCommand); goto A6609; F5e70: $configFile = $this->getConfigFile(); goto ab8c6; F02d6: $rcloneCopyCommand->setConfigFile($configFile); goto Ff5a8; ab8c6: $rcloneCopyCommand = new RcloneCopyCommand(); goto F02d6; F7086: $rcloneCopyCommand->setDestination($destination); goto E48e4; Ff5a8: $rcloneCopyCommand->setSource($source); goto F7086; a15f6: $flags = $this->getFlags(); goto F5e70; bd878: } public function lsJson(?string $remotePath = null, $directoriesOnly = false) : array { goto eeaa7; fc0d0: $rcloneLsJsonCommand = new RcloneLsJsonCommand(); goto c1655; Ead1e: A32a9: goto E3a68; E411b: $files = $rcloneLsJsonCommand->getFiles(); goto B24f0; c1655: $rcloneLsJsonCommand->setConfigFile($configFile); goto A22da; B24f0: return $files; goto d69c5; a5665: $this->commandExecutor->execute($rcloneLsJsonCommand, 20); goto E411b; A22da: $rcloneLsJsonCommand->setRemotePath($remotePath); goto d9ddc; D6773: $rcloneLsJsonCommand->setDirectoriesOnly(true); goto Ead1e; d9ddc: if (!(true === $directoriesOnly)) { goto A32a9; } goto D6773; A899a: $configFile = $this->getConfigFile(); goto fc0d0; eeaa7: $flags = $this->getFlags(); goto A899a; E3a68: $this->addFlagsToCommand($flags, $rcloneLsJsonCommand); goto a5665; d69c5: } public function purge(string $remotePath) { goto Be39d; Ffe72: $this->commandExecutor->execute($rclonePurgeCommand, 21600); goto dcc7c; c83fd: $this->addFlagsToCommand($flags, $rclonePurgeCommand); goto Ffe72; Be39d: $flags = $this->getFlags(); goto cfa44; a73da: $rclonePurgeCommand->setRemotePath($remotePath); goto c83fd; cfa44: $rclonePurgeCommand = new RclonePurgeCommand(); goto a73da; dcc7c: } public function writeConfig(string $config) : void { goto cfc4b; cfc4b: $configFile = $this->getConfigFile(); goto E6f7f; E6f7f: $createConfigDirectoryCommand = new CreateDirectoryCommand(); goto D56bb; C3cd2: $this->commandExecutor->execute($writeConfigFileCommand); goto d443b; D523c: $writeConfigFileCommand->setContent($config); goto B3dd3; e56db: $writeConfigFileCommand = new WriteFileCommand(); goto aba9a; aba9a: $writeConfigFileCommand->setFile($configFile); goto D523c; B3dd3: $this->commandExecutor->execute($createConfigDirectoryCommand); goto C3cd2; D56bb: $createConfigDirectoryCommand->setDirectory(self::CONFIG_DIRECTORY); goto e56db; d443b: } public function writeCredentialsFile(string $file, string $content) : void { goto bfb8d; d7d2d: $chownConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto c26c6; c26c6: $chownConfigDirectoryCommand->setRecursive(true); goto c938c; fdcfa: $chmodConfigDirectoryCommand = new FindChmodCommand(); goto ad64a; c180c: $this->commandExecutor->execute($chmodConfigDirectoryCommand); goto D5a5d; F476f: $chownConfigDirectoryCommand = new ChownCommand(); goto d7d2d; ad64a: $chmodConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto A25e5; e291f: $chmodConfigDirectoryCommand->setFileChmod(770); goto Ac057; a7492: $this->commandExecutor->execute($chownConfigDirectoryCommand); goto c180c; A25e5: $chmodConfigDirectoryCommand->setDirectoryChmod(770); goto e291f; Ac057: $this->commandExecutor->execute($credentialsDirectoryCommand); goto a7492; bfb8d: $credentialsDirectoryCommand = new CreateDirectoryCommand(); goto e0455; c938c: $chownConfigDirectoryCommand->setUser(self::CLP_USER); goto B3e0c; D5a5d: file_put_contents($file, $content); goto Ab92f; e0455: $credentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto F476f; B3e0c: $chownConfigDirectoryCommand->setGroup(self::CLP_USER); goto fdcfa; Ab92f: } public function createCronJob(string $frequency, string $executionTime = null) : void { goto Bab9b; f384d: $writeCronJobFileCommand->setContent($cronJobContent); goto A4593; Bd15c: $cronJobContent .= sprintf("\x30\x20\x25\163\40\x2a\x20\x2a\x20\52\40\x63\x6c\x70\x20\57\165\x73\162\57\142\x69\x6e\x2f\142\141\163\150\40\55\143\40\x22\57\x75\x73\x72\57\142\x69\156\x2f\x63\154\160\143\x74\154\40\x72\145\155\x6f\164\x65\55\142\141\x63\153\165\160\x3a\143\x72\x65\x61\x74\x65\40\x2d\x2d\x64\145\x6c\x61\171\75\x74\162\165\x65\x22\40\46\76\x20\x2f\x64\145\x76\57\156\165\154\x6c", $executionTime); goto F959f; C84d3: $writeCronJobFileCommand = new WriteFileCommand(); goto d4b26; d4b26: $writeCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto f384d; eb564: $cronJobContent .= sprintf("\60\x20\52\57\x25\163\40\x2a\x20\x2a\x20\52\x20\143\x6c\x70\40\x2f\x75\163\x72\x2f\x62\151\x6e\57\142\141\x73\x68\40\x2d\x63\40\x22\57\165\163\x72\57\x62\x69\156\57\143\x6c\160\x63\164\x6c\x20\162\145\155\157\x74\145\55\142\x61\x63\153\165\x70\72\x63\x72\x65\141\x74\145\40\x2d\55\x64\145\x6c\141\x79\x3d\x74\162\165\145\42\40\46\x3e\40\x2f\144\x65\166\x2f\156\165\x6c\x6c", $frequency); goto Ccb48; Ccb48: goto Ffb9e; goto d411b; F959f: Ffb9e: goto C84d3; d411b: d0ef0: goto Bd15c; Fb781: if (self::FREQUENCY_DAILY == $frequency) { goto d0ef0; } goto eb564; Bab9b: $cronJobContent = sprintf("\x4d\101\111\x4c\x54\x4f\75\x22\42\45\163", PHP_EOL); goto Fb781; A4593: $this->commandExecutor->execute($writeCronJobFileCommand); goto A60cd; A60cd: } private function addFlagsToCommand(array $flags, $command) : void { goto C2a3e; C2a3e: if (!(false === empty($flags))) { goto B37cf; } goto b0423; e9f06: A6649: goto d6d28; b0423: foreach ($flags as $flagData) { $command->addFlag($flagData["\x66\154\x61\x67"], $flagData["\x76\141\x6c\165\145"]); D5277: } goto e9f06; d6d28: B37cf: goto F8c18; F8c18: } public function deleteCronJob() : void { goto c0c2b; c0c2b: $deleteCronJobFileCommand = new DeleteFileCommand(); goto E2682; E2682: $deleteCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto B75ea; B75ea: $this->commandExecutor->execute($deleteCronJobFileCommand); goto acd31; acd31: } public function deleteCredentials() : void { goto b7845; b7845: $deleteCredentialsDirectoryCommand = new DeleteDirectoryCommand(); goto B6fca; Fe700: $this->commandExecutor->execute($deleteCredentialsDirectoryCommand); goto F7849; B6fca: $deleteCredentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto Fe700; F7849: } }
