<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Database\Manager as DatabaseManager; use App\Service\Crypto; class DatabaseAddCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto d5be0; E1b12: parent::__construct(); goto a2ce5; d57f9: $this->databaseUserEntityManager = $databaseUserEntityManager; goto C73cb; C73cb: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Dbf07; Dbf07: $this->validator = $validator; goto E1b12; ed4bb: $this->databaseEntityManager = $databaseEntityManager; goto d57f9; d5be0: $this->siteEntityManager = $siteEntityManager; goto ed4bb; a2ce5: } protected function configure() : void { goto bd8ec; Db8cb: $this->addOption("\144\141\164\x61\x62\141\x73\145\116\141\x6d\145", null, InputOption::VALUE_REQUIRED); goto cc867; B9e5a: $this->addOption("\x64\157\x6d\141\x69\x6e\x4e\141\155\145", null, InputOption::VALUE_REQUIRED); goto Db8cb; c78df: $this->addOption("\x64\141\x74\x61\x62\x61\x73\145\x55\x73\145\x72\120\141\163\x73\167\x6f\x72\x64", null, InputOption::VALUE_REQUIRED); goto cf99b; cc867: $this->addOption("\x64\141\164\x61\x62\141\x73\x65\x55\x73\145\162\116\x61\x6d\x65", null, InputOption::VALUE_REQUIRED); goto c78df; a50df: $this->setDescription("\x63\154\160\x63\x74\154\x20\144\x62\x3a\x61\x64\144\40\55\x2d\144\157\x6d\141\x69\156\116\x61\155\145\75\x77\x77\167\x2e\144\x6f\155\141\x69\156\x2e\x63\157\x6d\x20\x2d\55\x64\x61\x74\141\x62\141\x73\145\116\x61\x6d\x65\75\155\x79\x2d\144\x61\x74\141\x62\141\x73\145\x20\55\55\x64\141\x74\x61\x62\141\163\x65\125\163\x65\162\116\x61\x6d\145\75\x6a\x6f\x68\156\x20\x2d\55\x64\x61\164\x61\142\141\x73\x65\125\163\145\162\120\141\x73\163\167\157\x72\x64\75\x27\x21\x73\145\143\x72\145\x74\x50\141\x73\x73\167\x6f\162\144\x21\47"); goto B9e5a; bd8ec: $this->setName("\x64\142\72\141\x64\x64"); goto a50df; cf99b: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto c3af0; a4be6: a0dd5: goto Aea2e; d68c7: $databaseManager->createUser($databaseUserEntity); goto B67db; c5af3: $siteEntity->addDatabase($databaseEntity); goto a67aa; Fde69: $constraints = new ConstraintViolationList(); goto fb773; D76a9: $databaseName = trim($input->getOption("\x64\x61\164\141\x62\x61\163\145\x4e\141\x6d\145")); goto C640d; cec19: $databaseUserConstraints = $this->validator->validate($databaseUserEntity); goto c6839; Fc4f1: $databaseUserPassword = trim($input->getOption("\144\141\164\x61\x62\141\163\145\125\x73\x65\x72\120\141\x73\163\x77\157\x72\144")); goto F73b9; F767d: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto Dcf04; dd153: return BaseCommand::FAILURE; goto be218; B67db: $this->siteEntityManager->updateEntity($siteEntity); goto B63ee; B895c: $constraints->addAll($databaseUserConstraints); goto F164c; dd545: $domainName = trim($input->getOption("\x64\157\x6d\x61\x69\x6e\116\141\155\145")); goto D76a9; E79ec: Ea6e2: goto Cde85; fb254: $databaseEntity->addUser($databaseUserEntity); goto c5af3; Aea2e: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto a273d; b8cda: throw new \Exception(sprintf("\104\157\x6d\141\x69\156\116\141\155\145\x20\x22\45\x73\x22\40\x64\x6f\x65\x73\x20\x6e\157\164\40\145\x78\x69\x73\164\x2e", $domainName)); goto E79ec; c89fd: Cf407: goto a6b5f; Fe263: $databaseEntity->setSite($siteEntity); goto f18c7; a67aa: $databaseConstraints = $this->validator->validate($databaseEntity); goto cec19; D2957: $databaseUserEntity->setUserName($databaseUserName); goto F767d; c75ce: $databaseEntity = $this->databaseEntityManager->createEntity(); goto D8a2e; c3af0: $this->validateInput($input); goto dd545; fd7cf: goto Cf407; goto a4be6; D8a2e: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto ee490; a273d: $databaseManager->createDatabase($databaseEntity); goto d68c7; ee490: $databaseEntity->setName($databaseName); goto Fe263; f18c7: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto D2957; c6839: if (0 == count($databaseConstraints) && 0 == count($databaseUserConstraints)) { goto a0dd5; } goto Fde69; B1e9d: if (!(false === is_null($activeDatabaseServerEntity))) { goto ababf; } goto c75ce; C640d: $databaseUserName = trim($input->getOption("\144\x61\x74\141\x62\x61\163\145\125\x73\145\x72\116\x61\155\x65")); goto Fc4f1; Cde85: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto B1e9d; fb773: $constraints->addAll($databaseConstraints); goto B895c; d27fa: return BaseCommand::SUCCESS; goto c89fd; a6b5f: ababf: goto dd153; F73b9: $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); goto F603c; B63ee: $output->writeln(sprintf("\x3c\x69\x6e\146\157\76\x44\141\164\141\142\x61\163\x65\74\57\x69\156\146\157\x3e\x20\74\x63\x6f\x6d\155\x65\156\x74\76\x25\163\x3c\x2f\x63\157\x6d\x6d\145\x6e\x74\x3e\40\74\x69\x6e\146\x6f\x3e\x68\x61\x73\40\142\145\x65\156\x20\141\144\x64\145\144\x2e\x3c\x2f\151\156\146\x6f\76", $databaseName)); goto d27fa; F603c: if (!(true === is_null($siteEntity))) { goto Ea6e2; } goto b8cda; F164c: return $this->renderConstraints($constraints, $output); goto fd7cf; Dcf04: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto E7032; E7032: $databaseUserEntity->setDatabase($databaseEntity); goto fb254; be218: } catch (\Exception $e) { goto a3c35; cd2e2: return BaseCommand::FAILURE; goto c98af; E8ab3: $output->writeln(sprintf("\x3c\145\x72\162\x6f\162\x3e\x25\163\74\x2f\x65\162\162\x6f\162\76", $errorMessage)); goto cd2e2; a3c35: $errorMessage = $e->getMessage(); goto E8ab3; c98af: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\156\x61\155\145", "\144\141\164\x61\x62\x61\x73\x65\116\x61\x6d\145", $constraints); $this->changePropertyPath("\165\x73\x65\162\x4e\141\155\x65", "\144\x61\x74\x61\142\141\x73\145\x55\x73\x65\x72\116\x61\x6d\145", $constraints); } }
