<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\System\Command\DeleteOldFilesRecursiveCommand; use App\System\Command\FindChmodCommand; use App\System\Command\ChownCommand; use App\Database\Exporter as DatabaseExporter; class DatabaseBackupCommand extends BaseCommand { private const RETENTION_PERIOD = 7; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private int $retentionPeriod = 0; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto c0c5d; Eb5fa: parent::__construct(); goto c8e70; c0c5d: $this->siteEntityManager = $siteEntityManager; goto bdff7; bdff7: $this->databaseEntityManager = $databaseEntityManager; goto d21bd; Cc747: $this->validator = $validator; goto Eb5fa; d21bd: $this->databaseServerEntityManager = $databaseServerEntityManager; goto D3124; D3124: $this->commandExecutor = new CommandExecutor(); goto Cc747; c8e70: } protected function configure() : void { goto Dcfc0; C67fe: $this->addOption("\x69\147\x6e\x6f\x72\145\x44\141\164\141\x62\141\163\x65\x73", null, InputOption::VALUE_OPTIONAL); goto f175a; f175a: $this->addOption("\x72\x65\164\145\x6e\164\x69\157\156\120\x65\x72\151\157\144", null, InputOption::VALUE_OPTIONAL, '', self::RETENTION_PERIOD); goto E851f; Dcfc0: $this->setName("\x64\142\x3a\x62\x61\x63\153\165\160"); goto e6918; e6918: $this->setDescription("\x63\154\x70\143\164\154\40\x64\x62\x3a\x62\x61\143\x6b\165\160\x20\x2d\x2d\x69\x67\156\157\162\145\104\141\x74\141\142\x61\x73\145\163\x3d\x27\x64\142\x31\x2c\144\x62\x32\47\x20\x2d\x2d\162\145\164\x65\156\x74\151\157\x6e\x50\x65\x72\x69\x6f\144\x3d\67"); goto C67fe; E851f: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto ee5c9; f4a77: return BaseCommand::SUCCESS; goto E91f7; Df7e1: ad850: goto f4a77; B84d2: $this->retentionPeriod = (int) $input->getOption("\x72\145\164\x65\156\164\151\157\156\120\x65\162\x69\x6f\144"); goto c34e7; Bcc0f: foreach ($siteEntities as $siteEntity) { goto Cf7fe; fa847: Adb7d: goto Fd5d6; a6982: foreach ($databaseEntities as $databaseEntity) { goto a5f49; C7e2a: if (!(false === in_array($databaseName, $ignoredDatabases))) { goto aebeb; } goto a5bb3; e4c49: aebeb: goto b4661; b4661: de142: goto Af569; a5f49: $databaseName = $databaseEntity->getName(); goto C7e2a; a5bb3: $this->createDatabaseDump($databaseEntity); goto e4c49; Af569: } goto b4e7f; c10b0: Fcdb8: goto fa847; b4e7f: E8f8e: goto c10b0; Cf7fe: $databaseEntities = $siteEntity->getDatabases(); goto E8d2f; E8d2f: if (!count($databaseEntities)) { goto Fcdb8; } goto a6982; Fd5d6: } goto B1542; ee5c9: $this->validateInput($input); goto ddb60; B1542: D27a2: goto Df7e1; ddb60: $ignoredDatabases = explode("\54", $input->getOption("\x69\147\156\x6f\x72\x65\104\141\164\x61\x62\x61\163\145\x73")); goto B84d2; c34e7: $siteEntities = $this->siteEntityManager->findAll(); goto D48ee; D48ee: if (!count($siteEntities)) { goto ad850; } goto Bcc0f; E91f7: } catch (\Exception $e) { goto F1fff; F05f3: $output->writeln(sprintf("\x3c\x65\162\x72\157\162\76\45\x73\74\57\145\162\x72\x6f\x72\x3e", $errorMessage)); goto c57b3; F1fff: $errorMessage = $e->getMessage(); goto F05f3; c57b3: return BaseCommand::FAILURE; goto a3ba5; a3ba5: } } private function createDatabaseDump(DatabaseEntity $databaseEntity) : void { try { goto c6118; c6118: $dateTime = new \DateTime("\156\x6f\167", new \DateTimeZone("\125\124\x43")); goto a28c5; A8d71: $databaseExporter->setFile($outputFile); goto E533d; a63c6: $databaseExporter = new DatabaseExporter($databaseEntity); goto A8d71; E1bde: $databaseName = $databaseEntity->getName(); goto F53c9; fdab4: $outputDirectory = sprintf("\x25\163\57\45\x73\x2f\45\x73\x2f", rtrim($backupDirectory, "\x2f"), $databaseName, $dateTime->format("\x59\55\155\x2d\144")); goto f07b8; bcc19: $this->resetPermissions($databaseEntity); goto da4a3; f07b8: $outputFile = sprintf("\x25\163\57\x25\x73", rtrim($outputDirectory, "\57"), sprintf("\45\163\137\45\163\x2e\163\x71\x6c\56\x67\172", $databaseName, $dateTime->getTimestamp())); goto a63c6; E533d: $databaseExporter->createOutputDirectory(); goto A0de7; a28c5: $siteEntity = $databaseEntity->getSite(); goto B2bc4; da4a3: $this->cleanUpBackups($databaseEntity); goto bc2e6; F53c9: $backupDirectory = sprintf("\x2f\x68\157\155\x65\x2f\45\x73\x2f\142\141\x63\153\165\x70\163\57\144\x61\x74\x61\x62\x61\x73\x65\163\57", $siteUser); goto fdab4; A0de7: $databaseExporter->export(); goto bcc19; B2bc4: $siteUser = $siteEntity->getUser(); goto E1bde; bc2e6: } catch (\Exception $e) { $logger = $this->getLogger(); $logger->exception($e); } } private function resetPermissions(DatabaseEntity $databaseEntity) { goto eded3; d10fa: $backupDirectoryChownCommand->setFile($backupDirectory); goto e32d7; ecdf2: $backupDirectoryChmodCommand->setFile($backupDirectory); goto df5e8; df5e8: $backupDirectoryChmodCommand->setDirectoryChmod(750); goto bed80; e5e66: $this->commandExecutor->execute($backupDirectoryChownCommand); goto ae19c; ed1e3: $siteUser = $siteEntity->getUser(); goto F3790; Fe95c: $backupDirectoryChownCommand->setUser($siteUser); goto cb169; eded3: $siteEntity = $databaseEntity->getSite(); goto ed1e3; e32d7: $backupDirectoryChownCommand->setRecursive(true); goto Fe95c; F3790: $backupDirectory = sprintf("\x2f\x68\157\x6d\x65\57\45\163\57\142\141\143\x6b\165\160\x73\57\144\x61\164\x61\142\x61\x73\x65\x73\57", $siteUser); goto d7647; cb169: $backupDirectoryChownCommand->setGroup($siteUser); goto a4176; bed80: $backupDirectoryChmodCommand->setFileChmod(760); goto e5e66; a4176: $backupDirectoryChmodCommand = new FindChmodCommand(); goto ecdf2; ae19c: $this->commandExecutor->execute($backupDirectoryChmodCommand); goto Be560; d7647: $backupDirectoryChownCommand = new ChownCommand(); goto d10fa; Be560: } private function cleanUpBackups(DatabaseEntity $databaseEntity) { goto c681f; a2e28: $siteUser = $siteEntity->getUser(); goto a9a80; C70db: $this->commandExecutor->execute($deleteOldBackupsCommand, 360); goto Cb528; Aba0c: $deleteOldBackupsCommand = new DeleteOldFilesRecursiveCommand(); goto acd9a; acd9a: $deleteOldBackupsCommand->setDirectory($databaseBackupDirectory); goto E5c3a; a9a80: $databaseBackupDirectory = sprintf("\57\x68\x6f\155\x65\57\x25\163\x2f\x62\x61\143\153\165\160\163\x2f\x64\141\164\x61\x62\141\x73\145\x73\x2f", $siteUser); goto Aba0c; E5c3a: $deleteOldBackupsCommand->setRetentionPeriod($this->retentionPeriod); goto C70db; c681f: $siteEntity = $databaseEntity->getSite(); goto a2e28; Cb528: } }
