<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Database\Importer as DatabaseImporter; use App\System\Command\CheckIfFileExistsCommand; use App\System\CommandExecutor; class DatabaseImportCommand extends BaseCommand { const SYSTEM_USER_ROOT = "\162\x6f\157\164"; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private SshUserEntityManager $sshUserEntityManager; private CommandExecutor $commandExecutor; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, SshUserEntityManager $sshUserEntityManager) { goto b9fd6; b9fd6: $this->siteEntityManager = $siteEntityManager; goto f19b7; D82e3: $this->databaseServerEntityManager = $databaseServerEntityManager; goto fb557; fb557: $this->sshUserEntityManager = $sshUserEntityManager; goto dc325; dc325: $this->commandExecutor = new CommandExecutor(); goto d585a; f19b7: $this->databaseEntityManager = $databaseEntityManager; goto D82e3; d585a: parent::__construct(); goto bb8de; bb8de: } protected function configure() : void { goto F64ae; de85f: $this->addOption("\x66\151\x6c\145", null, InputOption::VALUE_REQUIRED); goto De9ff; f30e7: $this->setDescription("\143\x6c\x70\x63\x74\x6c\x20\x64\142\x3a\x69\x6d\x70\157\162\x74\40\x2d\x2d\x64\x61\164\141\x62\141\163\x65\116\141\x6d\145\x3d\155\x79\x2d\x64\141\x74\x61\142\141\x73\145\x20\55\55\x66\x69\154\x65\75\x64\165\155\x70\x2e\163\x71\x6c\x2e\x67\x7a"); goto ae8f5; F64ae: $this->setName("\x64\x62\x3a\151\x6d\160\x6f\x72\x74"); goto f30e7; ae8f5: $this->addOption("\144\x61\164\x61\x62\x61\x73\145\116\141\x6d\145", null, InputOption::VALUE_REQUIRED); goto de85f; De9ff: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto fe8a7; e0cfd: $isSuperUser = true; goto d1acb; Df25d: a9e78: goto d7184; A0c8b: Cd1f5: goto da57c; Cf9bc: $systemUserName = self::SYSTEM_USER_ROOT; goto A0c8b; F9cb7: $importFile = sprintf("\45\x73\x2f\45\x73", rtrim(getcwd(), "\57"), $importFile); goto ac4d1; e8b89: e0351: goto D0f8f; F6e4e: $siteUser = $siteEntity->getUser(); goto Df25d; c3664: $importFile = $input->getOption("\x66\x69\154\x65"); goto Ff5af; ad498: $siteEntity = $this->siteEntityManager->findOneByUser($systemUserName); goto db817; ac4d1: Eb479: goto ffb58; c515a: Ef2f7: goto A0b96; d7184: $userBelongsToSite = false === is_null($siteEntity) && $siteUser === $databaseEntity->getSite()->getUser(); goto F9bf9; E6df9: if (!(false === is_null($sshUserEntity))) { goto e0351; } goto dc4ca; e108a: D5455: goto Ece80; b674e: $databaseImporter = new DatabaseImporter($databaseEntity); goto E3997; d6e3a: if (!("\x64\145\166" == $_ENV["\x41\120\120\x5f\x45\x4e\126"])) { goto Cd1f5; } goto Cf9bc; A0b96: $userIsAllowedToImport = true === $isSuperUser || true === $userBelongsToSite; goto ead2d; E9615: $databaseName = $input->getOption("\144\141\164\x61\142\141\x73\x65\x4e\141\155\x65"); goto c3664; db817: $siteUser = null; goto c068f; caa20: goto D5455; goto a06c9; Ff5af: $systemUserName = $_SERVER["\123\x55\x44\117\x5f\125\123\x45\122"] ?? ''; goto d6e3a; d1acb: $siteUser = self::SYSTEM_USER_ROOT; goto c515a; ffb58: $this->checkIfFileExists($importFile); goto ff256; e3ba7: throw new \Exception(sprintf("\104\141\x74\x61\142\141\163\x65\x20\x22\x25\x73\x22\40\x64\x6f\145\163\40\x6e\x6f\164\x20\145\170\x69\163\x74\x2e", $databaseName)); goto caa20; D0f8f: goto a9e78; goto F99f4; dc4ca: $siteEntity = $sshUserEntity->getSite(); goto F53b0; Fc07b: return BaseCommand::SUCCESS; goto E36a8; Adb3e: $output->writeln(sprintf("\74\x69\156\x66\x6f\76\x49\155\x70\157\x72\x74\40\151\x6e\164\x6f\x20\144\x61\164\141\x62\x61\163\x65\x3c\x2f\x69\x6e\146\157\76\x20\74\x63\157\x6d\x6d\145\156\x74\76\x25\x73\74\x2f\x63\x6f\x6d\155\x65\x6e\164\x3e\40\x3c\151\156\146\x6f\76\167\141\163\40\163\x75\143\x63\145\163\x73\146\165\x6c\56\74\57\x69\156\x66\157\76", $databaseName)); goto Fc07b; Ece80: return BaseCommand::FAILURE; goto d0be1; a06c9: E70d2: goto ad498; d3bbd: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($systemUserName); goto E6df9; c068f: if (false === is_null($siteEntity)) { goto c9938; } goto d3bbd; E3997: $databaseImporter->import($importFile); goto Adb3e; F99f4: c9938: goto F6e4e; fe8a7: $this->validateInput($input); goto E9615; ead2d: if (!(true === $userIsAllowedToImport && false === is_null($siteUser))) { goto c9b3e; } goto b674e; ff256: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto d89c7; E36a8: c9b3e: goto e108a; d89c7: if (false === is_null($databaseEntity)) { goto E70d2; } goto e3ba7; da57c: if (!(false === str_contains($importFile, "\x2f"))) { goto Eb479; } goto F9cb7; c47b8: if (!(self::SYSTEM_USER_ROOT == $systemUserName)) { goto Ef2f7; } goto e0cfd; F9bf9: $isSuperUser = false; goto c47b8; F53b0: $siteUser = $siteEntity->getUser(); goto e8b89; d0be1: } catch (\Exception $e) { goto F5fc8; E3901: $output->writeln(sprintf("\74\x65\162\x72\x6f\162\76\45\163\74\57\x65\x72\162\157\x72\x3e", $errorMessage)); goto D6f8b; F5fc8: $errorMessage = $this->maskString($e->getMessage()); goto E3901; D6f8b: return BaseCommand::FAILURE; goto ac3ea; ac3ea: } } private function checkIfFileExists(string $importFile) { try { goto D7c2b; D7c2b: $checkIfFileExistsCommand = new CheckIfFileExistsCommand(); goto ce3fc; a3843: $this->commandExecutor->execute($checkIfFileExistsCommand); goto E9b32; ce3fc: $checkIfFileExistsCommand->setFile($importFile); goto a3843; E9b32: } catch (\Exception $e) { throw new \Exception(sprintf("\106\151\x6c\x65\40\42\45\163\42\40\144\157\x65\163\x20\156\x6f\x74\x20\x65\170\151\x73\164\56", $importFile)); } } }
