<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\System\CommandExecutor; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Site as SiteEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; use App\Backup\Rclone; use App\Backup\Dropbox\Client as DropboxClient; use App\Backup\Rclone\DropboxConfigTemplate; use App\Backup\Rclone\ConfigBuilder as RcloneConfigBuilder; use App\Backup\StorageProvider; use App\Backup\TarCreator; use App\Service\Logger; class RemoteBackupCreateCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private ?\DateTime $serverDateTime = null; private array $excludes = []; private ?string $storageProvider = null; public function __construct(SiteEntityManager $siteEntityManager, Logger $logger, ValidatorInterface $validator) { goto Ddacc; Ac001: $this->validator = $validator; goto F99a2; d7841: $this->logger = $logger; goto Ac001; F99a2: parent::__construct(); goto C69dd; f5b6d: $this->commandExecutor = new CommandExecutor(); goto d7841; Ddacc: $this->siteEntityManager = $siteEntityManager; goto f5b6d; C69dd: } protected function configure() : void { goto Ae296; E733e: $this->setDescription("\x63\x6c\x70\143\164\154\x20\x72\x65\x6d\157\x74\145\x2d\142\x61\143\153\165\160\72\x63\x72\145\x61\164\x65"); goto f292c; Ae296: $this->setName("\162\145\x6d\157\164\145\x2d\142\141\143\153\165\x70\72\143\162\x65\141\x74\145"); goto E733e; f292c: $this->addOption("\x64\145\154\141\171", null, InputOption::VALUE_OPTIONAL, false); goto c9a56; c9a56: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto b025d; Ad51c: Bfe32: goto Df60e; b025d: $this->validateInput($input); goto Abaf9; Bd8cf: $this->refreshDropboxAccessToken($delay); goto Ad51c; Afd16: $this->storageProvider = $this->getConfigValue("\162\145\155\157\164\x65\x5f\142\x61\143\x6b\165\x70\x5f\163\x74\x6f\162\x61\x67\145\x5f\x70\162\x6f\166\x69\144\145\x72"); goto D127d; D127d: if (!(true === $isEnabled && false === empty($this->storageProvider))) { goto C8979; } goto A7892; Df8c5: $this->backupDatabases(clone $input, clone $output); goto ef25b; D2ba8: if (!count($siteEntities)) { goto A2ad5; } goto Df8c5; fc843: A2ad5: goto bfbe9; A7892: $siteEntities = $this->siteEntityManager->findAll(); goto D2ba8; c8fb9: $delay = (bool) $input->getOption("\144\x65\x6c\141\x79"); goto Bd8cf; e5bd0: C8979: goto edc8f; F5b5a: Af32f: goto fc843; Abaf9: $isEnabled = (bool) $this->getConfigValue("\x72\145\x6d\x6f\164\x65\137\142\x61\143\153\165\160\137\145\156\x61\x62\154\145\x64"); goto Afd16; bfbe9: $this->cleanBackups(); goto e5bd0; ef25b: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto Bfe32; } goto c8fb9; Df60e: foreach ($siteEntities as $siteEntity) { $this->backupSite($siteEntity); E8c3f: } goto F5b5a; edc8f: return BaseCommand::SUCCESS; goto C66f9; C66f9: } catch (\Exception $e) { goto Ce135; E33d1: return BaseCommand::FAILURE; goto Eb445; C4588: $output->writeln(sprintf("\74\145\162\162\x6f\x72\76\45\x73\74\57\x65\x72\x72\x6f\x72\76", $errorMessage)); goto E33d1; Ce135: $errorMessage = $e->getMessage(); goto C4588; Eb445: } } private function backupDatabases(InputInterface $input, OutputInterface $output) : void { try { goto Adca6; Adca6: $application = $this->getApplication(); goto F4a6a; e2173: $exitCode = $command->run($input, $output); goto fde6f; F4a6a: $command = $application->find("\x64\x62\72\x62\141\143\153\165\160"); goto e2173; fde6f: } catch (\Exception $e) { $this->logger->exception($e); } } private function backupSite(SiteEntity $siteEntity) { goto e5618; E003d: Edfdb: goto A6754; e5618: $isSiteExcluded = $this->isSiteExcluded($siteEntity); goto e46e7; e46e7: if (!(false === $isSiteExcluded)) { goto Edfdb; } goto a8d70; a8d70: try { try { goto dc07f; bc20c: $siteUser = $siteEntity->getUser(); goto a6653; E270b: $homeDirectory = sprintf("\x2f\x68\157\x6d\145\x2f\x25\x73\57", $siteUser); goto a8107; Bbb7f: $this->createSiteSettingsFile($siteSettingsFile, $siteEntity); goto B6b53; a8dc8: c8cf2: goto B9a11; B0492: $siteExcludes = $this->getSiteExcludes($siteEntity); goto E0d70; b46c9: $tarCreator = new TarCreator(); goto B66c5; B9a11: C4483: goto A4652; Fab07: $siteVhostFile = sprintf("\x2f\150\157\155\x65\57\x25\x73\57\x73\x69\x74\145\55\x76\150\157\163\x74", $siteUser); goto Bbb7f; ab8b1: bd7d6: goto bc20c; C4695: $excludes = array_merge($excludes, $siteExcludes); goto ab8b1; a8107: $vhostFile = sprintf("\57\145\164\x63\x2f\156\x67\x69\x6e\170\x2f\x73\x69\164\x65\x73\x2d\x65\x6e\141\x62\154\145\x64\x2f\45\163\56\x63\157\x6e\146", $domainName); goto F5c9b; F4163: switch ($this->storageProvider) { case StorageProvider::GOOGLE_DRIVE: goto Cddd3; dacfe: $rclone->addFlag("\x2d\x2d\144\162\151\166\x65\55\151\x6d\160\145\162\x73\x6f\156\141\164\x65", $email); goto faf89; faf89: goto C4483; goto Fd35e; Cddd3: $email = $this->getConfigValue("\162\145\x6d\157\x74\145\x5f\142\x61\x63\153\x75\160\137\x65\x6d\141\x69\x6c"); goto dacfe; Fd35e: } goto a8dc8; fce88: $destination = $this->getDestination($siteEntity); goto Ccd22; E0d70: if (!(false === empty($siteExcludes))) { goto bd7d6; } goto C4695; Ccd22: $rclone = new Rclone(); goto F4163; B6b53: $this->createSiteVhostFile($siteVhostFile, $siteEntity); goto fd38b; A4652: $rclone->copy($destinationFile, $destination); goto Bb402; F5c9b: $destinationFile = sprintf("\x2f\150\157\x6d\145\x2f\x25\x73\x2f\164\x6d\x70\x2f\142\x61\143\153\x75\x70\56\x74\x61\162", $siteUser); goto C7fa4; fd38b: $sources = [$homeDirectory, $vhostFile]; goto b46c9; B66c5: $tarCreator->create($sources, $destinationFile, $excludes); goto fce88; C7fa4: $siteSettingsFile = sprintf("\x2f\150\157\x6d\145\x2f\45\x73\57\x73\x69\x74\145\55\163\x65\x74\164\x69\156\x67\163\56\152\163\157\156", $siteUser); goto Fab07; dc07f: $excludes = ["\x2e\x73\x73\150", "\x74\155\x70", "\x6c\x6f\x67\163"]; goto B0492; a6653: $domainName = $siteEntity->getDomainName(); goto E270b; Bb402: } catch (\Exception $e) { throw $e; } finally { $files = [$destinationFile, $siteSettingsFile, $siteVhostFile]; foreach ($files as $file) { goto bba42; Eaae1: $deleteFileCommand->setFile($file); goto Ad547; bba42: $deleteFileCommand = new DeleteFileCommand(); goto Eaae1; Ad547: $this->commandExecutor->execute($deleteFileCommand, 60); goto Cb582; Cb582: eb584: goto A8037; A8037: } Ba83d: } } catch (\Exception $e) { goto Cb672; B7ca6: $this->addNotification($subject, $errorMessage); goto D51b4; b282f: $subject = sprintf("\x52\145\155\157\x74\x65\40\102\141\143\x6b\165\160\x20\146\141\x69\154\145\144\x3a\40\45\x73", $domainName); goto B7ca6; Cb672: $errorMessage = $e->getMessage(); goto b282f; D51b4: } goto E003d; A6754: } private function createSiteSettingsFile(string $siteSettingsFile, SiteEntity $siteEntity) : void { goto d73ac; A6f98: Ba517: goto Ccf70; c9644: $settings = ["\164\x79\160\x65" => $siteType, "\x64\x6f\155\x61\151\x6e\116\x61\155\x65" => $siteEntity->getDomainName(), "\x72\x6f\x6f\164\x44\x69\x72\145\143\164\x6f\162\x79" => $siteEntity->getRootDirectory(), "\x73\x69\x74\145\x55\x73\x65\162" => $siteEntity->getUser(), "\x70\x61\x67\145\x53\160\145\145\x64" => $siteEntity->getPageSpeedSettings()]; goto D52b1; D1a2c: $this->commandExecutor->execute($writeFileCommand, 15); goto c52d4; a1eab: $writeFileCommand->setContent($fileContent); goto D1a2c; Ccf70: Be492: goto C8b9e; C8b9e: $fileContent = json_encode($settings, JSON_PRETTY_PRINT); goto B1f47; D52b1: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto Bd6e6; A6fb9: $settings["\156\157\144\145\x6a\163\123\145\x74\164\x69\156\x67\163"] = $nodejsSettings; goto ddcbd; Db48f: $nodejsSettings = ["\166\145\162\x73\x69\x6f\156" => $nodejsSettingsEntity->getNodejsVersion(), "\160\x6f\162\164" => $nodejsSettingsEntity->getPort()]; goto A6fb9; ddcbd: goto Be492; goto A8ff6; Bd6e6: $nodejsSettingsEntity = $siteEntity->getNodejsSettings(); goto Db48f; A8ff6: case SiteEntity::TYPE_PHP: goto e0e8b; e0e8b: $phpSettingsEntity = $siteEntity->getPhpSettings(); goto c2422; c2422: $phpSettings = ["\x76\145\x72\x73\151\x6f\156" => $phpSettingsEntity->getPhpVersion(), "\x6d\x65\155\157\162\171\114\x69\x6d\x69\164" => $phpSettingsEntity->getMemoryLimit(), "\155\141\170\x45\170\x65\x63\165\164\151\157\x6e\124\x69\x6d\x65" => $phpSettingsEntity->getMaxExecutionTime(), "\155\x61\x78\111\x6e\160\x75\164\x54\x69\155\145" => $phpSettingsEntity->getMaxInputTime(), "\155\141\x78\x49\x6e\160\x75\x74\x56\141\162\163" => $phpSettingsEntity->getMaxInputVars(), "\x70\x6f\163\164\115\x61\170\123\x69\x7a\145" => $phpSettingsEntity->getPostMaxSize(), "\165\x70\154\157\141\x64\x4d\141\170\106\151\x6c\145\123\151\x7a\145" => $phpSettingsEntity->getUploadMaxFileSize(), "\x61\144\x64\151\x74\151\157\156\x61\154\103\157\x6e\146\151\x67\165\162\141\164\151\157\x6e" => $phpSettingsEntity->getAdditionalConfiguration()]; goto Addf2; f3ec0: goto Be492; goto b928e; Addf2: $settings["\x70\150\160\123\x65\164\164\151\156\x67\x73"] = $phpSettings; goto f3ec0; b928e: case SiteEntity::TYPE_PYTHON: goto C46cc; Dbc9f: $pythonSettings = ["\x76\x65\162\x73\151\157\x6e" => $pythonSettingsEntity->getPythonVersion(), "\x70\157\162\x74" => $pythonSettingsEntity->getPort()]; goto ee000; C46cc: $pythonSettingsEntity = $siteEntity->getPythonSettings(); goto Dbc9f; ee000: $settings["\160\171\x74\150\x6f\x6e\123\x65\x74\164\x69\156\147\x73"] = $pythonSettings; goto Ae966; Ae966: goto Be492; goto b2097; b2097: case SiteEntity::TYPE_REVERSE_PROXY: goto e9dc5; B9717: $settings["\x72\x65\x76\145\x72\163\145\120\x72\157\x78\171\123\145\x74\x74\151\156\x67\163"] = $reverseProxySettings; goto Bb9a9; e9dc5: $reverseProxySettings = ["\x75\162\x6c" => $siteEntity->getReverseProxyUrl()]; goto B9717; Bb9a9: goto Be492; goto B9caf; B9caf: } goto A6f98; B1f47: $writeFileCommand = new WriteFileCommand(); goto F5a20; F5a20: $writeFileCommand->setFile($siteSettingsFile); goto a1eab; d73ac: $siteType = $siteEntity->getType(); goto c9644; c52d4: } private function createSiteVhostFile(string $siteVhostFile, SiteEntity $siteEntity) : void { goto ee2c5; e1ccb: $this->commandExecutor->execute($writeFileCommand, 15); goto Ad7fb; ee2c5: $vhost = $siteEntity->getVhostTemplate(); goto B886b; c0aba: $writeFileCommand->setContent($vhost); goto e1ccb; af696: $writeFileCommand->setFile($siteVhostFile); goto c0aba; B886b: $writeFileCommand = new WriteFileCommand(); goto af696; Ad7fb: } private function isSiteExcluded(SiteEntity $siteEntity) : bool { goto d12e8; Ac030: return $isSiteExcluded; goto Cc475; E562f: C8513: goto Ba80b; Ba80b: Dc06a: goto Ac030; c120c: $excludes = $this->getExcludes(); goto c17e9; f2efd: foreach ($excludes as $exclude) { goto cf216; Bafe8: if (!($homeDirectory == $exclude)) { goto e7045; } goto C0c57; Df18f: goto C8513; goto cf3a0; cf216: $exclude = rtrim($exclude, "\57"); goto Bafe8; cf3a0: e7045: goto F6bc1; C0c57: $isSiteExcluded = true; goto Df18f; F6bc1: D1e8e: goto Dde46; Dde46: } goto E562f; d12e8: $isSiteExcluded = false; goto c120c; Edde0: $homeDirectory = sprintf("\57\150\x6f\x6d\145\x2f\x25\x73", $siteUser); goto f2efd; E1873: $siteUser = $siteEntity->getUser(); goto Edde0; c17e9: if (!(false === empty($excludes))) { goto Dc06a; } goto E1873; Cc475: } private function getExcludes() : array { goto F152d; F152d: if (!(true === empty($this->excludes))) { goto fba97; } goto Cbfdd; Cbfdd: $excludes = $this->getConfigValue("\x72\x65\x6d\x6f\x74\145\137\x62\x61\143\x6b\165\x70\x5f\x65\x78\143\x6c\x75\144\145\163"); goto f2eb8; f2eb8: if (!(false === empty($excludes))) { goto d39f3; } goto B5bb8; c29b8: d39f3: goto F6dfc; c8137: return $this->excludes; goto e3f0c; F6dfc: fba97: goto c8137; B5bb8: $this->excludes = json_decode($excludes); goto c29b8; e3f0c: } private function getSiteExcludes(SiteEntity $siteEntity) : array { goto b479c; b479c: $siteExcludes = []; goto e6096; E33aa: $homeDirectory = sprintf("\57\150\157\155\x65\57\x25\x73\57", $siteUser); goto D804c; a99b3: return $siteExcludes; goto C9156; e57ed: C6e7c: goto D0e7f; F01ee: $siteUser = $siteEntity->getUser(); goto E33aa; D804c: foreach ($excludes as $exclude) { goto decf0; c9641: Ed7ed: goto db2df; C6bf3: $siteExcludes[] = rtrim(ltrim($exclude, "\x2f"), "\57"); goto D2b80; e23ef: $exclude = substr($exclude, strlen($homeDirectory) - 1); goto Bb9ee; Bb9ee: if (!(false === empty($exclude))) { goto f1504; } goto C6bf3; decf0: if (!($homeDirectory == substr($exclude, 0, strlen($homeDirectory)))) { goto dcfe9; } goto e23ef; Edaaa: dcfe9: goto c9641; D2b80: f1504: goto Edaaa; db2df: } goto e57ed; Fc454: if (!(false === empty($excludes))) { goto ef656; } goto F01ee; e6096: $excludes = $this->getExcludes(); goto Fc454; D0e7f: ef656: goto a99b3; C9156: } private function getServerDateTime() : \DateTime { goto d6061; c9a0f: $this->serverDateTime = new \DateTime("\156\x6f\x77"); goto A6f66; B24c0: Dc12e: goto F622b; d6061: if (!(true === is_null($this->serverDateTime))) { goto D841d; } goto d55f1; F622b: D841d: goto B0a5b; d35d1: if (!(false === empty($timezone))) { goto Dc12e; } goto a8e88; B0a5b: return $this->serverDateTime; goto B182c; d55f1: $timezone = $this->getConfigValue("\164\x69\155\145\172\x6f\156\145"); goto c9a0f; A6f66: $this->serverDateTime->setTimezone(new \DateTimeZone("\125\124\103")); goto d35d1; a8e88: $this->serverDateTime->setTimezone(new \DateTimeZone($timezone)); goto B24c0; B182c: } private function getDestination(SiteEntity $siteEntity) : string { goto F5c13; c0c19: c7f1f: goto b64c2; e6d74: $serverDateTime = $this->getServerDateTime(); goto a0f1b; a0f1b: $destination = sprintf("\x25\x73\x2f\x25\x73\x2f\x25\x73\x2f\x25\163\x2f\150\x6f\155\145\x2f\45\163\57", $destination, rtrim(ltrim($storageDirectory, "\x2f"), "\57"), $serverDateTime->format("\131\x2d\x6d\x2d\144"), $serverDateTime->format("\110\x2e\x69"), $siteUser); goto f1a84; e5428: $destination = ltrim($destination, "\57"); goto c0c19; Aeebd: c6a34: goto De7ed; b1528: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $destination = $this->getConfigValue("\x72\145\155\x6f\164\x65\x5f\x62\x61\x63\153\165\160\x5f\x62\x75\143\153\145\x74"); goto c6a34; case StorageProvider::DIGITAL_OCEAN_SPACES: $destination = $this->getConfigValue("\162\x65\155\157\x74\145\x5f\142\141\143\153\165\160\x5f\x73\x70\x61\143\145"); goto c6a34; } goto d5fc9; d5fc9: fdc7e: goto Aeebd; A0167: $storageDirectory = $this->getConfigValue("\x72\x65\155\157\164\x65\x5f\142\x61\x63\153\x75\x70\137\x73\164\x6f\x72\141\147\145\x5f\x64\151\x72\x65\x63\164\157\162\171"); goto e6d74; b64c2: return $destination; goto C4772; f1a84: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto c7f1f; } goto e5428; De7ed: $siteUser = $siteEntity->getUser(); goto A0167; F5c13: $destination = ''; goto b1528; C4772: } private function cleanBackups() : void { goto a1f46; f9125: bf35f: goto b4256; a1f46: $retentionPeriod = (int) $this->getConfigValue("\162\145\x6d\157\x74\145\137\142\x61\x63\153\165\160\x5f\162\x65\164\145\x6e\164\x69\x6f\x6e\137\160\x65\162\x69\157\x64"); goto Efa41; e8da7: try { goto d3c9b; d257b: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto a6eea; } goto b5a49; d3c9b: $dateTime = new \DateTime(); goto bd852; e0981: $deleteDateTime->setTimezone(new \DateTimeZone("\x55\x54\103")); goto Af541; Ac9d6: $rclone = new Rclone(); goto Bf25b; d6ad2: $deleteDateTime->modify(sprintf("\55\x25\x73\x20\144\141\x79\163", $retentionPeriod)); goto e0981; Af541: $deleteDateTime->setTime(0, 0, 0, 0); goto F3886; F4f65: $directories = (array) $rclone->lsJson($remotePath, true); goto f678d; c7a74: Dee87: goto cbffb; cbffb: ae1cf: goto D3d51; D7c65: foreach ($directories as $directory) { goto B17ff; Ab268: $purgeRemotePath = sprintf("\45\163\x2f\45\163\57", rtrim(ltrim($remotePath, "\57"), "\57"), $directoryName); goto E3a2c; B17ff: $directoryName = $directory["\x4e\141\x6d\x65"] ?? null; goto b0d15; a38ee: if (!(true === isset($directoryDate) && $directoryDate <= $deleteDateTime)) { goto da3d7; } goto Ab268; e0bb1: A14f7: goto F4648; a9587: C5459: goto E8c7f; a4a13: da3d7: goto a9587; Cc2dd: b01c8: goto Af319; E3a2c: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto b01c8; } goto B8bf6; b0d15: if (!(false === is_null($directoryName))) { goto e5562; } goto c8e5d; ba670: if (!(true === $isValidDate)) { goto C5459; } goto a38ee; B8bf6: $purgeRemotePath = ltrim($purgeRemotePath, "\57"); goto Cc2dd; F4648: $rclone->purge($purgeRemotePath); goto a4a13; f71ab: F1912: goto bd0c1; E8c7f: e5562: goto f71ab; Af319: if (!(StorageProvider::SFTP == $this->storageProvider)) { goto A14f7; } goto F7b9e; F7b9e: $purgeRemotePath = sprintf("\x2f\45\x73", ltrim($purgeRemotePath, "\x2f")); goto e0bb1; c8e5d: try { $isValidDate = true; $directoryDate = new \DateTime($directoryName); } catch (\Exception $e) { $isValidDate = false; } goto ba670; bd0c1: } goto c7a74; bd852: $deleteDateTime = clone $dateTime; goto d6ad2; A71ee: a4934: goto dae5b; Bf25b: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $remotePath = $this->getConfigValue("\x72\145\155\157\164\145\137\142\141\143\x6b\165\x70\137\142\165\143\x6b\x65\x74"); goto a4934; case StorageProvider::DIGITAL_OCEAN_SPACES: $remotePath = $this->getConfigValue("\x72\145\x6d\157\x74\x65\x5f\142\141\143\x6b\x75\x70\x5f\163\160\141\143\145"); goto a4934; case StorageProvider::GOOGLE_DRIVE: goto C25ea; C25aa: $rclone->addFlag("\55\x2d\x64\x72\151\x76\x65\55\x69\x6d\160\x65\162\163\x6f\156\x61\164\145", $email); goto C5f1c; C5f1c: goto a4934; goto A87e1; C25ea: $email = $this->getConfigValue("\162\x65\155\x6f\x74\x65\x5f\x62\141\x63\153\165\x70\x5f\x65\x6d\x61\x69\154"); goto C25aa; A87e1: } goto e0143; dae5b: $remotePath = sprintf("\45\163\57\x25\163\57", $remotePath, rtrim(ltrim($storageDirectory, "\x2f"), "\57")); goto d257b; e0143: cc779: goto A71ee; b5a49: $remotePath = ltrim($remotePath, "\57"); goto Aca8a; Aca8a: a6eea: goto F4f65; f678d: if (!(false === empty($directories))) { goto ae1cf; } goto D7c65; F3886: $remotePath = ''; goto Ac9d6; D3d51: } catch (\Exception $e) { goto f473b; f473b: $errorMessage = $e->getMessage(); goto D1ff1; F0276: $this->addNotification($subject, $errorMessage); goto Ec33f; D1ff1: $subject = sprintf("\x52\145\155\x6f\x74\x65\40\x42\x61\143\x6b\x75\160\x20\x63\154\145\x61\x6e\165\160\x20\x66\x61\x69\x6c\x65\x64\56"); goto F0276; Ec33f: } goto f9125; D2bb0: if (!($retentionPeriod && false === empty($storageDirectory))) { goto bf35f; } goto e8da7; Efa41: $storageDirectory = $this->getConfigValue("\x72\145\x6d\157\x74\x65\x5f\142\x61\x63\x6b\165\160\137\163\164\157\x72\141\x67\145\137\144\151\x72\145\x63\164\157\x72\x79"); goto D2bb0; b4256: } private function refreshDropboxAccessToken(bool $delay) { try { goto be52c; C6109: Adf8d: goto Fb8c7; b0634: $dropboxClient = new DropboxClient(); goto b3184; be52c: if (!(true === $delay)) { goto Bd319; } goto E9841; Fb8c7: $rcloneConfigTemplate = new DropboxConfigTemplate(); goto Cb7a0; d653e: $rclone = new Rclone(); goto e5328; e5328: $rclone->writeConfig($rcloneConfig); goto d6843; eabe0: $refreshToken = $this->getConfigValue("\x72\145\x6d\x6f\x74\x65\137\142\141\143\153\165\160\137\x72\145\146\x72\x65\163\x68\137\164\157\153\145\x6e"); goto b0634; d52a4: Bd319: goto eabe0; c7e67: $rcloneConfig = $rcloneConfigBuilder->build(); goto d653e; D0dae: goto E4fc7; goto C6109; b3184: $token = $dropboxClient->getAccessToken($refreshToken); goto cb2cf; cb2cf: if (false === empty($token)) { goto Adf8d; } goto d1b8c; Cb7a0: $rcloneConfigTemplate->setToken($token); goto c9f03; d6843: E4fc7: goto d7924; c9f03: $rcloneConfigBuilder = new RcloneConfigBuilder($rcloneConfigTemplate); goto c7e67; d1b8c: throw new \Exception("\x41\143\x63\x65\163\163\40\x54\x6f\x6b\145\156\40\143\x61\156\156\x6f\x74\x20\142\145\40\x65\155\160\x74\x79\56"); goto D0dae; E9841: sleep(rand(5, 60)); goto d52a4; d7924: } catch (\Exception $e) { $errorMessage = $e->getMessage(); $this->addNotification("\122\x65\x66\x72\145\163\x68\151\156\147\x20\x44\162\157\x70\142\x6f\x78\40\x41\143\x63\x65\163\163\x20\124\x6f\x6b\x65\x6e\40\x46\x61\151\x6c\145\144", $errorMessage); } } private function addNotification(string $subject, string $errorMessage) : void { goto A338b; Cb5e0: NotificationQueue::addNotification($notification); goto A2390; A338b: $notification = new Notification(); goto Cd8dc; Cd8dc: $notification->setSubject($subject); goto a40bf; A30ac: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto Cb5e0; a40bf: $notification->setMessage($errorMessage); goto A30ac; A2390: } }
