<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\NodejsSettings as NodejsSettingsEntity; use App\Site\NodejsSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\NodejsTemplate as NodejsVhostTemplate; use App\Site\Creator\NodejsSite as NodejsSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddNodejsCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\116\x6f\x64\x65\152\x73"; protected function configure() : void { goto E1add; E1add: $this->setName("\x73\151\x74\145\72\141\144\x64\x3a\156\x6f\x64\x65\x6a\163"); goto c82ee; b55c5: $this->addOption("\x6e\x6f\144\x65\x6a\163\x56\x65\162\x73\x69\x6f\x6e", null, InputOption::VALUE_REQUIRED); goto adc1b; A602e: $this->addOption("\163\151\x74\x65\125\163\x65\162\x50\141\163\x73\x77\x6f\162\x64", null, InputOption::VALUE_REQUIRED); goto Fb3e8; Dd841: $this->setComment("\x41\x64\x64\x69\156\x67\40\x61\40\x4e\x6f\x64\145\56\x6a\163\x20\x53\151\x74\x65"); goto Da204; Da204: $this->addOption("\144\157\155\141\x69\156\116\x61\x6d\x65", null, InputOption::VALUE_REQUIRED); goto b55c5; c82ee: $this->setDescription("\143\x6c\160\143\164\154\x20\163\x69\164\145\72\x61\x64\144\72\x6e\x6f\144\145\x6a\163\x20\x2d\55\x64\157\155\141\151\156\x4e\x61\x6d\145\x3d\167\167\167\56\x64\157\x6d\141\151\156\x2e\x63\x6f\x6d\40\55\55\x6e\157\x64\x65\x6a\163\x56\145\162\163\151\157\156\75\62\x32\40\55\55\x61\x70\x70\120\x6f\162\164\x3d\x33\x30\x30\x30\x20\x2d\x2d\163\151\x74\x65\125\x73\145\162\75\152\x6f\x68\x6e\x20\x2d\55\163\x69\164\145\x55\x73\145\162\x50\x61\x73\x73\x77\157\x72\144\x3d\x27\41\x73\145\143\162\145\164\120\141\x73\x73\167\157\x72\144\41\47"); goto Dd841; D28a1: $this->addOption("\163\x69\x74\145\x55\x73\x65\162", null, InputOption::VALUE_REQUIRED); goto A602e; adc1b: $this->addOption("\141\160\160\120\x6f\x72\x74", null, InputOption::VALUE_REQUIRED); goto D28a1; Fb3e8: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto Bcd03; cbb3e: $vhostTemplate = new NodejsVhostTemplate($nodejsSite); goto bad17; ca9dd: $nodejsSettingsConstraints = $this->validator->validate($nodejsSettingsEntity); goto c49b2; e8f8e: $siteEntity->setType(SiteEntity::TYPE_NODEJS); goto f98cd; C9776: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto bdee2; Df83d: $nodejsSiteCreator->createUser(); goto B810e; edfe5: if (!(true === is_null($subdomain) || "\x77\x77\167" == $subdomain)) { goto Ee1b3; } goto ef2ff; Abfb9: $nodejsSiteCreator->reloadNginxService(); goto e3c01; ef356: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto Bcdc6; A8ddc: $vhostTemplate->resetProcessors(); goto ed691; ec720: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto A97b7; A97b7: if (!(false === empty($redirectionVhostTemplate))) { goto A662d; } goto A7840; cb1f2: $domainName = mb_strtolower(trim($input->getOption("\x64\x6f\155\x61\151\x6e\116\141\155\145"))); goto C9776; ac234: $siteConstraints = $this->validator->validate($siteEntity); goto ca9dd; bef8b: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto f4e0c; e419d: $nodejsSite->setRegistrableDomain($registrableDomain); goto Cdfc6; F08da: f7f35: goto B0940; B2dfa: $certificateEntity->setDefaultCertificate(true); goto bebd3; F6d21: $nodejsSite->setUser($siteEntity->getUser()); goto Df3a9; d9f1d: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto Ef250; da570: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\x2e\x2e\x2f\56\x2e\57\x72\145\x73\157\x75\x72\x63\x65\x73\57\156\x67\x69\156\170\57\166\150\157\163\164\137\164\145\155\x70\154\141\164\145\x2f\162\145\144\151\162\x65\143\164"); goto Ef431; bd040: $nodejsVersion = (int) $input->getOption("\156\157\x64\x65\x6a\x73\x56\x65\162\x73\x69\x6f\156"); goto c269b; Bd4af: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto bef8b; c44d6: $siteEntity->setCertificate($certificateEntity); goto Bca4a; Da870: Eb4dc: goto b32b9; b2776: if (!(true === is_null($subdomain))) { goto efcaa; } goto C1b2f; Cfd45: goto b812b; goto ca155; d6f8b: $nodejsSite->setNodejsSettings($nodejsSettingsEntity); goto c4e43; b32b9: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\x2e\x2f\x2e\56\x2f\162\145\x73\x6f\x75\162\x63\x65\x73\x2f\x6e\x67\x69\x6e\x78\57\x76\150\x6f\x73\x74\137\164\145\x6d\x70\154\141\x74\x65\57\x72\x65\x64\x69\162\145\x63\x74\x2d\x68\x74\164\160\63"); goto C34c6; bdee2: $rootDirectory = $domainName; goto bd040; b4d21: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto b5e2b; a7c06: $siteEntity->setRootDirectory($rootDirectory); goto D0124; bb59e: $constraints = new ConstraintViolationList(); goto B9b39; B25e6: $constraints->addAll($nodejsSettingsConstraints); goto B5671; f7d63: $siteUserPassword = trim($input->getOption("\x73\x69\164\x65\125\163\145\162\120\x61\x73\163\167\x6f\162\144")); goto a827e; A2b55: $nodejsSite->setRootDirectory($siteEntity->getRootDirectory()); goto d6f8b; F3428: $nodejsSite->setDomainName($domainName); goto e419d; c269b: $appPort = (int) $input->getOption("\x61\x70\x70\120\157\162\x74"); goto a54d7; A0169: $certificateEntity->setSite($siteEntity); goto e43ff; D50cf: goto Ef66c; goto D9087; b5e2b: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Dab76; Cb2cd: efcaa: goto d20c9; b380c: return SiteCommand::SUCCESS; goto d97e4; a622e: Ee1b3: goto b897e; A5058: Ef66c: goto F9b98; B9b39: $constraints->addAll($siteConstraints); goto B25e6; a827e: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto b4d21; B810e: $nodejsSiteCreator->createRootDirectory(); goto A33e0; f98cd: $siteEntity->setDomainName($domainName); goto a7c06; Bcd03: $this->validateInput($input); goto cb1f2; C34c6: aef4e: goto ec720; f21fd: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto B2dfa; D7da5: throw new \Exception(sprintf("\126\150\157\x73\164\x20\x54\145\x6d\160\154\141\x74\x65\40\42\45\163\x22\40\144\157\145\x73\x20\156\157\164\x20\145\x78\x69\x73\164\x2e", $vhostTemplate)); goto D50cf; D9087: A6ec7: goto ef356; A7840: $vhostTemplate = sprintf("\x25\x73\45\163", $redirectionVhostTemplate, $vhostTemplate); goto A29a1; a202c: $nodejsSiteCreator->installNodejs(); goto C7849; ed691: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto A26fa; e43ff: $rsaKeyGenerator = new RsaKeyGenerator(); goto Ae754; Df3a9: $nodejsSite->setUserPassword($siteEntity->getUserPassword()); goto F3428; Df09d: $siteEntity->setNodejsSettings($nodejsSettingsEntity); goto b6570; D8085: $nodejsSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto aa075; c8c64: $subjectAlternativeNames = []; goto b2776; Ca1f6: $nodejsSiteCreator->createNginxVhost(); goto Abfb9; Abab8: $siteEntity->setUserPassword($siteUserPassword); goto edfe5; Ae754: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto c8c64; d97e4: b812b: goto A5058; aa075: $nodejsSiteCreator = new NodejsSiteCreator($nodejsSite); goto Df83d; Ad8ce: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto e6cf4; Cc425: $vhostTemplate->build(); goto Bd4af; e3c01: $nodejsSiteCreator->resetPermissions(); goto cbb3e; beb12: $nodejsSettingsEntity->setSite($siteEntity); goto ac234; C1b2f: $subjectAlternativeNames[] = sprintf("\167\167\167\x2e\x25\x73", $domainName); goto Cb2cd; c7601: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto Cc425; B5671: return $this->renderConstraints($constraints, $output); goto Cfd45; A33e0: $nodejsSiteCreator->createLogrotateFile(); goto aa47d; A26fa: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto c7601; Dab76: $subdomain = false === empty($subdomain) ? $subdomain : null; goto Ad8ce; bebd3: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto c3926; a54d7: $siteUser = trim($input->getOption("\163\x69\164\145\x55\x73\145\162")); goto f7d63; b897e: $siteEntity->setVhostTemplate($vhostTemplate); goto bdd30; C33cc: $csr = $csrGenerator->generate(); goto f21fd; d53de: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto C33cc; B0940: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto d53de; c4e43: $nodejsSite->setCertificate($certificateEntity); goto D8085; Bcdc6: $siteEntity = $this->siteEntityManager->createEntity(); goto e8f8e; c3926: $certificateEntity->setCsr($csr); goto d9f1d; Ae27e: $output->writeln(sprintf("\x3c\x69\x6e\146\x6f\76\123\x69\x74\x65\x3c\57\151\x6e\146\157\x3e\x20\74\143\157\155\155\145\x6e\x74\x3e\45\x73\74\57\x63\157\155\x6d\x65\x6e\x74\x3e\40\x3c\x69\156\146\x6f\76\x68\141\163\x20\x62\x65\145\x6e\40\x61\144\144\145\144\x2e\x3c\57\151\x6e\x66\x6f\x3e", $domainName)); goto b380c; ca155: a79eb: goto abf62; ef2ff: if (true === isset($_ENV["\x41\x50\120\x5f\110\124\124\120\63"]) && "\164\x72\x75\145" === $_ENV["\101\120\120\137\x48\x54\x54\x50\x33"]) { goto Eb4dc; } goto da570; D0124: $siteEntity->setUser($siteUser); goto Abab8; bad17: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto A8ddc; c49b2: if (0 == count($siteConstraints) && 0 == count($nodejsSettingsConstraints)) { goto a79eb; } goto bb59e; e6cf4: if (false === is_null($vhostTemplateEntity)) { goto A6ec7; } goto D7da5; Cdfc6: $nodejsSite->setSubdomain($subdomain); goto A2b55; C7849: $nodejsSiteCreator->createPrivateKeyAndCertificate(); goto Ca1f6; Ef250: $certificateEntity->setCertificate($selfSignedCertificate); goto c44d6; cda92: $subjectAlternativeNames[] = $registrableDomain; goto F08da; aa47d: $nodejsSiteCreator->createNvmDirectory(); goto a202c; d20c9: if (!(false === is_null($subdomain) && "\167\x77\167" == $subdomain)) { goto f7f35; } goto cda92; Bca4a: $nodejsSite = new NodejsSite(); goto F6d21; f4e0c: $this->siteEntityManager->updateEntity($siteEntity); goto Ae27e; C5c18: $nodejsSettingsEntity->setPort($appPort); goto beb12; abf62: $certificateEntity = $this->certificateEntityManager->createEntity(); goto A0169; bdd30: $nodejsSettingsEntity = new NodejsSettingsEntity(); goto Df09d; A29a1: A662d: goto a622e; Ef431: goto aef4e; goto Da870; b6570: $nodejsSettingsEntity->setNodejsVersion($nodejsVersion); goto C5c18; F9b98: } catch (\Exception $e) { goto e105f; de433: $output->writeln(sprintf("\x3c\145\x72\x72\157\162\x3e\x25\x73\74\57\x65\162\x72\157\162\76", $errorMessage)); goto a2345; e105f: $errorMessage = $e->getMessage(); goto de433; a2345: return SiteCommand::FAILURE; goto B6838; B6838: } } }
