<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\PythonSettings as PythonSettingsEntity; use App\Site\PythonSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\PythonTemplate as PythonVhostTemplate; use App\Site\Creator\PythonSite as PythonSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddPythonCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\120\x79\164\x68\x6f\156"; protected function configure() : void { goto a6221; D00f1: $this->setDescription("\x63\154\160\143\x74\x6c\x20\163\x69\x74\x65\x3a\x61\144\144\x3a\x70\x79\x74\x68\157\x6e\x20\x2d\55\x64\x6f\x6d\141\x69\156\x4e\x61\x6d\145\75\167\x77\167\56\x64\x6f\x6d\x61\x69\x6e\x2e\143\157\x6d\40\x2d\55\160\171\x74\x68\157\x6e\x56\145\x72\163\151\x6f\x6e\x3d\63\56\61\x32\40\55\x2d\141\160\160\x50\x6f\162\164\x3d\70\60\x38\60\x20\55\55\x73\x69\x74\x65\125\x73\x65\x72\75\x6a\x6f\150\156\40\x2d\55\163\151\164\145\125\x73\145\162\x50\141\x73\163\x77\x6f\x72\x64\75\47\41\x73\145\143\x72\x65\164\120\141\x73\x73\167\x6f\x72\x64\41\x27"); goto b0dd3; b0dd3: $this->setComment("\x41\144\x64\x69\156\x67\40\141\x20\x50\171\164\150\157\x6e\40\x53\151\x74\x65"); goto db8ba; d6fe0: $this->addOption("\163\151\x74\145\x55\x73\145\x72\x50\x61\163\163\x77\x6f\x72\144", null, InputOption::VALUE_REQUIRED); goto D3e0e; e68d1: $this->addOption("\160\x79\x74\x68\x6f\156\x56\x65\162\163\x69\x6f\156", null, InputOption::VALUE_REQUIRED); goto eb850; C5d42: $this->addOption("\x73\x69\x74\x65\125\x73\145\x72", null, InputOption::VALUE_REQUIRED); goto d6fe0; a6221: $this->setName("\x73\151\x74\145\72\x61\144\x64\72\x70\171\x74\x68\x6f\156"); goto D00f1; eb850: $this->addOption("\x61\160\160\x50\x6f\x72\164", null, InputOption::VALUE_REQUIRED); goto C5d42; db8ba: $this->addOption("\144\x6f\155\x61\x69\156\116\141\x6d\x65", null, InputOption::VALUE_REQUIRED); goto e68d1; D3e0e: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto d1da3; F058b: $siteConstraints = $this->validator->validate($siteEntity); goto E4b12; F018e: $pythonSettingsEntity->setPort($appPort); goto fd532; a8ae2: F2b06: goto C6096; ce37a: $pythonSite = new PythonSite(); goto f72f7; d1da3: $this->validateInput($input); goto Bc3c6; Fcabb: $pythonSite->setUserPassword($siteEntity->getUserPassword()); goto bc15b; a66b3: $siteEntity->setUser($siteUser); goto fc0fd; de209: Ec943: goto F7c70; e041b: $pythonSiteCreator->createRootDirectory(); goto a805a; e2c02: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto e196b; D1a32: if (false === is_null($vhostTemplateEntity)) { goto E4d62; } goto e1e33; d736e: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto e1194; B4972: E4d62: goto d2787; e1194: $vhostTemplate->build(); goto cb63c; d2787: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto dee26; dd2d9: D9ecd: goto d512c; C2780: $pythonSiteCreator->reloadNginxService(); goto E7363; A0835: $pythonSettingsEntity->setPythonVersion($pythonVersion); goto F018e; a7097: $pythonSite->setPythonSettings($pythonSettingsEntity); goto d4e29; Bb283: $subjectAlternativeNames = []; goto E9d84; F3a24: $pythonVersion = $input->getOption("\160\171\164\150\x6f\156\126\x65\x72\163\151\157\156"); goto f3333; A0fba: if (0 == count($siteConstraints) && 0 == count($pythonSettingsConstraints)) { goto Ec943; } goto B20d0; A9f0e: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\x2e\56\x2f\x2e\x2e\57\x72\145\163\x6f\x75\x72\143\145\163\x2f\x6e\x67\x69\156\x78\57\166\x68\157\x73\x74\137\164\145\x6d\x70\154\x61\x74\x65\57\162\145\x64\x69\162\x65\143\164"); goto De987; D2730: $siteUserPassword = trim($input->getOption("\163\151\x74\x65\125\x73\x65\x72\x50\x61\x73\163\x77\157\x72\x64")); goto Bc278; a805a: $pythonSiteCreator->createLogrotateFile(); goto d368c; d1e1e: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto ab920; Bb90a: return SiteCommand::SUCCESS; goto D9e89; E9d84: if (!(true === is_null($subdomain))) { goto Fe999; } goto F1d7f; D5772: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto Fedee; C594e: if (true === isset($_ENV["\101\x50\x50\x5f\110\x54\124\x50\63"]) && "\164\x72\x75\x65" === $_ENV["\101\x50\x50\137\110\x54\124\120\x33"]) { goto B60a5; } goto A9f0e; Bc3c6: $domainName = mb_strtolower(trim($input->getOption("\144\x6f\155\x61\x69\x6e\x4e\141\x6d\145"))); goto F80a8; cb63c: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto d1e1e; Ec2d4: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto d736e; fc555: $vhostTemplate = new PythonVhostTemplate($pythonSite); goto Dd848; Dbbaa: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto D1a32; Dc2c5: Fe999: goto Ec055; ab920: $this->siteEntityManager->updateEntity($siteEntity); goto C6793; b023d: goto e8d63; goto B4972; a277a: $pythonSiteCreator->createPrivateKeyAndCertificate(); goto D74f4; E1a63: $pythonSite->setRegistrableDomain($registrableDomain); goto f34d5; Ec055: if (!(false === is_null($subdomain) && "\x77\167\167" == $subdomain)) { goto D9ecd; } goto F7cd3; F1d7f: $subjectAlternativeNames[] = sprintf("\167\167\167\x2e\45\x73", $domainName); goto Dc2c5; E4b12: $pythonSettingsConstraints = $this->validator->validate($pythonSettingsEntity); goto A0fba; f72f7: $pythonSite->setUser($siteEntity->getUser()); goto Fcabb; C6793: $output->writeln(sprintf("\x3c\151\x6e\146\x6f\x3e\123\151\164\x65\x3c\57\x69\x6e\146\x6f\x3e\40\x3c\x63\157\x6d\x6d\x65\156\x74\x3e\45\163\74\x2f\x63\157\x6d\155\145\x6e\x74\76\40\x3c\151\x6e\x66\157\76\x68\141\x73\40\x62\145\x65\156\40\141\144\144\145\x64\56\x3c\57\151\x6e\x66\x6f\76", $domainName)); goto Bb90a; e902c: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto Ec2d4; B20d0: $constraints = new ConstraintViolationList(); goto fb69b; ec9a0: $csr = $csrGenerator->generate(); goto D5772; D74f4: $pythonSiteCreator->createNginxVhost(); goto C2780; d6d36: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto Bb283; e8490: goto E60be; goto de209; Fb99a: $siteEntity->setVhostTemplate($vhostTemplate); goto Fb5a4; c3832: B60a5: goto C8268; f34d5: $pythonSite->setSubdomain($subdomain); goto A9dc0; ef6df: $vhostTemplate->resetProcessors(); goto e902c; F7c70: $certificateEntity = $this->certificateEntityManager->createEntity(); goto b1c09; B9a8d: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto ec9a0; B9a93: $siteUser = trim($input->getOption("\163\151\x74\145\x55\163\145\162")); goto D2730; B7823: Cf15b: goto ed9c2; C8268: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\56\x2f\x2e\56\57\x72\x65\163\x6f\165\162\x63\145\x73\x2f\x6e\147\151\156\x78\x2f\166\x68\157\x73\164\x5f\x74\x65\155\160\154\141\164\x65\57\x72\x65\x64\151\x72\145\x63\164\x2d\150\x74\x74\x70\63"); goto a8ae2; Ef627: $subdomain = false === empty($subdomain) ? $subdomain : null; goto Dbbaa; C16db: e8d63: goto D50df; B5546: $siteEntity->setCertificate($certificateEntity); goto ce37a; f6fea: $pythonSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto cbb31; Fb5a4: $pythonSettingsEntity = new PythonSettingsEntity(); goto F3a13; f4bca: $constraints->addAll($pythonSettingsConstraints); goto B8256; aea40: $certificateEntity->setCertificate($selfSignedCertificate); goto B5546; fd532: $pythonSettingsEntity->setSite($siteEntity); goto F058b; D9e89: E60be: goto C16db; cf871: $rsaKeyGenerator = new RsaKeyGenerator(); goto d6d36; E7363: $pythonSiteCreator->resetPermissions(); goto fc555; Dd848: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto ef6df; fb69b: $constraints->addAll($siteConstraints); goto f4bca; Fedee: $certificateEntity->setDefaultCertificate(true); goto e2c02; C6096: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto e453b; F9b20: $rootDirectory = $domainName; goto F3a24; Db0f3: $pythonSiteCreator->createUser(); goto e041b; De987: goto F2b06; goto c3832; ed9c2: Ffdc0: goto Fb99a; C744b: $vhostTemplate = sprintf("\x25\x73\45\x73", $redirectionVhostTemplate, $vhostTemplate); goto B7823; f3333: $appPort = (int) $input->getOption("\141\x70\160\120\157\162\x74"); goto B9a93; b1c09: $certificateEntity->setSite($siteEntity); goto cf871; d512c: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto B9a8d; A9dc0: $pythonSite->setRootDirectory($siteEntity->getRootDirectory()); goto a7097; e1e33: throw new \Exception(sprintf("\x56\x68\157\x73\164\40\124\145\155\x70\154\141\164\x65\x20\42\x25\x73\x22\x20\144\x6f\x65\x73\x20\x6e\x6f\x74\x20\x65\x78\151\x73\x74\56", $vhostTemplate)); goto b023d; Da7eb: $siteEntity->setRootDirectory($rootDirectory); goto a66b3; E9096: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto aea40; fc0fd: $siteEntity->setUserPassword($siteUserPassword); goto A6c08; ddcbb: $siteEntity->setType(SiteEntity::TYPE_PYTHON); goto E8d84; E8d84: $siteEntity->setDomainName($domainName); goto Da7eb; e453b: if (!(false === empty($redirectionVhostTemplate))) { goto Cf15b; } goto C744b; Bc278: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto Dbcd3; bc15b: $pythonSite->setDomainName($domainName); goto E1a63; d368c: $pythonSiteCreator->writePythonVersionFile(); goto a277a; cbb31: $pythonSiteCreator = new PythonSiteCreator($pythonSite); goto Db0f3; F7cd3: $subjectAlternativeNames[] = $registrableDomain; goto dd2d9; B8256: return $this->renderConstraints($constraints, $output); goto e8490; F80a8: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto F9b20; d4e29: $pythonSite->setCertificate($certificateEntity); goto f6fea; F3a13: $siteEntity->setPythonSettings($pythonSettingsEntity); goto A0835; A6c08: if (!(true === is_null($subdomain) || "\x77\x77\167" == $subdomain)) { goto Ffdc0; } goto C594e; dee26: $siteEntity = $this->siteEntityManager->createEntity(); goto ddcbb; Dbcd3: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto d28c5; e196b: $certificateEntity->setCsr($csr); goto E9096; d28c5: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Ef627; D50df: } catch (\Exception $e) { goto df6a0; c4bbf: return SiteCommand::FAILURE; goto c2ce5; df6a0: $errorMessage = $e->getMessage(); goto Be915; Be915: $output->writeln(sprintf("\74\145\162\162\157\x72\76\45\x73\x3c\x2f\145\x72\x72\x6f\x72\76", $errorMessage)); goto c4bbf; c2ce5: } } }
