<?php
 namespace App\Command; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Doctrine\Common\Collections\ArrayCollection; use App\Command\Command as BaseCommand; use App\Entity\Site as SiteEntity; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Site\Deleter as SiteDeleter; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Site\Parser\DomainName as DomainNameParser; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\VhostTemplateManager as VhostTemplateEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; class SiteCommand extends BaseCommand { protected DomainNameParser $domainNameParser; protected SiteEntityManager $siteEntityManager; protected CertificateEntityManager $certificateEntityManager; protected DatabaseServerEntityManager $databaseServerEntityManager; protected VhostTemplateEntityManager $vhostTemplateEntityManager; protected ValidatorInterface $validator; public function __construct(DomainNameParser $domainNameParser, SiteEntityManager $siteEntityManager, CertificateEntityManager $certificateEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, VhostTemplateEntityManager $vhostTemplateEntityManager, ValidatorInterface $validator) { goto e81bd; d897c: $this->vhostTemplateEntityManager = $vhostTemplateEntityManager; goto add55; e2f42: $this->siteEntityManager = $siteEntityManager; goto B25bb; B25bb: $this->certificateEntityManager = $certificateEntityManager; goto Cba8b; Cba8b: $this->databaseServerEntityManager = $databaseServerEntityManager; goto d897c; e81bd: $this->domainNameParser = $domainNameParser; goto e2f42; d56e1: parent::__construct(); goto C2df2; add55: $this->validator = $validator; goto d56e1; C2df2: } protected function configure() : void { $this->setName("\x73\151\164\145\72\x74\155\x70"); } protected function getSite(string $domainName) : ?Site { goto F48ef; f80a6: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto Cebf3; aacdd: $site->setSshUsers($siteEntity->getSshUsers()); goto cbc7c; Ba33b: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Eecfe; Aeb6d: $subdomain = false === empty($subdomain) ? $subdomain : null; goto A05e2; Cc327: B3205: goto C4a37; C315d: $site->setBasicAuth($siteEntity->getBasicAuth()); goto Fae7c; C4a37: if (!(false === is_null($site))) { goto b87ce; } goto D0229; F2208: $site->setCertificate($siteEntity->getCertificate()); goto C3c47; de0f2: $site->setFtpUsers($siteEntity->getFtpUsers()); goto aacdd; b3e24: $site->setSubdomain($subdomain); goto Db1b0; F2a78: $site->setCronJobs($siteEntity->getCronJobs()); goto de0f2; d0e4c: $site->setDatabases($siteDatabases); goto C315d; Eecfe: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Aeb6d; B6f42: goto C0c20; goto cc1de; bf1ec: $site->setRegistrableDomain($registrableDomain); goto b3e24; a8751: $site->setUser($siteEntity->getUser()); goto c6740; c613d: $siteEntity = $this->getSiteEntity($domainName); goto c5913; a4b9b: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto f80a6; Fae7c: $site->setBlockedBots($siteEntity->getBlockedBots()); goto aed87; B33e2: return $site; goto dbf33; c5913: if (false === is_null($siteEntity)) { goto e3f83; } goto e6a08; f833c: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto a4b9b; C3c47: $site->setCertificates($siteEntity->getCertificates()); goto F2a78; aed87: $site->setBlockedIps($siteEntity->getBlockedIps()); goto F2208; Eb444: C0c20: goto B33e2; d43fd: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto Ad175; f221c: goto B3205; goto A2927; Ad175: $site = new NodejsSite(); goto F2e68; F2e68: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto f221c; A2927: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto B3205; case SiteEntity::TYPE_PHP: goto a92c0; E5869: goto B3205; goto bc10a; a3848: $site->setVarnishCache($siteEntity->getVarnishCache()); goto E5869; a92c0: $site = new PhpSite(); goto C92a9; C92a9: $site->setPhpSettings($siteEntity->getPhpSettings()); goto a3848; bc10a: case SiteEntity::TYPE_PYTHON: goto F8546; F8546: $site = new PythonSite(); goto f6a75; E93b0: goto B3205; goto F1009; f6a75: $site->setPythonSettings($siteEntity->getPythonSettings()); goto E93b0; F1009: case SiteEntity::TYPE_REVERSE_PROXY: goto Da60b; Ac9cb: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto D3171; Da60b: $site = new ReverseProxySite(); goto Ac9cb; D3171: goto B3205; goto A7a93; A7a93: } goto c6b2f; cbc7c: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto f833c; e6a08: throw new \Exception(sprintf("\123\151\x74\145\x20\x22\x25\x73\42\40\144\157\145\x73\x20\156\157\x74\x20\145\170\151\163\x74\56", $domainName)); goto B6f42; D0229: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto Ba33b; c6b2f: D7f06: goto Cc327; B8926: $siteType = $siteEntity->getType(); goto d43fd; cc1de: e3f83: goto B8926; F48ef: $site = null; goto c613d; A05e2: $siteDatabases = $this->getSiteDatabases($siteEntity); goto a8751; Db1b0: $site->setRootDirectory($siteEntity->getRootDirectory()); goto d0e4c; Cebf3: b87ce: goto Eb444; c6740: $site->setDomainName($siteEntity->getDomainName()); goto bf1ec; dbf33: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto e6521; c91df: return $siteDatabases; goto F6a35; fdf5a: B78da: goto c91df; e6521: $siteDatabases = new ArrayCollection(); goto be16c; be16c: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto A7783; A7783: $databaseEntities = $siteEntity->getDatabases(); goto A4610; A4610: foreach ($databaseEntities as $databaseEntity) { goto dad33; A34c1: fc1d4: goto F74ca; d2e71: c01af: goto A34c1; dad33: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto D3b74; Dfa56: $siteDatabases->add($databaseEntity); goto d2e71; D3b74: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto c01af; } goto Dfa56; F74ca: } goto fdf5a; F6a35: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto Fe847; e80d9: B2053: goto Ca79d; E8ce4: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto e9123; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto e9123; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto e9123; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto e9123; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto e9123; } goto e80d9; Ee2e1: $siteType = $site->getType(); goto E8ce4; c299b: return $siteDeleter; goto b5398; Fe847: $siteDeleter = null; goto Ee2e1; Ca79d: e9123: goto c299b; b5398: } protected function getSiteUpdater(Site $site) : ?SiteUpdater { goto D0054; df140: d9139: goto c9d44; E5dca: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto d9139; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto d9139; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto d9139; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto d9139; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto d9139; } goto Ebea2; D0054: $siteUpdater = null; goto c1e9f; c1e9f: $siteType = $site->getType(); goto E5dca; Ebea2: C0506: goto df140; c9d44: return $siteUpdater; goto Ce2e7; Ce2e7: } protected function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } protected function getSiteEntityBySiteUser(string $siteUser) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByUser($siteUser); return $siteEntity; } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\165\163\x65\162", "\x73\151\164\x65\125\163\145\162", $constraints); $this->changePropertyPath("\165\163\x65\x72\120\x61\x73\163\x77\157\x72\144", "\x73\151\x74\x65\x55\163\145\162\120\141\163\x73\167\x6f\x72\144", $constraints); } }
