<?php
 namespace App\Controller\Admin; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Form\Form; use App\Controller\Controller; use Symfony\Contracts\Translation\TranslatorInterface; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\UserManager as UserEntityManager; use App\Entity\Manager\TimezoneManager as TimezoneEntityManager; use App\Entity\User as UserEntity; use App\Event\EventQueue; use App\Service\Logger; class UserController extends Controller { private UserEntityManager $userEntityManager; private SiteEntityManager $siteEntityManager; private TimezoneEntityManager $timezoneEntityManager; public function __construct(UserEntityManager $userEntityManager, SiteEntityManager $siteEntityManager, TimezoneEntityManager $timezoneEntityManager, TranslatorInterface $translator, Logger $logger) { goto A4e01; F8ad8: parent::__construct($translator, $logger); goto ac0f2; A4e01: $this->userEntityManager = $userEntityManager; goto f65bd; F35e2: $this->timezoneEntityManager = $timezoneEntityManager; goto F8ad8; f65bd: $this->siteEntityManager = $siteEntityManager; goto F35e2; ac0f2: } public function index(Request $request) : Response { goto ebcdb; C2b00: $users = $this->userEntityManager->findAll([], ["\x75\163\145\x72\116\x61\x6d\x65" => "\141\163\x63"]); goto E0b90; C3c8d: return $response; goto a297d; E0b90: $users = array_filter($users, function ($user) use($currentUser) { return $currentUser->getId() != $user->getId(); }); goto F87f8; ebcdb: $currentUser = $this->getUser(); goto C2b00; F87f8: $response = $this->render("\x41\x64\155\x69\x6e\57\x55\163\145\162\x2f\x69\156\144\145\170\x2e\150\x74\155\x6c\56\x74\167\x69\x67", ["\x75\163\x65\x72\x73" => $users]); goto C3c8d; a297d: } public function new(Request $request) : Response { goto B19a6; d34e6: $form->handleRequest($request); goto b10e4; Dbef6: c471b: goto C7745; Bcf08: $defaultTimezone = $this->timezoneEntityManager->findOneByName(UserEntity::DEFAULT_TIMEZONE); goto f4232; fe115: return $response; goto C268f; A521f: $response = $this->handleUserForm($request, $form); goto c88c1; B19a6: $userEntity = $this->userEntityManager->createEntity(); goto Bcf08; A8835: $form = $this->createUserForm($userEntity); goto F7e2f; C748e: return $response; goto b4327; C7745: B72c4: goto f1694; b4327: C272a: goto Dbef6; F7e2f: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto B72c4; } goto d34e6; C7904: $userEntity->setTimezone($defaultTimezone); goto A8835; c88c1: if (!(false === is_null($response))) { goto C272a; } goto C748e; f4232: $sites = $this->siteEntityManager->findAll([], ["\144\x6f\x6d\141\151\156\x4e\x61\155\145" => "\x41\x53\103"]); goto C7904; b10e4: if (!(true === $form->isSubmitted())) { goto c471b; } goto A521f; f1694: $response = $this->render("\101\144\x6d\151\x6e\57\125\163\x65\x72\x2f\156\145\167\x2e\x68\x74\155\154\x2e\164\167\x69\x67", ["\x75\163\x65\x72" => $userEntity, "\x73\151\164\145\163" => $sites, "\x66\157\162\155" => $form->createView(), "\x66\157\162\155\x45\x72\162\157\x72\x73" => $this->formErrors]); goto fe115; C268f: } private function createUserForm(UserEntity $userEntity) : Form { goto fc9ac; fc9ac: $form = $this->createForm("\101\x70\x70\134\106\x6f\162\155\134\101\144\155\151\x6e\125\163\145\x72\x54\171\160\145", $userEntity, ["\141\143\x74\x69\x6f\156" => $this->generateUrl("\x63\x6c\x70\137\141\144\155\151\156\137\165\x73\x65\x72\137\156\145\x77"), "\155\x65\x74\150\157\x64" => "\120\x4f\x53\x54", "\141\x74\164\162" => []]); goto D1094; D1094: $form->add("\x73\x75\x62\x6d\x69\164", SubmitType::class, ["\x61\x74\x74\162" => ["\143\x6c\141\163\163" => "\142\x74\156\x20\142\x74\x6e\55\142\154\165\145\40\x62\x74\x6e\55\x6c\x67"], "\154\141\x62\145\154" => "\101\x64\144\40\x55\x73\145\162"]); goto B2a4e; B2a4e: return $form; goto Fce87; Fce87: } private function handleUserForm(Request $request, Form $form) { goto B6482; B6482: if (true === $form->isValid()) { goto e0725; } goto Af736; D3fcf: try { goto a6e62; Ba854: $session->getFlashBag()->set("\163\x75\143\143\x65\163\x73", $this->translator->trans("\x55\x73\x65\162\x20\150\141\163\40\142\145\x65\156\x20\141\x64\144\145\x64\x2e")); goto E7736; deb89: return $response; goto fcf2e; A7f87: $domainNames = []; goto D9590; Aeeb3: $session = $request->getSession(); goto A72c5; E37d9: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_ADD, $currentUser, $eventData, $request); goto Ba854; Cf735: $sites = $userEntity->getSites(); goto A7f87; D9590: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto e5418; } goto Cc7a1; E7736: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\141\x64\155\x69\156\x5f\x75\163\x65\162\163")); goto deb89; A72c5: $userEntity = $form->getData(); goto Cf735; E540d: $eventData = ["\165\x73\x65\x72\116\x61\x6d\145" => $userEntity->getUserName(), "\146\151\x72\163\x74\x4e\141\155\145" => $userEntity->getFirstName(), "\x6c\141\163\x74\x4e\141\155\145" => $userEntity->getLastName(), "\145\x6d\x61\151\x6c" => $userEntity->getEMail(), "\162\157\x6c\145" => $userEntity->getRole(), "\x73\x69\x74\x65\x73" => implode("\54\40", $domainNames)]; goto E37d9; fa1a0: D3b58: goto A03aa; B6cc8: $this->userEntityManager->updateUser($userEntity); goto E540d; c2b06: sort($domainNames); goto B6cc8; a6e62: $currentUser = $this->getUser(); goto Aeeb3; Cc7a1: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); a0ce9: } goto fa1a0; A03aa: e5418: goto c2b06; fcf2e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\162", $this->translator->trans("\101\156\40\145\162\x72\157\162\x20\150\141\x73\x20\157\143\x63\165\162\x72\x65\144\x2c\x20\x65\x72\162\157\x72\40\155\145\x73\163\x61\147\145\x3a\x20\45\145\x72\162\157\162\115\145\163\x73\x61\x67\145\x25", ["\45\x65\x72\x72\157\x72\x4d\x65\163\163\x61\147\x65\45" => $e->getMessage()])); } goto Ec25b; ee629: e0725: goto D3fcf; Ffc9f: goto B67ab; goto ee629; Ec25b: B67ab: goto cafce; Af736: $this->formErrors = $this->getErrorMessages($form); goto Ffc9f; cafce: } public function edit(Request $request) : Response { goto c3f10; Ab525: $response = $this->render("\x41\144\x6d\x69\156\x2f\125\x73\145\x72\x2f\145\144\151\164\x2e\x68\x74\155\x6c\56\164\167\x69\x67", ["\x75\x73\145\x72" => $userEntity, "\x73\151\x74\x65\x73" => $sites, "\146\x6f\x72\155" => $form->createView(), "\x66\157\x72\x6d\105\x72\x72\157\162\x73" => $this->formErrors]); goto De42e; D14b8: E860f: goto Ab525; Ad0ef: $form->handleRequest($request); goto cdd75; De42e: Fb2b0: goto dbd7e; C5d29: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto E860f; } goto Ad0ef; b5255: $response = $this->redirect($this->generateUrl("\143\154\x70\137\141\x64\155\151\x6e\x5f\x75\163\x65\162\163")); goto e0e3b; D8275: $userEntity = $this->userEntityManager->findOneById($id); goto C7523; e74b4: return $response; goto d3782; C660c: $response = $this->handleUserEditForm($request, $form); goto f28b5; c3f10: $id = (int) $request->get("\151\x64"); goto D8275; cdd75: if (!(true === $form->isSubmitted())) { goto F51a4; } goto C660c; a2a05: F51a4: goto D14b8; f28b5: if (!(false === is_null($response))) { goto b4f08; } goto e74b4; B332c: F2c85: goto d554c; d554c: $sites = $this->siteEntityManager->findAll([], ["\144\x6f\x6d\x61\x69\156\116\141\155\x65" => "\101\x53\103"]); goto D79de; D79de: $form = $this->createUserEditForm($userEntity); goto C5d29; d3782: b4f08: goto a2a05; e0e3b: goto Fb2b0; goto B332c; C7523: if (false === is_null($userEntity)) { goto F2c85; } goto b5255; dbd7e: return $response; goto F711d; F711d: } private function createUserEditForm(UserEntity $userEntity) : Form { goto Fdd20; a3fc6: $form->add("\x73\165\142\155\x69\x74", SubmitType::class, ["\141\x74\164\x72" => ["\143\x6c\x61\x73\163" => "\x62\x74\156\x20\142\x74\156\x2d\x62\x6c\165\x65\x20\x62\164\x6e\55\x6c\x67"], "\154\x61\x62\145\154" => "\123\141\166\145"]); goto d8545; d8545: return $form; goto a1885; Fdd20: $form = $this->createForm("\101\x70\160\134\x46\x6f\162\x6d\134\x41\144\x6d\151\156\125\x73\x65\162\x45\x64\x69\164\x54\171\x70\x65", $userEntity, ["\141\x63\164\151\157\156" => $this->generateUrl("\143\x6c\x70\x5f\141\x64\x6d\x69\x6e\137\x75\163\145\x72\137\145\x64\151\x74", ["\x69\144" => $userEntity->getId()]), "\x6d\x65\164\150\157\144" => "\120\117\x53\x54", "\x61\x74\164\162" => []]); goto a3fc6; a1885: } private function handleUserEditForm(Request $request, Form $form) { goto A3e3f; A3e3f: if (true === $form->isValid()) { goto A5a4b; } goto Bfab6; A18fd: E57cc: goto c6e70; Bf249: try { goto fa300; b7fe7: goto c8ff7; goto B8173; bf3ff: $eventData = ["\x75\163\145\x72\116\141\x6d\145" => $userEntity->getUserName(), "\146\x69\x72\163\x74\x4e\x61\x6d\x65" => $userEntity->getFirstName(), "\154\x61\163\164\116\141\155\145" => $userEntity->getLastName(), "\x65\155\141\151\x6c" => $userEntity->getEMail(), "\162\157\154\x65" => $userEntity->getRole(), "\163\x74\141\x74\165\x73" => (int) $userEntity->getStatus(), "\163\x69\164\x65\x73" => implode("\54\x20", $domainNames)]; goto A8d44; c9541: $sites = $userEntity->getSites(); goto cb0d9; f98cc: return $response; goto a2d11; D74e6: $userEntity = $form->getData(); goto d84c7; e154b: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\141\x64\155\x69\156\137\165\163\x65\x72\137\145\x64\x69\164", ["\x69\144" => $userEntity->getId()])); goto f98cc; cb0d9: $domainNames = []; goto Ef0c8; d4fae: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); fefa5: } goto Ee4bd; C6023: sort($domainNames); goto af2fc; fbdb8: $session = $request->getSession(); goto D74e6; Ef0c8: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto d72c9; } goto d4fae; bee89: $this->userEntityManager->updateUser($userEntity, true, true); goto E73ea; B8173: a9980: goto bee89; fa300: $currentUser = $this->getUser(); goto fbdb8; Eaca7: $this->userEntityManager->updateUser($userEntity); goto b7fe7; Ee4bd: c939d: goto c9942; E73ea: c8ff7: goto bf3ff; d84c7: $plainPassword = $userEntity->getPlainPassword(); goto c9541; af2fc: if (false === empty($plainPassword)) { goto a9980; } goto Eaca7; E3ab6: $session->getFlashBag()->set("\163\165\x63\x63\x65\x73\x73", $this->translator->trans("\x55\x73\x65\x72\x20\150\141\x73\x20\142\x65\x65\x6e\40\165\x70\x64\x61\164\x65\x64\x2e")); goto e154b; c9942: d72c9: goto C6023; A8d44: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_UPDATE, $currentUser, $eventData, $request); goto E3ab6; a2d11: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\x72", $this->translator->trans("\x41\156\40\145\162\x72\x6f\x72\40\x68\141\163\40\x6f\143\143\165\x72\x72\145\x64\x2c\40\145\x72\x72\x6f\162\x20\155\145\163\x73\141\x67\x65\72\40\45\x65\x72\162\x6f\162\115\145\x73\163\x61\147\145\x25", ["\x25\x65\x72\x72\x6f\162\115\x65\x73\163\x61\x67\x65\45" => $e->getMessage()])); } goto A18fd; eff69: goto E57cc; goto D54e6; D54e6: A5a4b: goto Bf249; Bfab6: $this->formErrors = $this->getErrorMessages($form); goto eff69; c6e70: } public function delete(Request $request) : Response { goto dacba; F9139: D2a70: goto e055d; E5ef7: $session->getFlashBag()->set("\x73\165\x63\143\145\163\x73", $this->translator->trans("\125\163\x65\x72\40\150\x61\163\40\142\x65\x65\x6e\40\x64\145\x6c\145\x74\x65\144\x2e")); goto F9139; e735a: $userEntity = $this->userEntityManager->findOneById($id); goto fd8f3; a7fa6: $eventData = ["\165\x73\x65\x72\116\141\x6d\x65" => $userEntity->getUserName(), "\x66\x69\162\x73\x74\x4e\141\x6d\x65" => $userEntity->getFirstName(), "\x6c\x61\163\164\x4e\141\x6d\x65" => $userEntity->getLastName(), "\145\155\141\x69\x6c" => $userEntity->getEMail(), "\x72\157\154\145" => $userEntity->getRole()]; goto f2d79; f4c62: $session = $request->getSession(); goto a7fa6; fd8f3: if (!(false === is_null($userEntity))) { goto D2a70; } goto f4c62; e055d: B2a64: goto D22e8; d9a31: if (!(true === isset($id) && $id != $currentUser->getId())) { goto B2a64; } goto e735a; dacba: $currentUser = $this->getUser(); goto Cdc85; D22e8: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x61\144\155\x69\156\x5f\x75\x73\145\x72\x73")); goto f01c3; Df88b: $this->userEntityManager->deleteUser($userEntity); goto E5ef7; f2d79: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_DELETE, $currentUser, $eventData, $request); goto Df88b; f01c3: return $response; goto bce24; b8962: $this->checkCsrfToken($request, "\144\x65\154\145\x74\x65\55\165\x73\x65\162"); goto d9a31; Cdc85: $id = (int) $request->get("\x69\x64"); goto b8962; bce24: } }
