<?php
 namespace App\Controller\Frontend; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Contracts\Translation\TranslatorInterface; use App\Controller\Controller; use App\Entity\Manager\InstanceCpuManager as InstanceCpuEntityManager; use App\Entity\Manager\InstanceMemoryManager as InstanceMemoryEntityManager; use App\Entity\Manager\InstanceDiskUsageManager as InstanceDiskUsageEntityManager; use App\Entity\Manager\InstanceLoadAverageManager as InstanceLoadAverageEntityManager; use App\System\CommandExecutor; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\Entity\InstanceDiskUsage as InstanceDiskUsageEntity; use App\Entity\InstanceLoadAverage as InstanceLoadAverageEntity; use App\Monitoring\Chart; use App\Monitoring\LoadAverageChart; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\Util\Time as TimeUtil; use App\Service\Logger; use App\Entity\User; class DashboardController extends Controller { public const TIME_RANGE_LAST_THIRTY_MINUTES = 1; public const TIME_RANGE_LAST_HOUR = 2; public const TIME_RANGE_LAST_THREE_HOURS = 3; public const TIME_RANGE_LAST_SIX_HOURS = 4; public const TIME_RANGE_LAST_TWELVE_HOURS = 5; private static array $timeRanges = [self::TIME_RANGE_LAST_THIRTY_MINUTES, self::TIME_RANGE_LAST_HOUR, self::TIME_RANGE_LAST_THREE_HOURS, self::TIME_RANGE_LAST_SIX_HOURS, self::TIME_RANGE_LAST_TWELVE_HOURS]; private InstanceCpuEntityManager $instanceCpuEntityManager; private InstanceMemoryEntityManager $instanceMemoryEntityManager; private InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager; private InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager; public function __construct(InstanceCpuEntityManager $instanceCpuEntityManager, InstanceMemoryEntityManager $instanceMemoryEntityManager, InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager, InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager, TranslatorInterface $translator, Logger $logger) { goto Af391; A3f8e: parent::__construct($translator, $logger); goto aca84; Bb19a: $this->instanceDiskUsageEntityManager = $instanceDiskUsageEntityManager; goto a55c4; Ed830: $this->instanceMemoryEntityManager = $instanceMemoryEntityManager; goto Bb19a; Af391: $this->instanceCpuEntityManager = $instanceCpuEntityManager; goto Ed830; a55c4: $this->instanceLoadAverageEntityManager = $instanceLoadAverageEntityManager; goto A3f8e; aca84: } public function index(Request $request) : Response { goto e0e56; c745c: $response = $this->render("\x46\x72\157\156\164\x65\156\144\x2f\104\141\163\150\x62\x6f\x61\x72\x64\x2f\151\x6e\144\145\170\x2e\x68\164\155\x6c\56\164\167\151\147", ["\143\154\x6f\165\x64" => $cloud, "\151\156\163\x74\x61\x6e\143\145" => $instance, "\x75\x73\x65\x72" => $user, "\164\151\155\x65\122\141\x6e\147\145" => $timeRange, "\143\160\x75\x43\x68\x61\x72\164" => $cpuChart, "\155\x65\155\x6f\x72\x79\x43\x68\x61\162\x74" => $memoryChart, "\144\x69\x73\x6b\x43\150\x61\162\x74" => $diskChart, "\154\157\x61\x64\101\166\x65\162\141\x67\x65\103\150\x61\162\164" => $loadAverageChart]); goto Af0f6; D0af2: $loadAverageRawData = $this->getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval); goto Aa07f; d64cc: $endTime = TimeUtil::roundToNearestMinuteInterval($dateTime, 5); goto B2a29; fc6a9: $diskData = $this->getDiskDataForTimeRange($startTime, $endTime, $minuteInterval); goto b115b; f9055: $timeRange = true === is_null($timeRange) ? self::TIME_RANGE_LAST_THIRTY_MINUTES : (true === in_array($timeRange, self::$timeRanges) ? $timeRange : self::TIME_RANGE_LAST_THIRTY_MINUTES); goto D6431; ecc57: $diskData = [["\x6e\x61\x6d\145" => sprintf("\57\x20\50\x25\163\51", $rootDiskSize), "\143\157\154\157\x72" => "\43\67\63\x62\x66\64\x63", "\x64\141\x74\141" => $diskData["\x72\x6f\157\164"] ?: []], ["\156\141\155\145" => sprintf("\57\150\x6f\x6d\x65\x20\x28\x25\163\51", $homeDiskSize), "\x63\x6f\x6c\157\162" => "\x23\146\63\142\146\60\x30", "\x64\x61\164\x61" => $diskData["\150\x6f\155\x65"] ?: []]]; goto d979e; B8ae3: $rootDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_ROOT); goto Ae861; B83e8: $diskData = [["\x6e\141\155\145" => sprintf("\57\40\x28\45\x73\x29", $rootDiskSize), "\x63\157\x6c\157\x72" => "\x23\x37\63\142\x66\64\x63", "\x64\x61\x74\141" => $diskData["\162\x6f\x6f\164"] ?: []]]; goto cb9bb; B148c: $memoryChart->setData($memoryData); goto F47f7; B05aa: $diskChart->setData($diskData); goto e3d39; e3d39: $diskChart->setCategories($categories); goto B519d; F1c81: $homeDiskSize = HumanFileSizeUtil::convert($homeDiskSizeInBytes, "\x47\x42", 0); goto D1731; c3e25: $diskChart = new Chart("\104\151\x73\153\40\125\163\141\147\x65"); goto B05aa; Eb214: $instance = $request->attributes->get("\x69\156\x73\x74\141\156\x63\145"); goto Ba5eb; De057: $cloud = $environment->getCloudProvider(); goto cb2d6; Eef68: $memoryChart = new Chart("\115\x65\x6d\x6f\x72\171\40\125\163\x61\x67\x65"); goto ff878; fb300: $cpuChart->setInformation($cpuInformation); goto B57b9; ba170: $cpuChart = new Chart("\x43\120\x55\x20\x55\x73\x61\147\145"); goto fb300; F47f7: $memoryChart->setCategories($categories); goto c3e25; b10c3: $numberOfProcessorCores = 0; goto Fa2ad; B57b9: $cpuChart->setData($cpuData); goto Cf268; fc68b: b468e: goto efa5c; Fa2ad: try { goto A98e3; Ba1df: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto b3e6f; F2212: $totalMemory = HumanFileSizeUtil::convert($totalMemoryInBytes, "\x47\x42", 0); goto da113; cca21: $commandExecutor->execute($processorCoresCommand); goto Ba1df; da113: $processorCoresCommand = new ProcessorCoresCommand(); goto cca21; F6481: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto F2212; F7afd: $commandExecutor->execute($memoryInformationCommand); goto F6481; d3beb: $memoryInformationCommand = new MemoryInformationCommand(); goto F7afd; A98e3: $commandExecutor = new CommandExecutor(); goto d3beb; b3e6f: } catch (\Exception $e) { $this->logger->exception($e); } goto B8ae3; Af0f6: return $response; goto a363a; F9aa7: $cpuData = $this->getCpuDataForTimeRange($startTime, $endTime, $minuteInterval); goto b9b0a; B2d3b: $loadAverageChart->setCategories($categories); goto c745c; d979e: d2de2: goto D0af2; d76d2: $loadAverageChart = new LoadAverageChart("\114\157\141\144\x20\101\166\x65\x72\141\x67\145"); goto C0383; b9b0a: $memoryData = $this->getMemoryDataForTimeRange($startTime, $endTime, $minuteInterval); goto fc6a9; D1731: $dateTime = new \DateTime(); goto d64cc; B519d: $loadAverageChartInformation = sprintf("\x25\x73\40\45\163", $numberOfProcessorCores, $this->translator->trans("\103\x50\x55")); goto d76d2; c37c4: $loadAverageChart->setData($loadAverageData); goto B2d3b; C0383: $loadAverageChart->setInformation($loadAverageChartInformation); goto c37c4; cb2d6: $timeRange = $request->get("\x74\151\155\145\122\x61\156\147\x65"); goto f9055; B2a29: switch ($timeRange) { case self::TIME_RANGE_LAST_THIRTY_MINUTES: goto a9b10; Db72f: goto A9fcf; goto c6663; F6a2b: $startTime = (clone $endTime)->modify("\x2d\63\60\x20\155\x69\x6e\165\164\145\163"); goto Db72f; a9b10: $minuteInterval = 5; goto F6a2b; c6663: case self::TIME_RANGE_LAST_HOUR: goto da7a6; da7a6: $minuteInterval = 10; goto Ab67f; e309c: goto A9fcf; goto b93b0; Ab67f: $startTime = (clone $endTime)->modify("\55\61\40\150\x6f\x75\162"); goto e309c; b93b0: case self::TIME_RANGE_LAST_THREE_HOURS: goto ce731; ce731: $minuteInterval = 30; goto ba4cf; C1ce9: goto A9fcf; goto c8060; ba4cf: $startTime = (clone $dateTime)->modify("\55\63\40\150\x6f\x75\x72\x73"); goto C1ce9; c8060: case self::TIME_RANGE_LAST_SIX_HOURS: goto Bc345; Bc345: $minuteInterval = 60; goto E8a2e; a3c65: goto A9fcf; goto D1d22; E8a2e: $startTime = (clone $dateTime)->modify("\x2d\66\40\150\x6f\x75\x72\x73"); goto a3c65; D1d22: case self::TIME_RANGE_LAST_TWELVE_HOURS: goto E8087; E8087: $minuteInterval = 120; goto cad78; b03bb: goto A9fcf; goto Ea735; cad78: $startTime = (clone $dateTime)->modify("\55\61\x32\x20\x68\157\165\x72\163"); goto b03bb; Ea735: } goto fc68b; Cf268: $cpuChart->setCategories($categories); goto Eef68; cb9bb: goto d2de2; goto e6d3a; Aa07f: $loadAverageData = [["\x6e\x61\155\145" => $this->translator->trans("\61\x20\x4d\151\x6e\x75\x74\145"), "\143\157\154\157\x72" => "\43\67\x37\64\x61\141\64", "\144\141\x74\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_ONE_MINUTE] ?? []], ["\156\141\155\145" => $this->translator->trans("\65\x20\x4d\151\156\165\164\145\163"), "\143\157\154\157\162" => "\x23\145\x62\x35\70\66\x63", "\x64\141\164\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES] ?? []], ["\x6e\x61\x6d\x65" => $this->translator->trans("\61\x35\x20\115\x69\156\165\x74\x65\163"), "\x63\157\154\x6f\162" => "\43\x30\60\67\x38\144\64", "\144\x61\x74\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] ?? []]]; goto ed9b8; cae99: $categories = $this->getCategoriesForTimeRange($user, $startTime, $endTime, $minuteInterval); goto F9aa7; ff878: $memoryChart->setInformation($totalMemory); goto B148c; D6431: $totalMemory = ''; goto b10c3; e6d3a: Be052: goto ecc57; e0e56: $user = $this->getUser(); goto Eb214; f768e: $homeDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_HOME); goto F1c81; efa5c: A9fcf: goto cae99; b115b: if ($homeDiskSize != $rootDiskSize) { goto Be052; } goto B83e8; Ae861: $rootDiskSize = HumanFileSizeUtil::convert($rootDiskSizeInBytes, "\x47\x42", 0); goto f768e; ed9b8: $cpuInformation = sprintf("\45\x73\40\45\x73", $numberOfProcessorCores, $this->translator->trans("\x43\x50\x55")); goto ba170; Ba5eb: $environment = $instance->getEnvironment(); goto De057; a363a: } private function getCategoriesForTimeRange(User $user, \DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto a08b7; Ea60f: $startDataDate->modify(sprintf("\x2b\x25\60\x35\x64\40\x6d\x69\156\165\x74\x65\163", $minuteInterval)); goto b2b64; b2b64: $endDataDate->modify(sprintf("\x2b\45\60\65\x64\x20\x6d\x69\x6e\x75\164\145\163", $minuteInterval)); goto Da75c; C4651: de4ae: goto Eac91; Da75c: goto c00eb; goto C4651; Ee9b7: $endDataDate = clone $startTime; goto c2124; fe7ab: $categoryDateTime = clone $endDataDate; goto bf946; fe156: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\x30\65\144\40\x6d\x69\x6e\x75\164\145\163", $minuteInterval)); goto Ee9b7; c13e3: if (!($endDataDate <= $endTime)) { goto de4ae; } goto fe7ab; Fa021: $categories[] = $categoryDateTime->format("\x48\72\x69"); goto Ea60f; bf946: $categoryDateTime->setTimezone(new \DateTimeZone($user->getTimezone())); goto Fa021; c2124: c00eb: goto c13e3; a08b7: $categories = []; goto fe156; Eac91: return $categories; goto c0866; c0866: } private function getCpuDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto b9919; E3936: $endDataDate = clone $startTime; goto e1715; d19a1: if (!($endDataDate <= $endTime)) { goto f99bd; } goto Afe43; fcc42: $endDataDate->modify(sprintf("\53\x25\x30\x35\144\x20\155\151\x6e\x75\x74\145\163", $minuteInterval)); goto c40a4; C48c3: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\60\x35\x64\40\155\x69\x6e\165\164\145\x73", $minuteInterval)); goto E3936; cb01e: $cpuData[] = $averageCpuValue; goto e6292; e1715: Dd4b6: goto d19a1; c40a4: goto Dd4b6; goto d8c2f; Afe43: $averageCpuValue = $this->instanceCpuEntityManager->getAverageCpuValue($startDataDate, $endDataDate); goto cb01e; b9919: $cpuData = []; goto C48c3; e6292: $startDataDate->modify(sprintf("\x2b\x25\x30\x35\x64\40\155\151\x6e\165\164\x65\x73", $minuteInterval)); goto fcc42; d8c2f: f99bd: goto e7903; e7903: return $cpuData; goto F8397; F8397: } private function getMemoryDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto C5814; ee258: $startDataDate->modify(sprintf("\x2b\45\x30\65\x64\x20\155\x69\156\165\x74\145\163", $minuteInterval)); goto C8377; C5046: goto Eaddd; goto be180; Fd4ec: $averageMemoryValue = $this->instanceMemoryEntityManager->getAverageMemoryValue($startDataDate, $endDataDate); goto ea6b2; c887c: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\x30\65\144\40\155\151\156\x75\164\x65\x73", $minuteInterval)); goto C104c; be180: d5211: goto cf7c6; C8377: $endDataDate->modify(sprintf("\x2b\x25\60\65\x64\40\155\x69\x6e\165\164\x65\x73", $minuteInterval)); goto C5046; C5814: $memoryData = []; goto c887c; Edca2: Eaddd: goto d13ef; C104c: $endDataDate = clone $startTime; goto Edca2; cf7c6: return $memoryData; goto E698e; ea6b2: $memoryData[] = (int) $averageMemoryValue; goto ee258; d13ef: if (!($endDataDate <= $endTime)) { goto d5211; } goto Fd4ec; E698e: } private function getDiskDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto f5351; Fd015: if (!($endDataDate <= $endTime)) { goto e62f9; } goto c0cd3; f5351: $diskData = []; goto c1ec5; c1ec5: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\60\65\144\x20\x6d\151\156\165\164\145\163", $minuteInterval)); goto F4207; e6d23: e62f9: goto bcd84; f1bb9: $endDataDate->modify(sprintf("\x2b\45\x30\x35\144\x20\x6d\x69\156\x75\164\145\x73", $minuteInterval)); goto D071e; c0cd3: foreach (["\57", "\x2f\150\x6f\x6d\145"] as $disk) { goto c82cf; cd1ff: $diskData["\x72\x6f\x6f\164"][] = (int) $averageDiskSizeValue; goto A682e; fc29c: c376c: goto cd1ff; d2a7a: goto F9eb0; goto fc29c; A682e: F9eb0: goto eea53; eea53: Dc551: goto B169f; bd755: if ("\x2f" == $disk) { goto c376c; } goto F7fc6; F7fc6: $diskData["\x68\x6f\x6d\x65"][] = (int) $averageDiskSizeValue; goto d2a7a; c82cf: $averageDiskSizeValue = (int) $this->instanceDiskUsageEntityManager->getAverageDiskSizeValue($disk, $startDataDate, $endDataDate); goto bd755; B169f: } goto fc116; D4b98: Cb90c: goto Fd015; bcd84: return $diskData; goto D5a83; fc116: df3ea: goto Bc2b9; Bc2b9: $startDataDate->modify(sprintf("\x2b\45\x30\x35\144\x20\155\151\156\165\164\x65\163", $minuteInterval)); goto f1bb9; F4207: $endDataDate = clone $startTime; goto D4b98; D071e: goto Cb90c; goto e6d23; D5a83: } private function getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto f6edc; A85bb: B7e8b: goto C8154; Eb933: goto d673d; goto Beb18; f6edc: $loadAverageData = []; goto B2c42; B2c42: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\x30\x35\144\x20\x6d\x69\156\x75\164\x65\163", $minuteInterval)); goto f5871; f5871: $endDataDate = clone $startTime; goto Dff82; Beb18: A0375: goto e681b; C8154: $startDataDate->modify(sprintf("\x2b\x25\60\65\x64\x20\x6d\x69\x6e\165\x74\x65\163", $minuteInterval)); goto Aa648; e681b: return $loadAverageData; goto abbc2; a9bf6: foreach ([InstanceLoadAverageEntity::PERIOD_ONE_MINUTE, InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES, InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] as $period) { goto ccb53; Fe35c: $loadAverageData[$period][] = round($loadAverageValue, 2); goto B727f; B727f: E508c: goto c65ea; ccb53: $loadAverageValue = $this->instanceLoadAverageEntityManager->getLoadAverageValue($period, $startDataDate, $endDataDate); goto Fe35c; c65ea: } goto A85bb; af793: if (!($endDataDate <= $endTime)) { goto A0375; } goto a9bf6; Aa648: $endDataDate->modify(sprintf("\x2b\45\60\65\144\40\x6d\x69\x6e\x75\164\145\163", $minuteInterval)); goto Eb933; Dff82: d673d: goto af793; abbc2: } }
