<?php
 namespace App\Controller\Frontend; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\HttpFoundation\RedirectResponse; use Symfony\Component\Form\Extension\Core\Type\ButtonType; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Security\Core\Exception\InvalidCsrfTokenException; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\HttpFoundation\Cookie; use Symfony\Component\Form\Form; use Twig\Environment as Twig; use Doctrine\Common\Collections\ArrayCollection; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Entity\Site as SiteEntity; use App\Entity\NodejsSettings; use App\Entity\PhpSettings; use App\Entity\PythonSettings; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\BlockedBot as BlockedBotEntity; use App\Entity\BlockedIp as BlockedIpEntity; use App\Entity\Database as DatabaseEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\User as UserEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\CronJob as CronJobEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter as SiteDeleter; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Database\Manager as DatabaseManager; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\BasicAuthManager as BasicAuthEntityManager; use App\Entity\Manager\BlockedIpManager as BlockedIpEntityManager; use App\Entity\Manager\BlockedBotManager as BlockedBotEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\CronJobManager as CronJobEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\NodejsSettingsManager as NodejsSettingsEntityManager; use App\Entity\Manager\FtpUserManager as FtpUserEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Log\LogfileReader; use App\Log\LogsFinder; use App\Log\Parser\NginxAccessLogParser; use App\Log\Parser\NginxErrorLogParser; use App\Log\Parser\PhpFpmErrorLogParser; use App\Site\Parser\DomainName as DomainNameParser; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\VarnishCache\Client as VarnishCacheClient; class SitesController extends Controller { private const FILE_MANAGER_COOKIE_EXPIRATION = 3; private ConfigManager $configManager; private SiteEntityManager $siteEntityManager; private BasicAuthEntityManager $basicAuthEntityManager; private BlockedIpEntityManager $blockedIpEntityManager; private BlockedBotEntityManager $blockedBotEntityManager; private CertificateEntityManager $certificateEntityManager; private CronJobEntityManager $cronJobEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private NodejsSettingsEntityManager $nodejsSettingsEntityManager; private FtpUserEntityManager $ftpUserEntityManager; private SshUserEntityManager $sshUserEntityManager; private DomainNameParser $domainNameParser; public function __construct(ConfigManager $configManager, SiteEntityManager $siteEntityManager, BasicAuthEntityManager $basicAuthEntityManager, BlockedIpEntityManager $blockedIpEntityManager, BlockedBotEntityManager $blockedBotEntityManager, CertificateEntityManager $certificateEntityManager, CronJobEntityManager $cronJobEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, NodejsSettingsEntityManager $nodejsSettingsEntityManager, FtpUserEntityManager $ftpUserEntityManager, SshUserEntityManager $sshUserEntityManager, DomainNameParser $domainNameParser, TranslatorInterface $translator, Logger $logger) { goto B4be5; e47e5: $this->siteEntityManager = $siteEntityManager; goto Abc4b; B4d08: $this->databaseUserEntityManager = $databaseUserEntityManager; goto dd4b4; b746f: parent::__construct($translator, $logger); goto f18e1; Abc4b: $this->basicAuthEntityManager = $basicAuthEntityManager; goto Eefa1; a496b: $this->nodejsSettingsEntityManager = $nodejsSettingsEntityManager; goto f3ee9; A208e: $this->databaseEntityManager = $databaseEntityManager; goto B4d08; dd4b4: $this->databaseServerEntityManager = $databaseServerEntityManager; goto a496b; D4f5b: $this->cronJobEntityManager = $cronJobEntityManager; goto A208e; D81e1: $this->blockedBotEntityManager = $blockedBotEntityManager; goto de7d4; Eefa1: $this->blockedIpEntityManager = $blockedIpEntityManager; goto D81e1; de7d4: $this->certificateEntityManager = $certificateEntityManager; goto D4f5b; B4be5: $this->configManager = $configManager; goto e47e5; e3bcd: $this->domainNameParser = $domainNameParser; goto b746f; f3ee9: $this->ftpUserEntityManager = $ftpUserEntityManager; goto b36f2; b36f2: $this->sshUserEntityManager = $sshUserEntityManager; goto e3bcd; f18e1: } public function index(Request $request) : Response { goto fdd62; Ed39d: return $response; goto D0923; f73c8: $sites = $this->siteEntityManager->getUserSites($user, ["\x64\x6f\x6d\141\151\x6e\x4e\x61\155\x65" => "\141\163\143"]); goto da131; da131: $response = $this->render("\x46\x72\157\x6e\164\145\x6e\144\57\123\x69\164\145\x2f\x69\x6e\144\x65\170\56\150\x74\x6d\x6c\x2e\164\167\151\x67", ["\165\163\145\162" => $user, "\163\151\164\145\163" => $sites]); goto Ed39d; fdd62: $user = $this->getUser(); goto f73c8; D0923: } public function fileManager(Request $request) : Response { goto B9cb1; bbc49: $data = ["\x75\163\x65\162" => $siteUser, "\x6c\x6f\x63\141\x6c\x65" => $locale]; goto ddfa4; fdd7d: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\x74\x65\163")); goto Dde44; ddfa4: $session->set("\x63\x6c\x70\55\x66\x69\154\145\55\155\x61\156\x61\x67\x65\x72", $data); goto d8917; bcf99: return $response; goto c9527; De594: $locale = $request->getLocale(); goto F16d9; de249: $session = $request->getSession(); goto De594; E22b7: $response = $this->render("\106\x72\157\x6e\x74\145\x6e\144\x2f\x53\151\x74\145\57\x66\151\154\145\55\155\141\156\141\x67\145\x72\56\x68\x74\x6d\x6c\56\x74\x77\x69\147", ["\163\x69\x74\x65" => $site, "\x66\151\154\145\x4d\x61\x6e\x61\x67\x65\162\125\162\x6c" => $fileManagerUrl, "\x66\157\x72\155\105\162\x72\157\162\163" => $this->formErrors]); goto e34a0; d8917: $fileManagerUrl = sprintf("\45\x73\x2f\x66\x69\x6c\145\55\x6d\x61\x6e\x61\147\145\162\x2f", rtrim($request->getSchemeAndHttpHost(), "\57")); goto E22b7; F16d9: $cookieExpirationDate = new \DateTime("\156\157\167"); goto D4495; e34a0: F41f7: goto bcf99; B9cb1: $site = $this->getSite($request); goto Dc83c; C7616: $siteUser = $site->getUser(); goto de249; A64f8: Af2b3: goto C7616; Dc83c: if (false === is_null($site)) { goto Af2b3; } goto fdd7d; D4495: $cookieExpirationDate->modify(sprintf("\x2b\45\x73\x20\x68\x6f\165\x72\x73", self::FILE_MANAGER_COOKIE_EXPIRATION)); goto bbc49; Dde44: goto F41f7; goto A64f8; c9527: } public function view(Request $request) : Response { goto Ec6c7; A4e0b: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\x74\x65\137\163\145\164\164\151\156\x67\163", ["\144\x6f\x6d\x61\x69\156\x4e\x61\155\145" => $domainName])); goto f5231; Ec6c7: $domainName = $request->get("\x64\157\x6d\x61\151\156\x4e\x61\155\x65"); goto A4e0b; f5231: return $response; goto a4da6; a4da6: } public function logs(Request $request) : Response { goto Fad82; A9e58: goto B5020; goto d246a; c0db7: $response = $this->render("\106\x72\157\156\164\145\x6e\144\x2f\123\x69\x74\145\57\x6c\x6f\x67\x73\x2e\150\164\x6d\x6c\56\x74\167\x69\x67", ["\x73\x69\x74\x65" => $site, "\x66\157\x72\155\x45\162\162\157\162\x73" => $this->formErrors, "\146\157\162\x6d" => $form->createView()]); goto df6dd; d246a: C7520: goto F6df5; a6174: return $response; goto Db7b6; Fad82: $site = $this->getSite($request); goto Fe94b; df6dd: B5020: goto a6174; C5e4e: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\145\163")); goto A9e58; Fe94b: if (false === is_null($site)) { goto C7520; } goto C5e4e; F6df5: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto F7a4b; F7a4b: $form = $this->createLogsForm($siteEntity); goto c0db7; Db7b6: } private function createLogsForm(SiteEntity $siteEntity) : Form { goto fe610; fe610: $form = $this->createForm("\x41\x70\160\x5c\106\157\162\x6d\134\x53\x69\x74\x65\114\x6f\147\x73\x54\171\160\145", [], ["\x61\143\164\151\x6f\156" => $this->generateUrl("\143\154\x70\x5f\163\x69\164\x65\x5f\154\157\x67\163", ["\144\157\155\141\151\x6e\x4e\141\155\145" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\157\x64" => "\x50\117\x53\124", "\141\164\164\162" => []]); goto F0f1e; Eb9b6: return $form; goto ecb79; F0f1e: $form->add("\x75\x70\x64\x61\x74\x65", ButtonType::class, ["\141\164\x74\x72" => ["\x63\154\141\163\163" => "\x62\164\156\x20\x62\164\x6e\55\154\x67\x20\x62\x74\156\x2d\142\x6c\x75\x65\40\142\x74\156\x2d\165\160\x64\x61\x74\145"], "\154\x61\142\145\154" => "\x55\x70\144\141\164\145"]); goto Eb9b6; ecb79: } public function logFileContent(Request $request, Twig $twig) : Response { goto F9f53; ed1c8: $service = trim($request->get("\163\145\x72\x76\151\x63\x65")); goto Ce4f7; B2200: if (!(false === is_null($site))) { goto ac3b3; } goto ed1c8; Be213: $site = $this->getSite($request); goto B2200; F9f53: $data = []; goto Be213; Ffea7: $numberOfLines = (int) $request->get("\x6e\165\155\142\x65\x72\117\x66\x4c\151\x6e\145\163"); goto de164; Ce4f7: $logfileName = trim($request->get("\154\x6f\x67\x46\151\x6c\x65")); goto Ffea7; f6fbb: ac3b3: goto bca5d; Ff25c: return $response; goto d5a61; daf0c: try { goto c7c70; A3152: $logLines = $logfileReader->getLines($numberOfLines); goto da621; a68d2: $logfileReader = new LogfileReader($logfile); goto A3152; c7c70: $service = basename($service); goto Eeeba; Becd6: $logMessages = $nginxErrorLogParser->parse(); goto f09f3; a9d5e: B3603: goto e46db; Fed81: c4b33: goto a4e80; A5ff6: $data["\x6c\157\x67\115\145\163\x73\141\147\x65\x73\x48\x74\x6d\154"] = $logMessagesHtml; goto E6e0d; ad29b: $logMessages = $nginxAccessLogParser->parse(); goto f4a0b; db66d: goto a8004; goto a9d5e; a4e80: if (!("\160\150\x70" == $service)) { goto Fee23; } goto c3289; b66bb: $logMessagesHtml = $twig->render("\x46\162\157\x6e\164\x65\x6e\144\x2f\x53\x69\164\x65\x2f\114\157\147\163\x2f\160\150\x70\55\146\160\x6d\55\x65\162\162\157\162\55\x6c\x6f\x67\55\155\x65\x73\x73\x61\147\145\x73\x2e\150\164\155\154\x2e\164\x77\x69\147", ["\x6c\157\x67\115\x65\x73\163\141\x67\145\x73" => $logMessages]); goto a87ea; C65fc: $user = $this->getUser(); goto e20b1; bda31: a8004: goto Fed81; Eeeba: $logfile = sprintf("\x2f\x68\x6f\155\x65\57\45\163\x2f\x6c\x6f\x67\163\57\45\x73\57\45\163", $site->getUser(), $service, $logfileName); goto a68d2; da621: $logMessagesHtml = ''; goto C65fc; c3289: $phpFpmErrorLogParser = new PhpFpmErrorLogParser($logLines); goto C66dd; f4a0b: $logMessagesHtml = $twig->render("\106\x72\x6f\x6e\x74\x65\x6e\144\x2f\123\151\164\x65\57\x4c\x6f\147\x73\57\x6e\x67\x69\x6e\x78\55\141\143\x63\x65\x73\163\55\154\x6f\x67\55\155\x65\163\163\x61\147\145\x73\56\x68\164\155\154\56\x74\x77\151\147", ["\x6c\x6f\147\115\x65\x73\x73\x61\x67\x65\163" => $logMessages]); goto bda31; bf13f: if ("\x61\x63\x63\x65\x73\163\56\154\157\x67" == substr($logfileName, 0, 10)) { goto B3603; } goto F2fff; a87ea: Fee23: goto A5ff6; A8c37: $nginxAccessLogParser->setTimezone($userTimezone->getName()); goto ad29b; f09f3: $logMessagesHtml = $twig->render("\106\x72\157\156\164\145\x6e\144\x2f\x53\151\164\x65\57\x4c\x6f\x67\x73\57\x6e\x67\x69\x6e\170\x2d\145\162\x72\x6f\x72\x2d\x6c\157\x67\55\x6d\x65\x73\163\141\147\x65\163\x2e\x68\164\x6d\154\x2e\164\167\x69\147", ["\x6c\x6f\x67\x4d\x65\x73\x73\x61\x67\x65\163" => $logMessages]); goto db66d; C66dd: $logMessages = $phpFpmErrorLogParser->parse(); goto b66bb; e46db: $nginxAccessLogParser = new NginxAccessLogParser($logLines); goto A8c37; e20b1: if (!("\x6e\147\x69\x6e\x78" == $service)) { goto c4b33; } goto A37e8; F2fff: $nginxErrorLogParser = new NginxErrorLogParser($logLines); goto Becd6; A37e8: $userTimezone = $user->getTimezone(); goto bf13f; E6e0d: } catch (\Exception $e) { $this->logger->exception($e); } goto F20a3; de164: if (!(false === empty($service) && false === empty($logfileName))) { goto C1131; } goto daf0c; F20a3: C1131: goto f6fbb; bca5d: $response = $this->json($data); goto Ff25c; d5a61: } public function loadLogfilesForService(Request $request) : Response { goto d208f; c959c: $service = trim($request->get("\x73\145\x72\166\x69\143\145")); goto Ca762; Ca762: if (!(false === empty($service))) { goto A9263; } goto D2f98; f4093: if (!(false === is_null($site))) { goto c1a99; } goto c959c; e4ad1: $site = $this->getSite($request); goto f4093; d208f: $data = []; goto e4ad1; D0ba4: return $response; goto D5b22; D2f98: try { goto Bcf8c; Bcf8c: $service = basename($service); goto Bfd99; c8958: if (!(false === empty($logfiles))) { goto Db0e2; } goto E43bc; B6025: Db0e2: goto d6187; Bfd99: $logfilesDirectory = sprintf("\x2f\x68\157\155\x65\57\45\x73\57\154\x6f\147\x73\x2f\45\163\x2f", $site->getUser(), $service); goto b6d56; Aa1e0: $logfiles = $logsFinder->getLogfiles(); goto c8958; b6d56: $logsFinder = new LogsFinder($logfilesDirectory); goto Aa1e0; E43bc: $data["\x6c\x6f\147\146\x69\154\x65\x73"] = $logfiles; goto B6025; d6187: } catch (\Exception $e) { $this->logger->exception($e); } goto a3d0e; Fadec: c1a99: goto C2f24; C2f24: $response = $this->json($data); goto D0ba4; a3d0e: A9263: goto Fadec; D5b22: } public function cronJobs(Request $request) : Response { goto Ddd09; b5296: if (false === is_null($site)) { goto c01d8; } goto Dbf1c; Ddd09: $site = $this->getSite($request); goto b5296; daafb: goto B2886; goto c37d8; c37d8: c01d8: goto Ebef6; d2904: return $response; goto Af278; Ebef6: $response = $this->render("\x46\162\157\x6e\164\x65\x6e\144\x2f\x53\x69\164\145\57\143\x72\157\x6e\x2d\152\157\x62\x73\56\150\164\155\154\x2e\164\167\151\x67", ["\x73\x69\164\x65" => $site, "\x66\x6f\x72\x6d\105\162\162\x6f\162\x73" => $this->formErrors]); goto Ac3df; Dbf1c: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\x69\x74\145\163")); goto daafb; Ac3df: B2886: goto d2904; Af278: } public function newCronJob(Request $request) : Response { goto B912c; F8696: goto b77a1; goto fa04b; af71b: $cronJobEntity = $this->cronJobEntityManager->createEntity(); goto ecf82; B181c: return $response; goto fe8e4; b7919: if (false === is_null($site)) { goto dc64e; } goto e160f; fa04b: dc64e: goto c43e3; f4cd0: $response = $this->handleCronJobForm($request, $form, $site); goto e9f66; F7798: if (!(true === $form->isSubmitted())) { goto dd762; } goto f4cd0; b9b5f: C3ae1: goto a4760; B912c: $site = $this->getSite($request); goto b7919; ecf82: $cronJobEntity->setSite($siteEntity); goto bad64; d1412: return $response; goto b9b5f; e160f: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\x74\145\163")); goto F8696; b92f5: Bfad8: goto C52d7; e9f66: if (!(false === is_null($response))) { goto C3ae1; } goto d1412; C52d7: $response = $this->render("\106\x72\x6f\156\x74\x65\x6e\x64\57\x53\x69\164\x65\57\156\x65\x77\x2d\143\162\157\x6e\x2d\x6a\157\142\x2e\150\164\155\154\56\x74\167\151\x67", ["\163\x69\x74\x65" => $site, "\146\x6f\x72\x6d" => $form->createView(), "\146\157\x72\155\105\162\162\x6f\162\163" => $this->formErrors]); goto d38df; Ad23f: $form->handleRequest($request); goto F7798; c43e3: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto af71b; bad64: $form = $this->createCronJobForm($cronJobEntity); goto Abcb2; d38df: b77a1: goto B181c; Abcb2: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto Bfad8; } goto Ad23f; a4760: dd762: goto b92f5; fe8e4: } private function createCronJobForm(CronJobEntity $cronJobEntity) : Form { goto C6aca; E1d39: $form = $this->createForm("\101\x70\160\134\x46\157\x72\155\x5c\x53\x69\x74\145\103\x72\157\x6e\112\x6f\x62\x54\x79\x70\x65", $cronJobEntity, ["\x61\x63\164\151\x6f\x6e" => $this->generateUrl("\143\154\160\x5f\x73\x69\164\x65\137\143\x72\157\x6e\x5f\x6a\157\142\137\156\x65\167", ["\144\x6f\x6d\x61\151\156\x4e\141\155\x65" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\x6f\144" => "\120\117\123\124", "\141\164\x74\162" => []]); goto ef733; dbbc9: return $form; goto A0383; C6aca: $siteEntity = $cronJobEntity->getSite(); goto E1d39; ef733: $form->add("\x73\165\x62\155\x69\164", SubmitType::class, ["\x61\x74\164\x72" => ["\x63\154\x61\x73\x73" => "\142\x74\156\40\142\164\x6e\x2d\142\x6c\165\x65\x20\x62\164\x6e\x2d\x6c\x67"], "\154\141\142\145\x6c" => "\101\144\144\40\103\162\157\156\x20\x4a\x6f\x62"]); goto dbbc9; A0383: } private function handleCronJobForm(Request $request, Form $form, Site $site) { goto Ec5ea; Ec5ea: if (true === $form->isValid()) { goto c4f4a; } goto aaa31; Ddc79: try { goto Fe6ed; C8edd: $user = $this->getUser(); goto Bcad7; f6492: $siteEntity = $this->getSiteEntity($domainName); goto c9b56; C5cad: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_ADD, $user, $eventData, $request); goto C1fc8; C1fc8: $session->getFlashBag()->set("\163\x75\x63\143\x65\163\x73", $this->translator->trans("\103\162\x6f\x6e\40\x4a\x6f\142\40\150\141\163\x20\x62\145\x65\156\40\x61\x64\x64\x65\x64\56")); goto d931f; Bcad7: $cronJobEntity = $form->getData(); goto d2899; d2899: $siteEntity->addCronJob($cronJobEntity); goto A24f2; A24f2: $site->setCronJobs($siteEntity->getCronJobs()); goto B5fca; Ae5db: C11a0: goto b0de5; c9b56: if (false === is_null($siteEntity)) { goto E8546; } goto A957e; b0de5: return $response; goto d241b; E7567: $domainName = $site->getDomainName(); goto f6492; d931f: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\164\145\x5f\x63\162\x6f\156\x5f\152\x6f\142\163", ["\x64\x6f\x6d\x61\x69\156\116\x61\155\x65" => $site->getDomainName()])); goto Ae5db; B5fca: $this->siteEntityManager->updateEntity($siteEntity); goto f9c5c; c03b7: goto C11a0; goto D75e1; Fe6ed: $session = $request->getSession(); goto E7567; F686e: $eventData = ["\x73\x69\164\145" => $domainName, "\143\162\157\156\x74\141\142\105\170\160\x72\x65\163\163\x69\x6f\x6e" => $cronJobEntity->getCrontabExpression()]; goto C5cad; A957e: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\151\x74\x65\x73")); goto c03b7; D75e1: E8546: goto C8edd; e8d30: $siteUpdater->updateUserCrontab(); goto F686e; f9c5c: $siteUpdater = $this->getSiteUpdater($site); goto e8d30; d241b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\x72", $this->translator->trans("\101\156\x20\x65\x72\x72\157\162\40\150\141\x73\40\157\143\143\x75\162\x72\x65\x64\x2c\x20\145\162\x72\157\162\40\x6d\x65\x73\x73\141\x67\145\x3a\x20\45\x65\x72\x72\157\x72\115\x65\x73\163\141\147\x65\45", ["\45\145\162\162\157\162\x4d\145\163\x73\x61\147\x65\45" => $e->getMessage()])); } goto fca50; fca50: c63ac: goto d937a; A5016: goto c63ac; goto bb24e; aaa31: $this->formErrors = $this->getErrorMessages($form); goto A5016; bb24e: c4f4a: goto Ddc79; d937a: } public function deleteCronJob(Request $request) : Response { goto Dad5d; d3d84: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\x74\145\x73")); goto D1c86; Ca838: try { goto B17f7; D7760: $domainName = $site->getDomainName(); goto a9844; de2dc: b6b36: goto fa591; F9fa9: $user = $this->getUser(); goto d37ca; a9844: $siteEntity = $this->getSiteEntity($domainName); goto e7181; C0602: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_DELETE, $user, $evenData, $request); goto A2784; F8dc1: if (!($siteEntity->getDomainName() == $cronJobSiteEntity->getDomainName())) { goto b6b36; } goto F9fa9; d37ca: $siteEntity->removeCronJob($cronJobEntity); goto bc6da; fa591: C7712: goto D5a90; cb136: $this->siteEntityManager->updateEntity($siteEntity); goto B879e; f7946: $cronJobSiteEntity = $cronJobEntity->getSite(); goto F8dc1; b6ff9: if (!(false === is_null($siteEntity) && false === is_null($cronJobEntity))) { goto C7712; } goto f7946; B879e: $siteUpdater = $this->getSiteUpdater($site); goto Cfb7a; bc6da: $site->setCronJobs($siteEntity->getCronJobs()); goto cb136; B17f7: $session = $request->getSession(); goto A8030; A2784: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\163", $this->translator->trans("\x43\162\157\x6e\40\112\157\x62\x20\x68\x61\163\40\142\145\x65\156\40\x64\145\x6c\145\164\x65\x64\x2e")); goto ebc00; B1ed4: $evenData = ["\163\x69\x74\x65" => $domainName, "\143\157\x6d\x6d\141\156\x64" => $cronJobEntity->getCommand()]; goto C0602; e7181: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto b6ff9; ebc00: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\x74\x65\137\143\162\x6f\156\137\x6a\x6f\142\x73", ["\144\157\155\x61\x69\x6e\116\141\x6d\145" => $site->getDomainName()])); goto c5103; A8030: $id = (int) $request->get("\x69\144"); goto D7760; c5103: return $response; goto de2dc; Cfb7a: $siteUpdater->updateUserCrontab(); goto B1ed4; D5a90: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\145\162", $this->translator->trans("\101\156\40\x65\x72\162\x6f\x72\40\150\x61\163\40\x6f\x63\143\x75\162\x72\x65\x64\54\40\145\x72\x72\157\x72\x20\x6d\x65\163\x73\x61\147\x65\x3a\x20\x25\145\162\162\x6f\x72\115\x65\163\x73\x61\147\x65\x25", ["\x25\x65\162\162\x6f\x72\x4d\145\163\163\x61\147\145\45" => $e->getMessage()])); } goto ad468; A4d04: if (!(false === is_null($site))) { goto c841b; } goto Ca838; Dad5d: $site = $this->getSite($request); goto e40e1; e40e1: $this->checkCsrfToken($request, "\143\162\x6f\156\152\x6f\x62\x2d\x64\x65\x6c\145\x74\x65"); goto A4d04; D1c86: return $response; goto d334c; ad468: c841b: goto d3d84; d334c: } public function editCronJob(Request $request) : Response { goto a8fe2; E2df2: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\164\x65\x73")); goto a36a0; a227b: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto ea3de; } goto D1fa2; D01ae: $site = $this->getSite($request); goto F1ec7; C8aec: return $response; goto B42c3; F1ec7: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto f81bf; b5af5: Fa3c8: goto cd2ec; B4217: $response = $this->handleCronJobEditForm($request, $form, $site); goto B6c7d; f81bf: if (false === is_null($cronJobEntity) && false === is_null($site) && $cronJobEntity->getSite()->getDomainName() == $site->getDomainName()) { goto Fa3c8; } goto E2df2; cd2ec: $form = $this->createCronJobEditForm($cronJobEntity); goto a227b; D1fa2: $form->handleRequest($request); goto Ea914; a8fe2: $id = (int) $request->get("\x69\x64"); goto D01ae; F632b: a5bcd: goto C8aec; Ea914: if (!(true === $form->isSubmitted())) { goto b9f83; } goto B4217; a36a0: goto a5bcd; goto b5af5; B6c7d: if (!(false === is_null($response))) { goto ed771; } goto a15a5; a15a5: return $response; goto c7c39; c7c39: ed771: goto E8083; c8be0: ea3de: goto D9e55; E8083: b9f83: goto c8be0; D9e55: $response = $this->render("\x46\162\157\x6e\x74\x65\x6e\x64\57\123\151\164\145\57\x65\144\x69\164\55\143\x72\x6f\156\55\152\157\x62\x2e\x68\x74\155\x6c\56\x74\167\151\147", ["\x73\x69\x74\x65" => $site, "\146\x6f\x72\x6d" => $form->createView(), "\x66\157\x72\x6d\x45\162\x72\157\162\x73" => $this->formErrors]); goto F632b; B42c3: } private function createCronJobEditForm(CronJobEntity $cronJobEntity) : Form { goto f9cb0; Cd334: $form->add("\x73\x75\x62\155\x69\164", SubmitType::class, ["\x61\x74\164\162" => ["\x63\x6c\x61\163\163" => "\142\x74\156\40\x62\x74\x6e\x2d\142\x6c\x75\x65\x20\x62\164\x6e\55\x6c\x67"], "\x6c\x61\x62\x65\x6c" => "\x53\141\166\x65"]); goto a305b; f9cb0: $siteEntity = $cronJobEntity->getSite(); goto e07f9; e07f9: $form = $this->createForm("\x41\160\x70\x5c\106\157\x72\155\x5c\123\151\x74\x65\103\x72\x6f\x6e\112\x6f\142\105\x64\151\x74\124\171\160\145", $cronJobEntity, ["\x61\x63\x74\x69\157\156" => $this->generateUrl("\x63\x6c\x70\x5f\163\151\164\x65\137\143\x72\x6f\156\137\x6a\x6f\x62\x5f\x65\144\151\x74", ["\x64\x6f\x6d\x61\x69\x6e\x4e\141\155\145" => $siteEntity->getDomainName(), "\x69\144" => $cronJobEntity->getId()]), "\155\x65\164\150\157\144" => "\x50\117\123\x54", "\141\164\164\x72" => []]); goto Cd334; a305b: return $form; goto d1205; d1205: } private function handleCronJobEditForm(Request $request, Form $form, Site $site) { goto a169f; Cf9cd: goto F172f; goto B8aa1; b89b8: F172f: goto Ca223; ead9f: $this->formErrors = $this->getErrorMessages($form); goto Cf9cd; B8aa1: d45ef: goto Fbbe1; a169f: if (true === $form->isValid()) { goto d45ef; } goto ead9f; Fbbe1: try { goto eb735; F5535: $eventData = ["\163\x69\x74\x65" => $domainName, "\143\162\157\156\164\141\x62\105\x78\x70\x72\145\x73\163\x69\x6f\x6e" => $cronJobEntity->getCrontabExpression()]; goto Df88a; Baf74: $site->setCronJobs($siteEntity->getCronJobs()); goto e65b1; eb735: $session = $request->getSession(); goto B1049; a0d37: return $response; goto c4739; c0e36: $siteEntity->addCronJob($cronJobEntity); goto Baf74; D448f: goto Ec832; goto Aec16; Aa5df: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\x74\x65\163")); goto D448f; B0710: Ec832: goto a0d37; d2ef7: $siteUpdater->updateUserCrontab(); goto F5535; f1ab8: $user = $this->getUser(); goto A43fe; E0dd8: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\x74\145\x5f\143\162\157\x6e\137\x6a\x6f\x62\163", ["\x64\x6f\155\x61\x69\156\x4e\x61\155\x65" => $site->getDomainName()])); goto B0710; B1049: $domainName = $site->getDomainName(); goto A5a29; Aec16: be044: goto f1ab8; e838c: $session->getFlashBag()->set("\163\165\x63\143\x65\x73\x73", $this->translator->trans("\103\162\x6f\x6e\40\x4a\x6f\142\x20\150\x61\163\x20\x62\x65\145\x6e\x20\x73\141\166\145\x64\56")); goto E0dd8; A5a29: $siteEntity = $this->getSiteEntity($domainName); goto C7308; D0166: $siteUpdater = $this->getSiteUpdater($site); goto d2ef7; e65b1: $this->siteEntityManager->updateEntity($siteEntity); goto D0166; Df88a: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_EDIT, $user, $eventData, $request); goto e838c; C7308: if (false === is_null($siteEntity)) { goto be044; } goto Aa5df; A43fe: $cronJobEntity = $form->getData(); goto c0e36; c4739: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\162", $this->translator->trans("\x41\156\40\x65\x72\162\157\162\40\x68\141\x73\x20\157\143\143\165\x72\x72\x65\x64\x2c\x20\x65\x72\162\x6f\162\x20\155\145\163\163\x61\147\x65\x3a\x20\x25\x65\162\162\x6f\x72\x4d\x65\163\x73\141\x67\x65\x25", ["\45\x65\162\162\x6f\162\x4d\145\163\163\141\147\145\x25" => $e->getMessage()])); } goto b89b8; Ca223: } public function users(Request $request) : Response { goto da93a; E1e18: A08b5: goto e3728; Db21c: goto D1468; goto E1e18; da93a: $site = $this->getSite($request); goto Fd874; Fd874: if (false === is_null($site)) { goto A08b5; } goto aad04; Cc2b0: return $response; goto A46fe; f3332: D1468: goto Cc2b0; e3728: $response = $this->render("\106\x72\x6f\x6e\x74\145\156\144\x2f\x53\x69\x74\x65\57\165\x73\x65\162\163\x2e\150\x74\x6d\x6c\x2e\x74\167\151\x67", ["\x73\x69\164\145" => $site, "\146\x6f\162\155\x45\162\162\157\162\x73" => $this->formErrors]); goto f3332; aad04: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\164\145\163")); goto Db21c; A46fe: } public function newFtpUser(Request $request) : Response { goto a7b36; a17fe: if (!(true === $form->isSubmitted())) { goto e6124; } goto Bbbf7; b8e67: Ad667: goto A9266; Bbbf7: $response = $this->handleFtpUserForm($request, $form, $site); goto c7483; ff257: $ftpUserEntity->setSite($siteEntity); goto fc1e6; bb2bf: $response = $this->render("\106\162\157\x6e\x74\x65\x6e\144\57\123\x69\164\145\x2f\x6e\145\167\55\x66\164\160\55\x75\163\145\162\56\x68\x74\155\154\x2e\x74\167\151\x67", ["\163\x69\x74\145" => $site, "\x66\157\162\155" => $form->createView(), "\x66\x6f\162\155\x45\x72\x72\x6f\162\163" => $this->formErrors]); goto E7a19; a7b36: $site = $this->getSite($request); goto E3854; ba3a1: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\x74\x65\163")); goto ffda6; Bfcdd: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto A939a; A9266: e6124: goto C9a27; B1b71: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto f1120; } goto E6532; c7483: if (!(false === is_null($response))) { goto Ad667; } goto f1658; C9a27: f1120: goto bb2bf; Bf9a0: b23fc: goto Bfcdd; ffda6: goto ae72b; goto Bf9a0; E6532: $form->handleRequest($request); goto a17fe; f1658: return $response; goto b8e67; A939a: $ftpUserEntity = $this->ftpUserEntityManager->createEntity(); goto ff257; E3854: if (false === is_null($site)) { goto b23fc; } goto ba3a1; E7a19: ae72b: goto d681e; fc1e6: $form = $this->createFtpUserForm($ftpUserEntity); goto B1b71; d681e: return $response; goto adf5e; adf5e: } private function createFtpUserForm(FtpUserEntity $ftpUserEntity) : Form { goto E2b24; C6d1f: $form = $this->createForm("\101\160\160\x5c\106\x6f\162\155\134\123\x69\x74\x65\106\x74\160\x55\x73\x65\162\124\x79\160\145", $ftpUserEntity, ["\x61\x63\x74\151\x6f\x6e" => $this->generateUrl("\143\154\160\x5f\x73\x69\x74\145\x5f\x66\x74\160\137\x75\x73\145\162\137\x6e\x65\x77", ["\x64\x6f\155\x61\x69\x6e\116\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\145\164\150\x6f\x64" => "\x50\117\123\x54", "\141\164\x74\162" => []]); goto B30d7; B30d7: $form->add("\163\165\142\155\x69\164", SubmitType::class, ["\x61\x74\164\162" => ["\x63\154\x61\163\163" => "\142\164\x6e\40\x62\164\x6e\55\x62\154\x75\145\40\x62\x74\156\55\154\x67"], "\154\x61\142\x65\154" => "\101\144\x64\40\x55\163\145\162"]); goto bead1; E2b24: $siteEntity = $ftpUserEntity->getSite(); goto C6d1f; bead1: return $form; goto A5741; A5741: } private function handleFtpUserForm(Request $request, Form $form, Site $site) { goto a6f8d; d4ae4: $this->formErrors = $this->getErrorMessages($form); goto a4749; B89e9: f90ed: goto D083a; a7e25: e4760: goto Dbcc1; Dbcc1: try { goto B9b84; e3b15: $user = $this->getUser(); goto D2cb7; c7542: $ftpUserName = $ftpUserEntity->getUserName(); goto e75e5; e69ac: return $response; goto Ce5d3; B684f: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\145\x5f\165\163\145\162\x73", ["\144\x6f\155\141\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto e318a; Bc6a3: goto Eaa7f; goto cf7ac; E023c: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\x74\145\163")); goto Bc6a3; fd4ec: $siteEntity->addFtpUser($ftpUserEntity); goto dae6d; Bc579: if (false === is_null($siteEntity)) { goto f5129; } goto E023c; e75e5: $ftpUserPassword = $form->get("\160\141\x73\163\167\157\162\x64")->getData(); goto a6285; D2cb7: $ftpUserEntity = $form->getData(); goto c7542; cb792: $domainName = $site->getDomainName(); goto e20d5; a1515: $siteUpdater = $this->getSiteUpdater($site); goto d83f5; ca0cf: $eventData = ["\163\x69\164\145" => $domainName, "\165\x73\145\162\x4e\x61\155\145" => $ftpUserName, "\x68\x6f\x6d\145\x44\151\162\x65\x63\x74\x6f\x72\171" => $ftpUserEntity->getHomeDirectory()]; goto Ba5c5; cf7ac: f5129: goto e3b15; d83f5: $siteUpdater->createFtpUser($ftpUserEntity); goto ca0cf; e20d5: $siteEntity = $this->getSiteEntity($domainName); goto Bc579; a6285: $ftpUserEntity->setPassword($ftpUserPassword); goto fd4ec; ca5bd: $session->getFlashBag()->set("\x73\165\x63\x63\x65\x73\163", $this->translator->trans("\125\x73\145\162\x20\x68\x61\x73\40\142\x65\x65\156\x20\141\x64\144\145\x64\56")); goto B684f; B9b84: $session = $request->getSession(); goto cb792; dae6d: $this->siteEntityManager->updateEntity($siteEntity); goto a1515; Ba5c5: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_ADD, $user, $eventData, $request); goto ca5bd; e318a: Eaa7f: goto e69ac; Ce5d3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\101\156\40\145\162\x72\157\x72\40\150\141\x73\40\x6f\x63\x63\165\x72\x72\x65\x64\x2c\40\x65\162\x72\x6f\162\40\155\145\163\x73\141\x67\x65\72\x20\x25\145\162\x72\157\162\115\145\x73\163\x61\x67\145\x25", ["\45\x65\x72\162\x6f\x72\115\145\163\163\x61\147\x65\x25" => $e->getMessage()])); } goto B89e9; a6f8d: if (true === $form->isValid()) { goto e4760; } goto d4ae4; a4749: goto f90ed; goto a7e25; D083a: } public function editFtpUser(Request $request) : Response { goto Ceffc; D2855: $response = $this->handleFtpUserEditForm($request, $form, $site); goto cf77d; C1a95: A882e: goto Dc7e3; cf77d: if (!(false === is_null($response))) { goto bca37; } goto cba53; E69d0: goto b8ce9; goto e6acb; B34bf: $site = $this->getSite($request); goto bd80e; e6acb: a8db0: goto d0e59; C2390: bca37: goto C1a95; D24ec: $form->handleRequest($request); goto F2ac7; ae901: return $response; goto c9f07; f7483: b8ce9: goto ae901; F2ac7: if (!(true === $form->isSubmitted())) { goto A882e; } goto D2855; Eb5c3: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto F2801; } goto D24ec; bd80e: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto B579b; B579b: if (false === is_null($ftpUserEntity) && false === is_null($site) && $ftpUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto a8db0; } goto Ce5a9; Ceffc: $userName = $request->get("\165\163\145\x72\x4e\x61\x6d\145"); goto B34bf; cba53: return $response; goto C2390; cd5db: $response = $this->render("\x46\162\x6f\156\x74\x65\156\x64\57\x53\151\x74\145\57\x65\144\x69\164\55\146\x74\x70\x2d\x75\x73\x65\x72\56\150\164\155\154\56\x74\x77\151\x67", ["\x73\x69\x74\145" => $site, "\x66\x6f\x72\155" => $form->createView(), "\146\x6f\x72\x6d\105\162\x72\157\x72\163" => $this->formErrors]); goto f7483; Ce5a9: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\x74\x65\x73")); goto E69d0; d0e59: $form = $this->createFtpUserEditForm($ftpUserEntity); goto Eb5c3; Dc7e3: F2801: goto cd5db; c9f07: } private function createFtpUserEditForm(FtpUserEntity $ftpUserEntity) : Form { goto a5e6f; a5e6f: $siteEntity = $ftpUserEntity->getSite(); goto ab2a2; ab2a2: $form = $this->createForm("\x41\x70\x70\x5c\106\157\162\x6d\x5c\x53\x69\164\x65\x46\164\160\x55\163\145\x72\105\144\151\x74\x54\x79\x70\145", $ftpUserEntity, ["\141\x63\164\x69\157\156" => $this->generateUrl("\143\x6c\x70\137\x73\151\164\145\137\146\x74\160\137\165\x73\x65\162\x5f\145\144\151\164", ["\x64\157\x6d\x61\151\156\x4e\141\x6d\x65" => $siteEntity->getDomainName(), "\x75\x73\x65\x72\116\141\x6d\x65" => $ftpUserEntity->getUserName()]), "\x6d\x65\x74\x68\157\144" => "\120\117\123\124", "\x61\164\164\162" => []]); goto Eee4c; Eee4c: $form->add("\x73\x75\142\155\151\164", SubmitType::class, ["\x61\x74\x74\x72" => ["\x63\x6c\x61\x73\x73" => "\x62\164\x6e\40\142\164\x6e\x2d\142\154\x75\145\x20\142\x74\x6e\55\154\147"], "\154\141\142\x65\x6c" => "\x53\141\166\145"]); goto c84f5; c84f5: return $form; goto fe310; fe310: } private function handleFtpUserEditForm(Request $request, Form $form, Site $site) { goto de451; aa5fd: f0142: goto De378; C5f5a: goto f0142; goto B4c9c; B4c9c: d6a0b: goto cb5a7; de451: if (true === $form->isValid()) { goto d6a0b; } goto ebf9a; cb5a7: try { goto ca688; a430a: $session->getFlashBag()->set("\163\x75\x63\143\145\163\x73", $this->translator->trans("\x55\x73\x65\x72\x20\x68\141\163\x20\142\145\x65\156\40\163\141\166\x65\144\56")); goto bcd29; B55c6: goto D799e; goto b8daf; bcd29: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\164\145\137\x75\x73\x65\x72\163", ["\144\157\155\141\151\156\116\141\x6d\x65" => $site->getDomainName()])); goto abe75; ec0e6: $this->siteEntityManager->updateEntity($siteEntity); goto Ec99d; a8c99: $domainName = $site->getDomainName(); goto e7b35; e7b35: $siteEntity = $this->getSiteEntity($domainName); goto Fa7a0; adecc: $ftpUserHomeDirectory = $ftpUserEntity->getHomeDirectory(); goto ec0e6; Fa7a0: if (false === is_null($siteEntity)) { goto f5e11; } goto A66b0; Ced65: $ftpUserName = $ftpUserEntity->getUserName(); goto A8278; abe75: D799e: goto A9b1d; b98be: $user = $this->getUser(); goto A1be0; eab73: $eventData = ["\x73\151\x74\x65" => $domainName, "\x75\x73\145\162\x4e\141\x6d\x65" => $ftpUserName, "\150\157\155\145\x44\151\x72\145\x63\x74\157\x72\171" => $ftpUserHomeDirectory]; goto a88cd; A9b1d: return $response; goto A3adc; ca688: $session = $request->getSession(); goto a8c99; Be8a7: Cce8f: goto eab73; A1be0: $ftpUserEntity = $form->getData(); goto Ced65; Ec99d: $siteUpdater = $this->getSiteUpdater($site); goto e356e; a88cd: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_EDIT, $user, $eventData, $request); goto a430a; A66b0: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\x74\145\163")); goto B55c6; Fec1e: if (!(false === empty($ftpUserPassword))) { goto Cce8f; } goto D3f90; e356e: $siteUpdater->changeUserHomeDirectory($ftpUserName, $ftpUserHomeDirectory); goto Fec1e; D3f90: $siteUpdater->changeUserPassword($ftpUserName, $ftpUserPassword); goto Be8a7; b8daf: f5e11: goto b98be; A8278: $ftpUserPassword = $form->get("\x70\x61\x73\163\x77\157\162\x64")->getData(); goto adecc; A3adc: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\162", $this->translator->trans("\101\x6e\x20\x65\162\x72\x6f\162\x20\x68\x61\x73\x20\x6f\143\143\x75\162\162\145\144\54\x20\x65\162\x72\x6f\162\x20\155\145\163\x73\141\147\145\72\x20\45\145\x72\x72\157\162\x4d\145\163\x73\x61\x67\x65\45", ["\x25\145\x72\162\x6f\x72\x4d\x65\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto aa5fd; ebf9a: $this->formErrors = $this->getErrorMessages($form); goto C5f5a; De378: } public function deleteFtpUser(Request $request) : Response { goto F62f6; e4a90: $this->checkCsrfToken($request, "\x75\x73\145\x72\x2d\144\145\x6c\x65\164\145"); goto bf0b1; c2a30: try { goto cf52d; B9fc0: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\163\x73", $this->translator->trans("\x55\x73\145\x72\x20\x68\x61\x73\x20\142\145\x65\156\x20\x64\145\154\145\x74\x65\144\56")); goto fac51; e87b6: $userName = $ftpUserEntity->getUserName(); goto A40d6; e9376: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($ftpUserEntity))) { goto d61df; } goto Fb220; bfa91: $siteUpdater->deleteUser($userName, false); goto Ebea1; Fb220: $ftpUserSiteEntity = $ftpUserEntity->getSite(); goto E13b7; eb1a3: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_DELETE, $user, $evenData, $request); goto B9fc0; b4e89: $siteEntity = $this->getSiteEntity($domainName); goto Ce496; D1d20: $this->siteEntityManager->updateEntity($siteEntity); goto e6398; Fd178: Ddf5e: goto Ea858; cd808: $userName = $request->get("\x75\163\x65\x72\116\141\x6d\x65"); goto b4dc7; Ce496: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto e9376; Ebea1: $evenData = ["\163\151\x74\145" => $domainName, "\165\x73\x65\x72\x4e\141\155\145" => $userName]; goto eb1a3; cf52d: $session = $request->getSession(); goto cd808; fac51: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\164\145\137\165\x73\x65\162\163", ["\x64\157\x6d\x61\151\156\x4e\141\155\x65" => $site->getDomainName()])); goto e9b48; b4dc7: $domainName = $site->getDomainName(); goto b4e89; C1863: $user = $this->getUser(); goto e87b6; E13b7: if (!($siteEntity->getDomainName() == $ftpUserSiteEntity->getDomainName())) { goto Ddf5e; } goto C1863; Ea858: d61df: goto Fcf8c; e9b48: return $response; goto Fd178; e6398: $siteUpdater = $this->getSiteUpdater($site); goto bfa91; A40d6: $siteEntity->removeFtpUser($ftpUserEntity); goto D1d20; Fcf8c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\145\162", $this->translator->trans("\101\x6e\40\145\162\x72\x6f\162\x20\150\x61\x73\40\x6f\x63\x63\165\x72\162\x65\x64\x2c\x20\145\x72\x72\157\x72\40\x6d\x65\x73\163\141\x67\145\x3a\x20\x25\x65\x72\162\x6f\x72\115\x65\x73\163\x61\147\145\45", ["\45\145\162\x72\x6f\162\x4d\x65\163\x73\x61\147\x65\45" => $e->getMessage()])); } goto A1726; A1726: ad2ac: goto A76a5; f1828: return $response; goto c2d2a; bf0b1: if (!(false === is_null($site))) { goto ad2ac; } goto c2a30; F62f6: $site = $this->getSite($request); goto e4a90; A76a5: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\164\x65\163")); goto f1828; c2d2a: } public function newSshUser(Request $request) : Response { goto c4ee2; Dfb6b: if (!(false === is_null($response))) { goto F68c6; } goto Bb74c; C7ee0: goto e2ac0; goto F2154; a0f8f: return $response; goto Acb5a; b716d: $form = $this->createSshUserForm($sshUserEntity); goto e9476; F2154: D055c: goto be38d; C18d6: F68c6: goto fcad7; E1324: e2ac0: goto a0f8f; fcad7: d589a: goto A5e2f; Daff9: if (!(true === $form->isSubmitted())) { goto d589a; } goto b64d4; Bb74c: return $response; goto C18d6; cbbf9: $sshUserEntity->setSite($siteEntity); goto b716d; A5e2f: a7324: goto eaccd; be38d: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto D2e64; D25d8: $form->handleRequest($request); goto Daff9; D2e64: $sshUserEntity = $this->sshUserEntityManager->createEntity(); goto cbbf9; Cb235: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\x74\145\163")); goto C7ee0; c4ee2: $site = $this->getSite($request); goto c1d26; b64d4: $response = $this->handleSshUserForm($request, $form, $site); goto Dfb6b; eaccd: $response = $this->render("\106\162\157\156\x74\145\x6e\144\57\x53\151\x74\145\57\x6e\x65\x77\55\163\x73\150\55\165\163\x65\x72\x2e\x68\164\155\154\56\x74\167\x69\x67", ["\163\x69\x74\x65" => $site, "\x66\x6f\162\155" => $form->createView(), "\146\x6f\x72\155\105\x72\x72\157\162\x73" => $this->formErrors]); goto E1324; e9476: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto a7324; } goto D25d8; c1d26: if (false === is_null($site)) { goto D055c; } goto Cb235; Acb5a: } private function createSshUserForm(SshUserEntity $sshUserEntity) : Form { goto a1519; adc8c: $form->add("\x73\x75\142\155\151\164", SubmitType::class, ["\141\x74\x74\x72" => ["\143\154\x61\x73\163" => "\142\164\x6e\40\142\x74\x6e\55\142\154\165\x65\40\x62\x74\x6e\55\154\x67"], "\x6c\x61\x62\145\154" => "\101\x64\144\40\125\x73\145\162"]); goto E616a; Fe8a5: $form = $this->createForm("\101\x70\x70\134\x46\x6f\162\x6d\134\x53\151\x74\145\x53\163\x68\x55\x73\145\x72\x54\x79\x70\145", $sshUserEntity, ["\x61\x63\x74\x69\x6f\156" => $this->generateUrl("\x63\x6c\x70\137\x73\x69\x74\145\x5f\x73\x73\x68\137\x75\x73\x65\x72\x5f\x6e\x65\x77", ["\x64\x6f\x6d\x61\x69\x6e\x4e\x61\155\145" => $siteEntity->getDomainName()]), "\x6d\x65\x74\x68\157\144" => "\x50\117\x53\124", "\141\164\164\162" => []]); goto adc8c; a1519: $siteEntity = $sshUserEntity->getSite(); goto Fe8a5; E616a: return $form; goto B3ec8; B3ec8: } private function handleSshUserForm(Request $request, Form $form, Site $site) { goto Db925; fcbc2: goto f0724; goto e0cb1; e0cb1: F5809: goto adc21; D9d35: f0724: goto f7903; Db925: if (true === $form->isValid()) { goto F5809; } goto f803f; adc21: try { goto d0b48; c7e60: $sshKeys = $sshUserEntity->getSshKeys(); goto ee405; C6e9f: $domainName = $site->getDomainName(); goto B7fd4; c681c: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\x74\145\x73")); goto ec550; faeef: $sshUserEntity->setPassword($sshUserPassword); goto c7e60; baa2d: $this->siteEntityManager->updateEntity($siteEntity); goto E49fb; e7e06: $sshUserEntity = $form->getData(); goto cc558; c65d6: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_ADD, $user, $eventData, $request); goto b3322; Dc091: $eventData = ["\x73\151\x74\x65" => $domainName, "\x75\163\x65\162\116\141\155\145" => $sshUserName, "\163\x73\x68\113\x65\x79\x73" => $sshKeys]; goto c65d6; D3b51: if (false === is_null($siteEntity)) { goto dd520; } goto c681c; E49fb: $siteUpdater = $this->getSiteUpdater($site); goto ce488; a61da: return $response; goto Dbf1a; ec550: goto deffa; goto B8978; b3322: $session->getFlashBag()->set("\163\x75\143\x63\145\163\x73", $this->translator->trans("\125\x73\145\x72\x20\x68\x61\163\40\x62\x65\x65\156\x20\x61\144\x64\145\x64\56")); goto b3160; f73f6: if (!(false === empty($sshKeys))) { goto e5e9e; } goto A32ae; A32ae: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto b9646; d0b48: $session = $request->getSession(); goto C6e9f; A1190: deffa: goto a61da; d5f08: $user = $this->getUser(); goto e7e06; B7fd4: $siteEntity = $this->getSiteEntity($domainName); goto D3b51; Bb617: $sshUserPassword = $form->get("\x70\x61\x73\163\x77\157\162\144")->getData(); goto faeef; B8978: dd520: goto d5f08; b3160: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\x65\x5f\x75\163\x65\162\163", ["\144\157\x6d\141\x69\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto A1190; ee405: $siteEntity->addSshUser($sshUserEntity); goto baa2d; b9646: e5e9e: goto Dc091; ce488: $siteUpdater->createSshUser($sshUserEntity); goto f73f6; cc558: $sshUserName = $sshUserEntity->getUserName(); goto Bb617; Dbf1a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\145\162", $this->translator->trans("\x41\156\x20\145\162\162\x6f\162\40\x68\x61\x73\x20\x6f\143\x63\165\162\x72\x65\x64\x2c\40\x65\x72\162\157\162\40\155\x65\163\x73\141\147\x65\x3a\x20\45\x65\x72\x72\157\162\x4d\145\x73\x73\141\x67\145\45", ["\45\x65\x72\x72\x6f\x72\115\145\x73\163\141\147\145\x25" => $e->getMessage()])); } goto D9d35; f803f: $this->formErrors = $this->getErrorMessages($form); goto fcbc2; f7903: } public function editSshUser(Request $request) : Response { goto Cd6a0; fc6d2: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto C165b; E9a5d: a5dfd: goto D6330; cd554: $response = $this->render("\106\x72\157\156\164\x65\x6e\x64\x2f\123\151\x74\x65\x2f\x65\144\x69\164\x2d\x73\x73\x68\x2d\165\163\x65\x72\56\150\x74\x6d\154\56\x74\x77\x69\147", ["\163\151\164\145" => $site, "\x66\157\162\155" => $form->createView(), "\146\x6f\x72\155\x45\x72\162\157\162\163" => $this->formErrors]); goto E9a5d; Cd6a0: $userName = $request->get("\165\163\145\162\116\x61\155\145"); goto D4ed0; B771f: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto D99c7; } goto Fe573; e79a7: $form = $this->createSshUserEditForm($sshUserEntity); goto B771f; B0f95: E1020: goto Df7d0; D6330: return $response; goto a3d8e; b601c: if (!(false === is_null($response))) { goto E1020; } goto E2c54; Bbf07: $response = $this->handleSshUserEditForm($request, $form, $site); goto b601c; B171d: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\x74\x65\x73")); goto C24f8; Df7d0: cdd8a: goto Dd994; E2c54: return $response; goto B0f95; C165b: if (false === is_null($sshUserEntity) && false === is_null($site) && $sshUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto d97be; } goto B171d; f63f2: d97be: goto e79a7; D2dc0: if (!(true === $form->isSubmitted())) { goto cdd8a; } goto Bbf07; C24f8: goto a5dfd; goto f63f2; Fe573: $form->handleRequest($request); goto D2dc0; Dd994: D99c7: goto cd554; D4ed0: $site = $this->getSite($request); goto fc6d2; a3d8e: } private function createSshUserEditForm(SshUserEntity $sshUserEntity) : Form { goto F8585; a5031: $form = $this->createForm("\101\160\x70\134\x46\x6f\162\x6d\x5c\123\151\164\x65\x53\163\150\125\163\145\x72\x45\x64\x69\x74\x54\x79\x70\145", $sshUserEntity, ["\141\143\164\151\157\x6e" => $this->generateUrl("\143\x6c\160\137\163\151\164\x65\137\x73\163\150\x5f\x75\163\145\x72\137\145\x64\x69\164", ["\x64\157\x6d\x61\151\156\116\x61\x6d\x65" => $siteEntity->getDomainName(), "\x75\x73\x65\x72\x4e\x61\155\x65" => $sshUserEntity->getUserName()]), "\x6d\145\164\x68\157\x64" => "\120\x4f\123\x54", "\141\x74\x74\162" => []]); goto E2acc; E2acc: $form->add("\x73\165\x62\155\151\x74", SubmitType::class, ["\141\x74\164\162" => ["\143\154\x61\163\x73" => "\x62\x74\156\x20\x62\164\x6e\55\x62\x6c\165\145\40\x62\164\156\55\154\147"], "\154\x61\x62\x65\x6c" => "\123\141\166\x65"]); goto d3f9c; d3f9c: return $form; goto add2a; F8585: $siteEntity = $sshUserEntity->getSite(); goto a5031; add2a: } private function handleSshUserEditForm(Request $request, Form $form, Site $site) { goto c3ebb; Adc9c: b8c58: goto c2128; c2128: try { goto a11b5; a77e6: $siteUpdater->changeUserPassword($sshUserName, $sshUserPassword); goto cb9c9; baa85: $user = $this->getUser(); goto Db752; D1956: return $response; goto f2e4b; A3db6: if (!(false === empty($sshUserPassword))) { goto f4abe; } goto a77e6; F2df4: $session->getFlashBag()->set("\x73\165\143\x63\145\x73\x73", $this->translator->trans("\x55\x73\x65\162\40\150\141\163\x20\142\x65\x65\156\40\163\x61\x76\145\x64\x2e")); goto D6377; Cdc66: $sshUserName = $sshUserEntity->getUserName(); goto B4700; B4700: $sshUserPassword = $form->get("\x70\x61\x73\163\167\x6f\x72\144")->getData(); goto E8fc6; ebde1: goto c1225; goto F8ede; f481f: $eventData = ["\163\x69\164\x65" => $domainName, "\x75\163\145\x72\116\141\x6d\145" => $sshUserName, "\x73\163\150\113\145\171\163" => $sshKeys]; goto C3b93; cb9c9: f4abe: goto f08b9; F8ede: bd916: goto baa85; Cd341: $siteUpdater = $this->getSiteUpdater($site); goto A3db6; ec416: c1225: goto D1956; E8fc6: $sshKeys = false === is_null($sshUserEntity->getSshKeys()) ? $sshUserEntity->getSshKeys() : ''; goto c69c8; a11b5: $session = $request->getSession(); goto Be79a; Cccb1: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\x74\x65\163")); goto ebde1; c69c8: $this->siteEntityManager->updateEntity($siteEntity); goto Cd341; C3b93: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_EDIT, $user, $eventData, $request); goto F2df4; d5c29: if (false === is_null($siteEntity)) { goto bd916; } goto Cccb1; f08b9: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto f481f; Be79a: $domainName = $site->getDomainName(); goto C6e40; Db752: $sshUserEntity = $form->getData(); goto Cdc66; D6377: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\x74\145\137\165\x73\145\162\163", ["\144\x6f\155\x61\151\x6e\x4e\141\155\145" => $site->getDomainName()])); goto ec416; C6e40: $siteEntity = $this->getSiteEntity($domainName); goto d5c29; f2e4b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\162", $this->translator->trans("\x41\156\40\145\162\x72\157\162\x20\150\x61\163\x20\x6f\143\143\x75\x72\x72\145\x64\x2c\40\x65\162\162\x6f\162\40\155\145\163\163\x61\147\x65\72\40\45\145\162\162\x6f\x72\115\145\163\163\x61\x67\x65\45", ["\45\x65\x72\162\157\162\115\145\x73\163\x61\147\145\x25" => $e->getMessage()])); } goto b994c; c3ebb: if (true === $form->isValid()) { goto b8c58; } goto d4045; b994c: Bf967: goto b9a60; f6a1f: goto Bf967; goto Adc9c; d4045: $this->formErrors = $this->getErrorMessages($form); goto f6a1f; b9a60: } public function deleteSshUser(Request $request) : Response { goto Ee7dd; Bfee3: return $response; goto b355f; c08ae: if (!(false === is_null($site))) { goto Ca75c; } goto Fefae; f156f: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\164\145\x73")); goto Bfee3; Fefae: try { goto c3b35; beb26: return $response; goto Baeb1; B1c11: $evenData = ["\163\151\164\145" => $domainName, "\x75\163\x65\162\116\x61\x6d\145" => $userName]; goto f57ad; B8f3c: $user = $this->getUser(); goto b3302; d32dc: $domainName = $site->getDomainName(); goto f59fe; f59fe: $siteEntity = $this->getSiteEntity($domainName); goto c53f6; c53f6: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto A7ab3; d5da2: $siteUpdater = $this->getSiteUpdater($site); goto C1edb; b3302: $userName = $sshUserEntity->getUserName(); goto E7c57; e14ef: $sshUserSiteEntity = $sshUserEntity->getSite(); goto d57f6; c3b35: $session = $request->getSession(); goto f77bf; A7ab3: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($sshUserEntity))) { goto Fe13e; } goto e14ef; E8a8a: $session->getFlashBag()->set("\x73\x75\x63\x63\145\x73\x73", $this->translator->trans("\x55\163\x65\x72\x20\150\x61\163\x20\x62\x65\145\156\40\144\145\x6c\145\164\145\x64\56")); goto Eba62; f77bf: $userName = $request->get("\165\163\x65\x72\116\x61\x6d\x65"); goto d32dc; C1edb: $siteUpdater->deleteUser($userName, true); goto B1c11; Ef8b9: $this->siteEntityManager->updateEntity($siteEntity); goto d5da2; d57f6: if (!($siteEntity->getDomainName() == $sshUserSiteEntity->getDomainName())) { goto Ae9d6; } goto B8f3c; f57ad: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_DELETE, $user, $evenData, $request); goto E8a8a; b4d32: Fe13e: goto E3e9e; Eba62: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\164\x65\x5f\x75\x73\145\162\x73", ["\x64\x6f\155\x61\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto beb26; E7c57: $siteEntity->removeSshUser($sshUserEntity); goto Ef8b9; Baeb1: Ae9d6: goto b4d32; E3e9e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\x65\x72", $this->translator->trans("\x41\156\40\145\162\x72\x6f\x72\40\150\x61\x73\x20\x6f\x63\143\165\x72\x72\x65\144\x2c\x20\x65\162\162\x6f\x72\x20\155\145\163\163\141\x67\x65\x3a\x20\x25\145\162\x72\x6f\162\115\145\x73\x73\141\147\145\x25", ["\x25\145\x72\x72\x6f\x72\115\145\x73\x73\141\x67\145\45" => $e->getMessage()])); } goto Fad73; Dcc8e: $this->checkCsrfToken($request, "\x75\x73\145\162\55\144\145\154\145\164\x65"); goto c08ae; Ee7dd: $site = $this->getSite($request); goto Dcc8e; Fad73: Ca75c: goto f156f; b355f: } public function security(Request $request) : Response { goto Dcbce; Cda47: $cloudflareForm->handleRequest($request); goto ab70a; C8f1a: Bf311: goto e1283; Eb349: $cloudflareData = ["\x61\154\x6c\x6f\x77\x54\x72\x61\146\x66\x69\x63\106\162\157\x6d\103\154\157\165\x64\146\x6c\141\162\x65\x4f\156\x6c\171" => $siteEntity->allowTrafficFromCloudflareOnly()]; goto F5dd9; E7627: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\x65\163")); goto De2ef; A5e61: $response = $this->render("\x46\162\157\x6e\x74\x65\x6e\144\x2f\123\151\164\x65\57\x73\145\x63\165\x72\151\164\x79\56\150\x74\155\x6c\56\x74\x77\x69\147", ["\163\151\x74\x65" => $site, "\142\154\x6f\x63\x6b\145\x64\x49\x70\163" => $blockedIps, "\x62\x6c\157\x63\153\x65\x64\102\x6f\x74\163" => $blockedBots, "\x62\x61\163\151\143\x41\x75\x74\150\106\157\162\x6d" => $basicAuthForm->createView(), "\x63\154\157\x75\144\146\x6c\141\x72\x65\x46\x6f\x72\x6d" => $cloudflareForm->createView(), "\x66\x6f\x72\155\x45\x72\162\157\162\x73" => $this->formErrors]); goto d3d3d; Ec870: return $response; goto C2e0d; b4696: return $response; goto C8f1a; Af92e: a14f3: goto A5e61; f7ad3: return $response; goto b918c; e1283: c5247: goto fd8a9; Dcbce: $site = $this->getSite($request); goto Cc352; Df869: if (!(true === is_null($basicAuthEntity))) { goto ac546; } goto d3cfe; F5dd9: $blockedBots = $site->getBlockedBots(); goto E182a; e07ae: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Eb349; f9ea3: $response = $this->handleBasicAuthForm($request, $basicAuthForm, $site); goto B4de7; Ab74a: d679c: goto e07ae; E93be: $cloudflareForm = $this->createCloudflareForm($siteEntity, $cloudflareData); goto edf45; fd8a9: if (!(true === $cloudflareForm->isSubmitted())) { goto d61c5; } goto e8b29; Ec1d9: $basicAuthForm->handleRequest($request); goto Cda47; Cc352: if (false === is_null($site)) { goto d679c; } goto E7627; De2ef: goto Ae821; goto Ab74a; e8b29: $response = $this->handleCloudflareForm($request, $cloudflareForm, $site); goto E1171; a15f4: d61c5: goto Af92e; C2e0d: D6ffb: goto a15f4; d3d3d: Ae821: goto f7ad3; Cb428: $basicAuthForm = $this->createBasicAuthForm($basicAuthEntity); goto E93be; b2e1f: $basicAuthEntity = $site->getBasicAuth(); goto Df869; e8f1f: ac546: goto c0ffe; E1171: if (!(false === is_null($response))) { goto D6ffb; } goto Ec870; edf45: if (!(true === $request->isMethod("\120\117\123\124"))) { goto a14f3; } goto Ec1d9; c0ffe: $basicAuthEntity->setSite($siteEntity); goto Cb428; B4de7: if (!(false === is_null($response))) { goto Bf311; } goto b4696; ab70a: if (!(true === $basicAuthForm->isSubmitted())) { goto c5247; } goto f9ea3; d3cfe: $basicAuthEntity = $this->basicAuthEntityManager->createEntity(); goto e8f1f; E182a: $blockedIps = $site->getBlockedIps(); goto b2e1f; b918c: } private function createCloudflareForm(SiteEntity $siteEntity, array $data) : Form { goto D8cec; d1d4f: return $form; goto F9322; A8e23: $form->add("\163\x75\142\155\x69\164", SubmitType::class, ["\x61\x74\164\x72" => ["\143\154\x61\x73\163" => "\x62\164\156\40\142\x74\x6e\x2d\x62\154\165\x65\40\142\x74\156\55\x6c\x67"], "\x6c\x61\x62\x65\154" => "\123\141\166\145"]); goto d1d4f; D8cec: $form = $this->createForm("\101\x70\160\x5c\x46\157\x72\x6d\134\x53\x69\164\145\103\x6c\157\x75\144\146\x6c\x61\x72\145\124\x79\x70\x65", $data, ["\x61\x63\164\151\157\x6e" => $this->generateUrl("\x63\x6c\x70\x5f\x73\x69\x74\145\137\x73\x65\143\x75\x72\151\x74\171", ["\144\157\x6d\141\x69\x6e\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\x6d\145\164\x68\x6f\x64" => "\120\117\x53\x54", "\x61\x74\164\x72" => []]); goto A8e23; F9322: } private function createBasicAuthForm(BasicAuthEntity $basicAuthEntity) : Form { goto Ef0c6; Eed96: return $form; goto F184e; Ef0c6: $siteEntity = $basicAuthEntity->getSite(); goto e8843; e8843: $form = $this->createForm("\101\160\160\134\x46\x6f\x72\x6d\134\x53\x69\x74\145\102\141\163\151\143\101\165\164\x68\x54\171\160\145", $basicAuthEntity, ["\141\143\x74\x69\157\x6e" => $this->generateUrl("\x63\154\x70\137\x73\x69\x74\x65\x5f\x73\x65\143\x75\162\151\164\171", ["\144\157\155\141\x69\x6e\x4e\x61\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\x65\164\150\x6f\144" => "\x50\117\123\124", "\141\x74\164\162" => []]); goto B39dc; B39dc: $form->add("\x73\x75\142\155\151\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\143\x6c\141\163\163" => "\142\x74\x6e\x20\x62\164\x6e\x2d\142\154\x75\145\x20\x62\x74\156\x2d\154\x67"], "\154\x61\x62\x65\154" => "\123\x61\x76\x65"]); goto Eed96; F184e: } private function handleBasicAuthForm(Request $request, Form $form, Site $site) { goto F9f3f; E34c8: try { goto Bd33a; De262: if (false === is_null($siteEntity)) { goto c5263; } goto af598; af598: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\164\x65\163")); goto f9e26; bae4d: EventQueue::addEvent(EventQueue::EVENT_SITE_BASIC_AUTHENTIFICATION_SETTINGS, $user, $eventData, $request); goto f95ff; f95ff: $session->getFlashBag()->set("\x73\x75\143\x63\x65\163\163", $this->translator->trans("\102\x61\163\151\x63\x20\x41\x75\164\x68\145\156\164\x69\x63\141\x74\x69\157\156\x20\163\145\x74\x74\x69\x6e\147\x73\x20\x68\x61\x76\x65\x20\142\x65\145\156\40\163\141\x76\x65\x64\x2e")); goto f0508; b51e8: $siteUpdater->createBasicAuthFile($basicAuthEntity); goto baf9d; f9e26: goto Ca079; goto e3b79; d259c: $siteEntity = $this->getSiteEntity($domainName); goto De262; f0258: $siteUpdater = $this->getSiteUpdater($site); goto b51e8; Fde25: $site->setBasicAuth($basicAuthEntity); goto Ded76; b3462: return $response; goto e2584; baf9d: $siteUpdater->updateNginxVhost(); goto A5e71; Fdeed: $user = $this->getUser(); goto ea8c5; b4685: $siteEntity->setBasicAuth($basicAuthEntity); goto Fde25; ea8c5: $basicAuthEntity = $form->getData(); goto b4685; e52cb: Ca079: goto b3462; Ded76: $this->siteEntityManager->updateEntity($siteEntity); goto f0258; e3b79: c5263: goto Fdeed; A5e71: $siteUpdater->reloadNginxService(); goto e1cd1; f0508: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\164\145\x5f\163\x65\143\x75\x72\x69\x74\x79", ["\x64\157\x6d\x61\151\156\x4e\141\x6d\145" => $site->getDomainName()])); goto e52cb; Bd33a: $session = $request->getSession(); goto c4132; c4132: $domainName = $site->getDomainName(); goto d259c; e1cd1: $eventData = ["\x73\x69\x74\x65" => $domainName, "\141\143\164\x69\166\145" => true === $basicAuthEntity->getIsActive() ? "\x31" : "\60", "\x75\x73\x65\x72\116\x61\x6d\145" => $basicAuthEntity->getUserName(), "\x77\150\151\164\145\x6c\151\163\x74\145\144\x49\x70\163" => $basicAuthEntity->getWhitelistedIps()]; goto bae4d; e2584: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\145\x72", $this->translator->trans("\x41\x6e\x20\x65\x72\x72\x6f\162\40\x68\141\163\x20\x6f\143\x63\165\162\162\x65\x64\54\x20\x65\162\162\x6f\162\40\155\145\163\x73\x61\147\x65\72\40\45\x65\162\x72\157\162\x4d\145\x73\163\x61\147\x65\x25", ["\x25\x65\162\162\x6f\x72\x4d\x65\163\163\141\147\x65\45" => $e->getMessage()])); } goto fe717; E7ae3: b8936: goto E34c8; F9f3f: if (true === $form->isValid()) { goto b8936; } goto f46d1; fe717: eb3e6: goto Daff0; bba2a: goto eb3e6; goto E7ae3; f46d1: $this->formErrors = $this->getErrorMessages($form); goto bba2a; Daff0: } private function handleCloudflareForm(Request $request, Form $form, Site $site) { goto B0fdf; cadd4: goto Eff85; goto C7fb6; B0fdf: if (true === $form->isValid()) { goto b12f9; } goto D72a1; C7fb6: b12f9: goto fb78b; Cb2ee: Eff85: goto d5e31; fb78b: try { goto eb989; Befc6: $session->getFlashBag()->set("\x73\x75\143\143\x65\x73\163", $this->translator->trans("\103\154\x6f\165\144\x66\x6c\x61\162\x65\x20\x73\x65\164\x74\x69\x6e\147\x73\x20\x68\x61\166\x65\x20\x62\145\x65\x6e\40\x73\x61\x76\x65\x64\56")); goto cae17; cae17: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\151\x74\x65\x5f\x73\145\143\165\x72\x69\164\x79", ["\x64\157\155\141\151\x6e\116\141\155\x65" => $site->getDomainName()])); goto d4882; eb989: $session = $request->getSession(); goto Dbe6d; F7d63: $siteUpdater->updateNginxVhost(); goto F25b6; Bec90: return $response; goto C8a5a; aa037: B5803: goto d2a43; eef8a: $siteEntity->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto bf65a; F25b6: $siteUpdater->reloadNginxService(); goto c8f7a; c8f7a: $eventData = ["\163\151\164\145" => $domainName, "\x61\x6c\x6c\x6f\x77\x54\162\x61\x66\x66\151\x63\x46\x72\x6f\155\x43\154\157\x75\144\x66\x6c\141\162\145\x4f\156\154\171" => true === $allowTrafficFromCloudflareOnly ? "\61" : "\60"]; goto Da6c9; bf65a: $site->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto d9667; C44ec: goto e44e4; goto aa037; E526b: $siteUpdater = $this->getSiteUpdater($site); goto F7d63; d4882: e44e4: goto Bec90; F6d46: if (false === is_null($siteEntity)) { goto B5803; } goto Ac907; d2a43: $user = $this->getUser(); goto Bed8c; Da6c9: EventQueue::addEvent(EventQueue::EVENT_SITE_CLOUDFLARE_SETTINGS, $user, $eventData, $request); goto Befc6; d9667: $this->siteEntityManager->updateEntity($siteEntity); goto E526b; A8a02: $siteEntity = $this->getSiteEntity($domainName); goto F6d46; Ac907: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\x65\x73")); goto C44ec; Bed8c: $allowTrafficFromCloudflareOnly = $form->get("\141\x6c\154\x6f\x77\x54\x72\141\146\x66\151\143\106\x72\157\155\103\x6c\157\x75\x64\146\154\141\x72\x65\117\x6e\154\x79")->getData(); goto eef8a; Dbe6d: $domainName = $site->getDomainName(); goto A8a02; C8a5a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\162", $this->translator->trans("\101\x6e\40\x65\162\162\x6f\162\40\x68\141\x73\40\x6f\143\143\x75\162\162\145\x64\x2c\x20\145\162\x72\x6f\x72\x20\x6d\145\163\163\x61\x67\x65\72\40\45\x65\x72\x72\x6f\162\115\145\163\x73\x61\147\x65\45", ["\x25\145\x72\x72\157\162\115\145\163\163\x61\x67\145\45" => $e->getMessage()])); } goto Cb2ee; D72a1: $this->formErrors = $this->getErrorMessages($form); goto cadd4; d5e31: } public function newBlockedIp(Request $request) : Response { goto Ddbff; Ddbff: $site = $this->getSite($request); goto F215f; cca1d: c91d5: goto Eed2d; a3a47: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\x74\145\x73")); goto f53e1; d3541: f3ab7: goto cca1d; ef4e1: dbeea: goto be329; be329: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto d7c37; F215f: if (false === is_null($site)) { goto dbeea; } goto a3a47; Bfdcf: $form->handleRequest($request); goto b587c; dde9c: bfe28: goto cf703; bcbaa: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto ffc20; } goto Bfdcf; b587c: if (!(true === $form->isSubmitted())) { goto c91d5; } goto b89d6; E47e7: $form = $this->createBlockedIpForm($blockedIpEntity); goto bcbaa; Eed2d: ffc20: goto Cba64; Faf5d: if (!(false === is_null($response))) { goto f3ab7; } goto ca002; cf703: return $response; goto b05d8; f53e1: goto bfe28; goto ef4e1; Cba64: $response = $this->render("\x46\162\x6f\x6e\x74\145\x6e\x64\x2f\x53\x69\x74\x65\57\156\145\x77\x2d\x62\x6c\x6f\143\x6b\x65\144\x2d\x69\x70\x2e\150\x74\x6d\x6c\x2e\x74\167\x69\x67", ["\163\151\x74\x65" => $site, "\x66\x6f\162\155" => $form->createView(), "\x66\157\x72\x6d\x45\162\162\x6f\162\x73" => $this->formErrors]); goto dde9c; d7c37: $blockedIpEntity = $this->blockedIpEntityManager->createEntity(); goto fe0df; fe0df: $blockedIpEntity->setSite($siteEntity); goto E47e7; ca002: return $response; goto d3541; b89d6: $response = $this->handleBlockedIpForm($request, $form, $site); goto Faf5d; b05d8: } private function createBlockedIpForm(BlockedIpEntity $blockedIpEntity) : Form { goto Dbd92; d7b6a: $form = $this->createForm("\101\x70\x70\134\106\157\x72\x6d\x5c\123\151\x74\x65\102\154\157\x63\153\145\144\x49\120\124\x79\x70\x65", $blockedIpEntity, ["\x61\x63\164\151\x6f\x6e" => $this->generateUrl("\x63\154\160\137\x73\151\x74\x65\x5f\163\145\x63\165\x72\151\x74\171\x5f\x62\x6c\x6f\x63\153\x65\144\137\x69\x70\137\x6e\145\x77", ["\144\157\155\x61\x69\x6e\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\145\x74\x68\x6f\x64" => "\120\x4f\123\x54", "\x61\164\164\162" => []]); goto a244f; a244f: $form->add("\x73\x75\142\x6d\x69\x74", SubmitType::class, ["\141\164\164\162" => ["\143\154\x61\x73\163" => "\x62\x74\x6e\40\x62\164\156\55\x62\154\165\x65\x20\x62\x74\156\x2d\x6c\147"], "\154\141\142\x65\154" => "\101\x64\x64\40\111\120"]); goto C7c06; C7c06: return $form; goto Ab91a; Dbd92: $siteEntity = $blockedIpEntity->getSite(); goto d7b6a; Ab91a: } private function handleBlockedIpForm(Request $request, Form $form, Site $site) { goto F1556; df9ec: Ee2a3: goto D336a; F1556: if (true === $form->isValid()) { goto Ee2a3; } goto b54df; D336a: try { goto ec457; F39aa: $siteEntity = $this->getSiteEntity($domainName); goto E6b60; F9ead: eee7e: goto d54dc; a6539: $siteEntity->addBlockedIp($blockedIp); goto c3795; c3795: $this->siteEntityManager->updateEntity($siteEntity); goto A2e9f; aa30a: $user = $this->getUser(); goto Bc5a0; C1658: $domainName = $site->getDomainName(); goto F39aa; Bc5a0: $blockedIp = $form->getData(); goto a6539; E572c: $siteUpdater->updateNginxVhost(); goto B6273; E6b60: if (false === is_null($siteEntity)) { goto fe665; } goto E0e81; d54dc: return $response; goto ee5e0; e6ed3: $session->getFlashBag()->set("\x73\x75\143\143\145\x73\163", $this->translator->trans("\111\x50\x20\x68\141\163\40\142\145\145\156\x20\141\x64\x64\x65\144\56")); goto B656f; Bfd63: $eventData = ["\x73\151\x74\145" => $domainName, "\151\160" => $blockedIp->getIp()]; goto E63f0; E0e81: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\164\x65\x73")); goto b29dd; E63f0: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_ADD, $user, $eventData, $request); goto e6ed3; b29dd: goto eee7e; goto a6e67; A2e9f: $siteUpdater = $this->getSiteUpdater($site); goto E572c; ec457: $session = $request->getSession(); goto C1658; B6273: $siteUpdater->reloadNginxService(); goto Bfd63; B656f: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\x69\x74\145\x5f\x73\x65\143\x75\162\151\164\171", ["\x64\x6f\155\x61\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto F9ead; a6e67: fe665: goto aa30a; ee5e0: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\40\145\x72\x72\x6f\x72\40\150\141\x73\x20\157\143\143\x75\x72\x72\x65\144\54\x20\145\162\162\157\162\40\155\x65\163\x73\141\x67\x65\x3a\x20\45\145\x72\162\x6f\x72\115\x65\163\x73\141\147\x65\x25", ["\x25\x65\162\162\x6f\162\115\145\x73\163\x61\147\145\x25" => $e->getMessage()])); } goto a634c; b8468: goto f0546; goto df9ec; a634c: f0546: goto adafd; b54df: $this->formErrors = $this->getErrorMessages($form); goto b8468; adafd: } public function deleteBlockedIp(Request $request) : Response { goto f3ec1; c1373: return $response; goto daaed; bd6e3: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\x65\163")); goto c1373; Aed82: D0bec: goto bd6e3; C26ca: try { goto E03ab; E2e02: $session->getFlashBag()->set("\x73\165\x63\x63\145\163\x73", $this->translator->trans("\x49\x50\x20\x68\141\x73\x20\x62\x65\x65\x6e\x20\x64\145\x6c\x65\x74\x65\x64\56")); goto b20d1; f65a9: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedIpEntity) && $siteEntity == $blockedIpEntity->getSite())) { goto B2af4; } goto df632; cbcd0: $eventData = ["\163\x69\x74\145" => $domainName, "\x69\x70" => $blockedIpEntity->getIp()]; goto F2d2a; B258b: $siteEntity->removeBlockedIp($blockedIpEntity); goto Dd345; F75d9: $domainName = $site->getDomainName(); goto Baf4a; E03ab: $session = $request->getSession(); goto D0d2b; Df073: $siteUpdater->updateNginxVhost(); goto C77a3; b2b1f: B2af4: goto E1290; df632: $user = $this->getUser(); goto B258b; Dd345: $this->siteEntityManager->updateEntity($siteEntity); goto db88c; C77a3: $siteUpdater->reloadNginxService(); goto cbcd0; F2d2a: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_DELETE, $user, $eventData, $request); goto E2e02; C29cc: return $response; goto b2b1f; D0d2b: $id = (int) $request->get("\x69\144"); goto F75d9; db88c: $siteUpdater = $this->getSiteUpdater($site); goto Df073; A26a6: $blockedIpEntity = $this->blockedIpEntityManager->findOneById($id); goto f65a9; b20d1: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\145\137\x73\x65\143\x75\162\x69\164\x79", ["\x64\x6f\x6d\x61\151\156\116\x61\x6d\x65" => $site->getDomainName()])); goto C29cc; Baf4a: $siteEntity = $this->getSiteEntity($domainName); goto A26a6; E1290: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\162", $this->translator->trans("\101\x6e\40\x65\x72\x72\x6f\162\x20\150\141\163\40\x6f\x63\143\x75\162\x72\x65\x64\54\40\x65\162\x72\157\x72\40\155\x65\163\x73\x61\x67\x65\72\40\x25\x65\162\x72\x6f\162\x4d\145\x73\x73\141\147\x65\45", ["\45\x65\x72\162\x6f\162\x4d\x65\x73\163\141\147\x65\x25" => $e->getMessage()])); } goto Aed82; d7721: if (!(false === is_null($site))) { goto D0bec; } goto C26ca; A179d: $this->checkCsrfToken($request, "\x69\160\x2d\x64\x65\154\145\x74\x65"); goto d7721; f3ec1: $site = $this->getSite($request); goto A179d; daaed: } public function newBlockedBot(Request $request) : Response { goto F1c37; b4cf8: if (false === is_null($site)) { goto Eb919; } goto eb638; afb10: $form->handleRequest($request); goto f497f; Bca03: $response = $this->handleBlockedBotForm($request, $form, $site); goto Bb361; b8f6f: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto f6a7d; } goto afb10; eb638: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\x74\x65\x73")); goto Ac697; a27ef: $response = $this->render("\x46\x72\x6f\156\164\145\156\x64\57\x53\x69\164\145\x2f\x6e\x65\x77\x2d\142\154\157\143\x6b\145\144\55\142\157\x74\56\150\164\x6d\x6c\x2e\164\167\151\147", ["\163\151\164\x65" => $site, "\146\157\x72\155" => $form->createView(), "\146\157\162\x6d\105\x72\x72\157\162\163" => $this->formErrors]); goto bcfb3; fedca: return $response; goto de0a4; f497f: if (!(true === $form->isSubmitted())) { goto f7f2d; } goto Bca03; da149: f7f2d: goto ea38f; a4d78: $blockedBotEntity->setSite($siteEntity); goto Bbd92; Ac697: goto d11b3; goto D7cf1; E5fb4: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto D5b88; D5b88: $blockedBotEntity = $this->blockedBotEntityManager->createEntity(); goto a4d78; Bbd92: $form = $this->createBlockedBotForm($blockedBotEntity); goto b8f6f; Bb361: if (!(false === is_null($response))) { goto ac27b; } goto fedca; ea38f: f6a7d: goto a27ef; F1c37: $site = $this->getSite($request); goto b4cf8; f707f: return $response; goto A753c; bcfb3: d11b3: goto f707f; D7cf1: Eb919: goto E5fb4; de0a4: ac27b: goto da149; A753c: } private function createBlockedBotForm(BlockedBotEntity $blockedBotEntity) : Form { goto a17bc; Ee6e3: $form = $this->createForm("\101\x70\x70\x5c\106\x6f\x72\155\x5c\123\x69\x74\145\102\x6c\157\143\x6b\x65\x64\102\x6f\x74\x54\x79\x70\145", $blockedBotEntity, ["\141\x63\164\151\157\156" => $this->generateUrl("\x63\154\x70\x5f\163\x69\x74\145\x5f\x73\x65\143\x75\162\x69\x74\x79\137\x62\x6c\157\x63\153\145\x64\x5f\x62\x6f\x74\137\x6e\145\x77", ["\144\157\155\x61\151\x6e\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\x6d\145\x74\150\x6f\x64" => "\x50\x4f\x53\x54", "\x61\x74\164\x72" => []]); goto A3f1e; D1542: return $form; goto C6a32; a17bc: $siteEntity = $blockedBotEntity->getSite(); goto Ee6e3; A3f1e: $form->add("\x73\165\142\x6d\151\164", SubmitType::class, ["\141\164\164\x72" => ["\143\x6c\x61\x73\x73" => "\142\164\156\x20\142\164\x6e\x2d\x62\x6c\x75\145\40\x62\164\x6e\55\154\x67"], "\x6c\x61\142\145\x6c" => "\101\x64\144\40\x42\157\x74"]); goto D1542; C6a32: } private function handleBlockedBotForm(Request $request, Form $form, Site $site) { goto fa2e3; Fe31a: $this->formErrors = $this->getErrorMessages($form); goto dab69; Dfaaf: try { goto b1ec8; ff2a3: $siteUpdater = $this->getSiteUpdater($site); goto B9666; c0fc6: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\x65\x5f\163\145\143\165\162\151\x74\171", ["\x64\157\x6d\x61\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto C3cba; b1ec8: $session = $request->getSession(); goto c6f18; Feaef: $siteEntity = $this->getSiteEntity($domainName); goto b05f2; C05f4: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_ADD, $user, $eventData, $request); goto ef46c; B9926: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\x74\145\163")); goto E2fb4; E2fb4: goto C3dc0; goto cbda9; C3cba: C3dc0: goto Edb0b; D6faa: $siteUpdater->reloadNginxService(); goto c35f3; Edb0b: return $response; goto Fbabe; b05f2: if (false === is_null($siteEntity)) { goto Ec6d9; } goto B9926; B52f7: $this->siteEntityManager->updateEntity($siteEntity); goto ff2a3; c35f3: $eventData = ["\x73\x69\x74\145" => $domainName, "\156\x61\x6d\x65" => $blockedBot->getName()]; goto C05f4; Bc15f: $user = $this->getUser(); goto A9d7f; c6f18: $domainName = $site->getDomainName(); goto Feaef; ef46c: $session->getFlashBag()->set("\163\x75\143\143\145\x73\x73", $this->translator->trans("\x42\x6f\164\40\150\x61\163\40\142\x65\145\156\40\141\x64\x64\x65\x64\x2e")); goto c0fc6; bad7b: $siteEntity->addBlockedBot($blockedBot); goto B52f7; B9666: $siteUpdater->updateNginxVhost(); goto D6faa; A9d7f: $blockedBot = $form->getData(); goto bad7b; cbda9: Ec6d9: goto Bc15f; Fbabe: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\40\145\162\x72\x6f\162\x20\x68\x61\163\x20\157\143\143\x75\x72\162\145\144\54\40\x65\162\x72\x6f\162\40\x6d\145\x73\x73\141\147\x65\x3a\40\45\145\x72\162\157\162\115\x65\163\x73\x61\x67\x65\45", ["\45\145\162\x72\x6f\x72\115\x65\163\163\x61\147\145\45" => $e->getMessage()])); } goto Fa683; Fa683: B40d5: goto Dc8d4; fa2e3: if (true === $form->isValid()) { goto C8ddb; } goto Fe31a; dab69: goto B40d5; goto D4dc0; D4dc0: C8ddb: goto Dfaaf; Dc8d4: } public function deleteBlockedBot(Request $request) : Response { goto ed288; ce107: $this->checkCsrfToken($request, "\x62\157\x74\55\x64\x65\154\145\164\145"); goto E8146; Add21: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\164\145\x73")); goto E0024; c317b: D6c67: goto Add21; E8146: if (!(false === is_null($site))) { goto D6c67; } goto cdfaf; cdfaf: try { goto dc2d1; f7aa1: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_DELETE, $user, $eventData, $request); goto Dd17b; D01fa: $siteUpdater->updateNginxVhost(); goto B9cdc; E9c69: $domainName = $site->getDomainName(); goto B1a7f; B1a7f: $siteEntity = $this->getSiteEntity($domainName); goto C54a0; a2c07: $siteEntity->removeBlockedBot($blockedBotEntity); goto Bcdd5; c131a: Edc0f: goto C40ec; Bcdd5: $this->siteEntityManager->updateEntity($siteEntity); goto C2c46; F0498: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedBotEntity) && $siteEntity == $blockedBotEntity->getSite())) { goto Edc0f; } goto A4b24; dc2d1: $session = $request->getSession(); goto B2802; Dd17b: $session->getFlashBag()->set("\163\165\x63\x63\145\x73\x73", $this->translator->trans("\102\x6f\164\40\x68\141\163\40\142\145\145\156\40\144\x65\x6c\145\x74\145\144\x2e")); goto ca5ae; ca5ae: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\x74\x65\137\x73\145\x63\x75\x72\x69\164\x79", ["\144\157\155\x61\151\156\116\141\x6d\x65" => $site->getDomainName()])); goto Db9d1; B2bfd: $eventData = ["\163\151\164\145" => $domainName, "\156\141\155\x65" => $blockedBotEntity->getName()]; goto f7aa1; B2802: $id = (int) $request->get("\151\144"); goto E9c69; C54a0: $blockedBotEntity = $this->blockedBotEntityManager->findOneById($id); goto F0498; A4b24: $user = $this->getUser(); goto a2c07; Db9d1: return $response; goto c131a; C2c46: $siteUpdater = $this->getSiteUpdater($site); goto D01fa; B9cdc: $siteUpdater->reloadNginxService(); goto B2bfd; C40ec: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\x72", $this->translator->trans("\x41\x6e\40\x65\162\162\x6f\162\40\x68\141\163\x20\157\143\x63\x75\x72\x72\x65\144\x2c\40\145\x72\162\157\162\x20\155\145\163\163\x61\147\145\x3a\40\x25\x65\162\x72\157\162\115\x65\x73\x73\x61\147\145\x25", ["\45\x65\x72\x72\x6f\162\x4d\145\163\163\x61\x67\145\45" => $e->getMessage()])); } goto c317b; ed288: $site = $this->getSite($request); goto ce107; E0024: return $response; goto fcd19; fcd19: } public function certificates(Request $request) : Response { goto Ce5a3; c49cb: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\x65\163")); goto A479c; E6609: $response = $this->render("\106\162\157\156\x74\145\156\144\x2f\123\x69\x74\145\x2f\x63\x65\x72\x74\x69\146\x69\x63\x61\164\145\163\x2e\x68\164\x6d\x6c\56\x74\167\151\147", ["\x73\151\x74\x65" => $site, "\151\x6e\x73\164\x61\x6c\154\x65\x64\x43\x65\x72\164\x69\146\x69\x63\x61\x74\x65" => $installedCertificate, "\x63\145\x72\164\151\146\151\x63\141\164\x65\x73" => $certificates]); goto b446a; A479c: goto aee31; goto Fc9ec; d5b3c: return $response; goto a93fd; e0204: $certificates = $site->getCertificates(); goto E6609; b446a: aee31: goto d5b3c; fcb22: $installedCertificate = $site->getCertificate(); goto e0204; Fc9ec: adaef: goto fcb22; Ce5a3: $site = $this->getSite($request); goto c51b4; c51b4: if (false === is_null($site)) { goto adaef; } goto c49cb; a93fd: } public function importCertificate(Request $request) : Response { goto Bec68; Cd506: d47b4: goto F1571; b4efa: return $response; goto Ac9ba; abfb7: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\x74\145\163")); goto Aaaca; c2b2a: if (false === is_null($site)) { goto f0d44; } goto abfb7; ba1df: Ec168: goto b7b46; F1571: return $response; goto b4bd9; Aaaca: goto d47b4; goto Bad63; fb5ec: $form->handleRequest($request); goto F6f1e; F6f1e: if (!(true === $form->isSubmitted())) { goto D60a1; } goto B95c0; Bec68: $site = $this->getSite($request); goto c2b2a; f8693: $certificateEntity->setType(CertificateEntity::TYPE_IMPORTED); goto A5de0; B95c0: $response = $this->handleImportCertificateForm($request, $form, $site); goto C4357; A5de0: $certificateEntity->setSite($siteEntity); goto Df9c9; Ff23f: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto Ec168; } goto fb5ec; e6dde: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto ad533; C4357: if (!(false === is_null($response))) { goto ed68f; } goto b4efa; E9300: D60a1: goto ba1df; b7b46: $response = $this->render("\x46\162\x6f\156\164\145\x6e\x64\x2f\x53\x69\x74\x65\57\151\x6d\160\157\162\x74\55\x63\x65\162\164\x69\x66\151\143\x61\164\145\x2e\x68\x74\x6d\154\56\164\x77\151\147", ["\163\x69\x74\145" => $site, "\x66\x6f\162\155" => $form->createView(), "\146\157\162\155\105\162\162\x6f\162\x73" => $this->formErrors]); goto Cd506; Df9c9: $form = $this->createImportCertificateForm($certificateEntity); goto Ff23f; ad533: $certificateEntity = $this->certificateEntityManager->createEntity(); goto f8693; Bad63: f0d44: goto e6dde; Ac9ba: ed68f: goto E9300; b4bd9: } private function createImportCertificateForm(CertificateEntity $certificateEntity) : Form { goto F3aee; b120f: return $form; goto F4a18; dd117: $form = $this->createForm("\x41\x70\x70\x5c\106\x6f\162\x6d\x5c\x53\x69\x74\145\x49\x6d\160\157\x72\164\103\145\x72\164\x69\x66\151\143\141\x74\145\x54\x79\160\x65", $certificateEntity, ["\x61\x63\164\151\157\156" => $this->generateUrl("\x63\154\160\137\x73\x69\x74\x65\137\x63\145\162\x74\x69\x66\151\143\x61\164\x65\x5f\x69\x6d\x70\157\162\x74", ["\144\157\x6d\141\151\x6e\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\157\144" => "\120\x4f\x53\x54", "\x61\164\164\162" => []]); goto Ee9ef; Ee9ef: $form->add("\163\x75\142\x6d\151\164", SubmitType::class, ["\x61\164\164\162" => ["\143\x6c\x61\163\x73" => "\142\164\x6e\x20\x62\164\x6e\55\142\x6c\165\x65\x20\142\x74\x6e\x2d\154\147"], "\154\141\142\145\x6c" => "\x49\155\160\157\x72\x74\40\141\156\x64\40\111\156\x73\164\141\x6c\154"]); goto b120f; F3aee: $siteEntity = $certificateEntity->getSite(); goto dd117; F4a18: } private function handleImportCertificateForm(Request $request, Form $form, Site $site) { goto ba2ee; eaaaf: E9340: goto C6701; Ff4e4: e6043: goto B0b46; Ab0c4: $this->formErrors = $this->getErrorMessages($form); goto d256b; d256b: goto e6043; goto eaaaf; C6701: try { goto F674c; eedd5: $evenData = ["\x73\x69\x74\145" => $domainName]; goto ccb3e; F674c: $session = $request->getSession(); goto E5113; d783b: $siteEntity->setCertificate($certificateEntity); goto d6136; d6136: $siteEntity->addCertificate($certificateEntity); goto E6733; ccb3e: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto de39b; Cb603: $certificateEntity = $form->getData(); goto bed8f; C1e9b: if (false === is_null($siteEntity)) { goto ebd75; } goto Ab9d7; d2676: $user = $this->getUser(); goto Cb603; Ab9d7: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\x65\163")); goto fcfd3; E5113: $domainName = $site->getDomainName(); goto Fca41; cab33: B2d31: goto E9a87; E9a87: return $response; goto Df7b8; D96a7: ebd75: goto d2676; fcfd3: goto B2d31; goto D96a7; c921b: $siteUpdater->installCertificate($certificateEntity); goto d783b; f3e2e: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\164\145\x5f\x63\x65\x72\x74\x69\x66\151\143\141\x74\x65\x73", ["\144\x6f\x6d\x61\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto cab33; Fca41: $siteEntity = $this->getSiteEntity($domainName); goto C1e9b; de39b: $session->getFlashBag()->set("\163\x75\143\x63\145\163\x73", $this->translator->trans("\x43\x65\162\x74\151\146\151\143\x61\164\x65\40\x68\141\163\x20\142\145\145\156\x20\x69\156\163\x74\x61\x6c\154\x65\144\x2e")); goto f3e2e; bed8f: $siteUpdater = $this->getSiteUpdater($site); goto c921b; E6733: $this->siteEntityManager->updateEntity($siteEntity); goto eedd5; Df7b8: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\x72", $this->translator->trans("\x41\156\40\x65\162\162\157\162\40\150\x61\163\x20\x6f\143\143\165\x72\x72\x65\144\x2c\x20\x65\x72\162\157\162\40\x6d\x65\163\163\141\147\x65\x3a\40\x25\145\x72\162\x6f\162\115\145\163\163\x61\147\x65\45", ["\45\x65\162\x72\x6f\x72\115\x65\x73\x73\141\147\x65\x25" => $e->getMessage()])); } goto Ff4e4; ba2ee: if (true === $form->isValid()) { goto E9340; } goto Ab0c4; B0b46: } public function newLetsEncryptCertificate(Request $request) : Response { goto bd549; E586a: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\x74\145\163")); goto Fd156; E40ab: $form->handleRequest($request); goto a5d61; B04f6: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto F67f0; bd549: $site = $this->getSite($request); goto A75e1; E0359: ece6b: goto Dc2e4; A75e1: if (false === is_null($site)) { goto Afe0f; } goto E586a; Cb750: if (!(false === is_null($response))) { goto b4c06; } goto F2130; Ec7ca: $domainName = $site->getDomainName(); goto A435f; ef0e5: $domains = [$registrableDomain, sprintf("\x77\x77\167\x2e\x25\x73", $registrableDomain)]; goto c9a16; A2cc6: $response = $this->handleLetsEncryptCertificateForm($request, $form, $site, $domains); goto Cb750; f91e8: $domains = array_map("\x74\x72\151\155", $domains); goto Be6be; Bbce2: $subdomain = false === empty($subdomain) ? $subdomain : null; goto cb5f5; D84d6: E9af2: goto c8f2f; Fd156: goto E9af2; goto Bb448; A3b6f: $domains = array_filter($domains, function ($value) { return false === empty(trim($value)); }); goto f91e8; fe3e2: $domains = (array) $request->get("\x64\157\x6d\141\x69\x6e\163"); goto A3b6f; Ad214: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Bbce2; cb5f5: if (true === is_null($subdomain) || "\167\167\x77" == $subdomain) { goto D496c; } goto E2ac0; Dc2e4: $response = $this->render("\106\162\x6f\x6e\164\145\156\x64\x2f\123\x69\x74\145\x2f\156\145\x77\x2d\154\x65\x74\163\x2d\145\x6e\143\x72\x79\x70\164\55\143\x65\162\x74\x69\x66\151\143\x61\x74\x65\x2e\150\x74\155\x6c\x2e\x74\x77\x69\147", ["\x73\151\164\145" => $site, "\x64\x6f\x6d\141\151\x6e\x73" => $domains, "\x66\x6f\x72\x6d" => $form->createView(), "\x66\157\x72\155\105\162\x72\157\162\163" => $this->formErrors]); goto D84d6; E2ac0: $domains = [$domainName]; goto D5c6e; B5b63: D496c: goto ef0e5; D5c6e: goto da519; goto B5b63; F2130: return $response; goto bf8d7; F288a: if (true === $request->isMethod("\120\117\x53\x54")) { goto b6a27; } goto B04f6; a5d61: if (!(true === $form->isSubmitted())) { goto F0391; } goto fe3e2; D5701: F0391: goto E0359; Be6be: $domains = array_unique($domains); goto A2cc6; c8f2f: return $response; goto adb2c; A435f: $form = $this->createLetsEncryptCertificateForm($domainName); goto b0cf4; D4a1d: goto ece6b; goto D6e38; D6e38: b6a27: goto E40ab; b0cf4: $domains = []; goto F288a; c9a16: da519: goto D4a1d; Bb448: Afe0f: goto Ec7ca; bf8d7: b4c06: goto D5701; F67f0: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Ad214; adb2c: } private function createLetsEncryptCertificateForm(string $domainName) : Form { goto aa2df; aa2df: $form = $this->createForm("\101\160\x70\134\106\157\162\x6d\x5c\123\151\164\x65\x4c\x65\164\x73\105\x6e\143\162\171\160\164\103\145\162\x74\x69\x66\x69\x63\x61\x74\x65\124\x79\160\145", [], ["\x61\143\x74\x69\157\156" => $this->generateUrl("\143\x6c\x70\137\163\151\164\x65\137\x6c\145\164\163\x5f\145\156\x63\x72\x79\160\x74\137\x63\145\x72\x74\x69\x66\151\x63\141\164\145\137\156\145\167", ["\144\x6f\x6d\x61\151\x6e\x4e\141\x6d\145" => $domainName]), "\155\x65\x74\x68\157\144" => "\x50\117\123\124", "\x61\164\164\x72" => ["\151\144" => "\143\x72\145\141\164\145\x2d\x6c\x65\164\x73\x2d\x65\x6e\x63\x72\x79\160\164\55\143\145\x72\164\151\x66\x69\x63\x61\164\x65\x2d\x66\x6f\x72\x6d"]]); goto b3c42; b3c42: $form->add("\163\165\x62\x6d\151\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\154\141\163\163" => "\x62\x74\156\40\142\164\x6e\x2d\142\154\x75\145\40\142\164\x6e\55\154\x67"], "\154\141\x62\x65\154" => "\x43\162\x65\x61\164\145\40\x61\156\144\x20\x49\156\x73\164\x61\x6c\x6c"]); goto f3d0b; f3d0b: return $form; goto Aff91; Aff91: } private function handleLetsEncryptCertificateForm(Request $request, Form $form, Site $site, array $domains) { goto F167a; d8c50: $this->formErrors = $this->getErrorMessages($form); goto c3ef1; Fc838: Af4a4: goto d8c50; F167a: if (!(true === $form->isValid())) { goto Af4a4; } goto Ace51; Ace51: try { goto F4e58; ca9cc: $user = $this->getUser(); goto cad62; B62c7: $siteEntity->addCertificate($certificateEntity); goto F5fb9; b7489: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto Ab69f; a7229: if (true === empty($validationErrors)) { goto Bfdcb; } goto Cf8ef; d69a7: $siteUpdater = $this->getSiteUpdater($site); goto E4e09; deee9: $commonName = array_shift($distinguishedNameDomains); goto E8ea4; feb4b: Bfdcb: goto Ff4ba; a0e97: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto d91b6; c6673: $siteEntity = $this->getSiteEntity($domainName); goto fcdd5; Eb1c4: if (!(true === empty($validationErrors))) { goto e610c; } goto a51bb; B3cf4: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\164\145\137\x63\x65\162\x74\x69\146\151\143\141\x74\x65\163", ["\144\157\155\141\151\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto eff7a; d91b6: $certificateEntity->setCertificate($certificate->getCertificate()); goto Ae610; Bf4b3: e610c: goto a7229; ed01a: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto d9674; Ae610: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto ed929; Cf1d0: $certificateEntity->setType(CertificateEntity::TYPE_LETS_ENCRYPT); goto a42d1; Ee1bd: $csr = $csrGenerator->generate(); goto cc63c; E4e09: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto ed01a; fd370: C90ce: goto B2d63; B43f3: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto E2c13; Eaaae: $letsEncryptClient->setDryRun(true); goto Fc184; Fa0df: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto D2f74; a51bb: $letsEncryptClient = new LetsEncryptClient($privateKey); goto E302a; Fb4d9: $certificateEntity = $this->certificateEntityManager->createEntity(); goto Cf1d0; a8297: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto b7489; d9330: $siteUpdater = $this->getSiteUpdater($site); goto a8297; f8132: $domainName = $site->getDomainName(); goto c6673; eff7a: return $response; goto a2827; Da4cf: $siteUpdater->installCertificate($certificateEntity); goto abacb; E2c13: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto Ee1bd; a42d1: $certificateEntity->setSite($siteEntity); goto Be6b0; Eebc8: $letsEncryptClient = new LetsEncryptClient($privateKey); goto Eaaae; E03be: C7758: goto Bed12; fcdd5: if (false === is_null($siteEntity)) { goto b85e2; } goto ed5a0; F9ed5: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto d9330; E8ea4: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto E0c94; E302a: $letsEncryptClient->registerAccount(); goto F9ed5; db3bf: return $response; goto f3cd0; abacb: $siteEntity->setCertificate($certificateEntity); goto B62c7; ed929: $siteUpdater = $this->getSiteUpdater($site); goto Da4cf; f3cd0: goto C7758; goto f836c; cc083: $evenData = ["\163\x69\164\x65" => $domainName]; goto Fa0df; Cf8ef: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\45\x73\72\40\x25\x73", $domain, $validationErrorMessage))); fb9b6: } goto fd370; cc63c: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto Fb4d9; Ff4ba: $distinguishedNameDomains = $domains; goto deee9; cad62: $letsEncryptPrivateKey = $this->configManager->get("\154\145\137\160\x72\x69\166\x61\x74\145\137\x6b\x65\171"); goto Da1a0; F4e58: $session = $request->getSession(); goto f8132; Fc184: $letsEncryptClient->registerAccount(); goto cdfbf; Ab69f: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto Bf4b3; Da1a0: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto Eebc8; B2d63: goto Ecdc1; goto feb4b; a2827: Ecdc1: goto E03be; D2f74: $session->getFlashBag()->set("\163\x75\143\x63\145\x73\163", $this->translator->trans("\103\145\162\164\x69\x66\x69\143\141\164\x65\40\150\141\163\x20\x62\x65\145\x6e\40\x69\x6e\x73\164\x61\x6c\x6c\x65\x64\56")); goto B3cf4; d9674: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto Eb1c4; Be6b0: $certificateEntity->setCsr($certificate->getCsr()); goto a0e97; ed5a0: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\164\145\163")); goto db3bf; cdfbf: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto d69a7; E0c94: $rsaKeyGenerator = new RsaKeyGenerator(); goto B43f3; F5fb9: $this->siteEntityManager->updateEntity($siteEntity); goto cc083; f836c: b85e2: goto ca9cc; Bed12: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\x72", $this->translator->trans("\x41\156\x20\145\162\162\x6f\x72\x20\150\141\x73\x20\x6f\x63\x63\165\x72\162\x65\144\x2c\x20\x65\162\162\157\x72\x20\155\x65\163\x73\x61\147\x65\72\x20\45\145\162\x72\x6f\162\x4d\x65\x73\163\141\147\145\x25", ["\x25\x65\x72\162\x6f\x72\x4d\x65\x73\163\141\x67\145\x25" => $e->getMessage()])); } finally { if (!(true === isset($siteUpdater))) { goto B225c; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); B225c: } goto Fc838; c3ef1: } public function installCertificate(Request $request) : Response { goto Fea92; aeccc: try { goto adc73; E20ee: $user = $this->getUser(); goto df125; df125: $siteUpdater = $this->getSiteUpdater($site); goto C017a; f60be: $domainName = $site->getDomainName(); goto b1afa; A1e4b: $uid = $request->get("\x75\x69\144"); goto f60be; aea43: C52d5: goto d6aad; a94aa: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto B9480; Dff14: $siteEntity->setCertificate($certificateEntity); goto B4179; adc73: $session = $request->getSession(); goto A1e4b; cc467: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\164\x65\x5f\143\145\162\164\151\x66\x69\x63\141\x74\x65\x73", ["\144\157\x6d\141\151\156\116\141\155\x65" => $site->getDomainName()])); goto A8460; Fccfb: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto A0390; A8460: return $response; goto a1f43; A0390: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity))) { goto C52d5; } goto c352c; c352c: $certificateSiteEntity = $certificateEntity->getSite(); goto e5e79; C017a: $siteUpdater->installCertificate($certificateEntity); goto Dff14; b010d: $evenData = ["\163\151\x74\145" => $domainName]; goto a94aa; e5e79: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto C401e; } goto E20ee; B9480: $session->getFlashBag()->set("\x73\x75\143\143\x65\x73\x73", $this->translator->trans("\103\145\162\164\151\146\x69\143\x61\164\x65\x20\150\141\x73\x20\142\x65\x65\x6e\x20\151\x6e\163\164\141\154\154\145\144\56")); goto cc467; a1f43: C401e: goto aea43; b1afa: $siteEntity = $this->getSiteEntity($domainName); goto Fccfb; B4179: $this->siteEntityManager->updateEntity($siteEntity); goto b010d; d6aad: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\162", $this->translator->trans("\101\156\40\145\x72\162\157\162\40\x68\x61\x73\40\x6f\143\x63\x75\162\162\145\x64\54\x20\x65\x72\162\x6f\162\x20\155\x65\163\x73\x61\x67\145\x3a\40\x25\145\162\x72\x6f\162\x4d\145\x73\163\x61\147\145\x25", ["\x25\145\x72\x72\x6f\162\115\145\x73\x73\x61\147\145\x25" => $e->getMessage()])); } goto Db474; b1bc1: return $response; goto E8547; Fea92: $site = $this->getSite($request); goto Ba5f8; Ba5f8: if (!(false === is_null($site))) { goto Fbece; } goto aeccc; Cc740: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\164\145\x73")); goto b1bc1; Db474: Fbece: goto Cc740; E8547: } public function deleteCertificate(Request $request) : Response { goto Ef4a1; d7d36: return $response; goto C625f; Bd800: $this->checkCsrfToken($request, "\143\145\x72\164\x69\146\x69\x63\x61\x74\x65\x2d\144\x65\x6c\145\164\145"); goto f3ffe; f3ffe: if (!(false === is_null($site))) { goto F2594; } goto A3dc1; Dae52: F2594: goto ac01d; Ef4a1: $site = $this->getSite($request); goto Bd800; ac01d: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\x74\145\x73")); goto d7d36; A3dc1: try { goto Eee38; F6008: $siteEntity = $this->getSiteEntity($domainName); goto De3e9; f7210: $certificateSiteEntity = $certificateEntity->getSite(); goto a1280; F1301: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity) && false === $certificateEntity->getDefaultCertificate())) { goto F9a0f; } goto f7210; Eb114: $siteEntity->removeCertificate($certificateEntity); goto Db7b5; De3e9: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto F1301; ce1c6: F9a0f: goto Cf583; C8207: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_DELETE, $user, $evenData, $request); goto db76b; F90c2: $uid = $request->get("\x75\x69\144"); goto bdbf2; Bd494: return $response; goto D6f76; Efad1: $evenData = ["\163\x69\164\145" => $domainName]; goto C8207; bdbf2: $domainName = $site->getDomainName(); goto F6008; Eb6e2: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\164\x65\x5f\x63\x65\162\164\x69\x66\151\x63\141\x74\x65\x73", ["\x64\157\155\141\151\x6e\x4e\141\155\145" => $site->getDomainName()])); goto Bd494; a1280: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto C07c1; } goto Aa1fc; Db7b5: $this->siteEntityManager->updateEntity($siteEntity); goto Efad1; Eee38: $session = $request->getSession(); goto F90c2; Aa1fc: $user = $this->getUser(); goto Eb114; db76b: $session->getFlashBag()->set("\x73\x75\143\x63\145\x73\163", $this->translator->trans("\103\x65\162\x74\x69\146\x69\143\141\x74\x65\40\150\x61\163\40\142\145\145\x6e\x20\144\145\x6c\x65\164\145\x64\56")); goto Eb6e2; D6f76: C07c1: goto ce1c6; Cf583: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\101\x6e\x20\x65\162\162\157\x72\x20\x68\141\x73\40\157\x63\143\165\x72\162\145\144\54\x20\x65\x72\162\x6f\x72\x20\155\x65\163\x73\x61\147\x65\x3a\x20\45\x65\162\162\x6f\162\x4d\145\163\x73\141\x67\x65\45", ["\x25\x65\x72\x72\x6f\162\115\145\x73\163\141\147\x65\45" => $e->getMessage()])); } goto Dae52; C625f: } public function databases(Request $request) : Response { goto D89f6; eedca: goto Fbbe7; goto da5cc; D89f6: $site = $this->getSite($request); goto c3a15; b6f58: $numberOfDatabaseUsers = 0; goto Bd810; b3fcc: Fbbe7: goto E43c8; E43c8: return $response; goto e1b95; C134f: $databaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto b6f58; A0b76: $databases = $site->getDatabases(); goto C134f; e8f40: b43cf: goto B3afb; B3afb: $response = $this->render("\x46\162\x6f\x6e\x74\145\156\x64\57\x53\151\164\x65\x2f\144\141\164\x61\142\x61\163\x65\163\56\150\x74\155\x6c\56\x74\x77\x69\147", ["\163\x69\x74\145" => $site, "\x64\141\164\x61\x62\x61\x73\145\163" => $databases, "\x6e\165\155\x62\145\162\x4f\146\104\x61\164\141\x62\141\163\145\125\x73\145\x72\163" => $numberOfDatabaseUsers, "\x64\x61\164\x61\x62\x61\163\x65\x53\x65\x72\166\x65\x72" => $databaseServerEntity]); goto b3fcc; c3a15: if (false === is_null($site)) { goto a34f3; } goto F351e; F351e: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\164\145\163")); goto eedca; Bd810: foreach ($databases as $database) { $numberOfDatabaseUsers += count($database->getUsers()); Feaf1: } goto e8f40; da5cc: a34f3: goto A0b76; e1b95: } public function newDatabase(Request $request) : Response { goto b7c08; f690f: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Af075; D7d46: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto D8bb5; } goto c399e; bb493: D8bb5: goto Ef477; Be087: return $response; goto D4bce; B9120: return $response; goto D9835; e42f4: if (!(true === $form->isSubmitted())) { goto be2a3; } goto b08a0; d5b0f: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\164\145\x73")); goto c3d75; e3d5c: A2518: goto f690f; D91b8: be2a3: goto bb493; e7021: if (false === is_null($site)) { goto A2518; } goto d5b0f; Af075: $databaseEntity = $this->databaseEntityManager->createEntity(); goto ff010; c399e: $form->handleRequest($request); goto e42f4; b7c08: $site = $this->getSite($request); goto e7021; b08a0: $response = $this->handleDatabaseForm($request, $form, $site); goto D2041; d7ce4: Eb1d9: goto Be087; D9835: F0822: goto D91b8; D2041: if (!(false === is_null($response))) { goto F0822; } goto B9120; D74a4: $form = $this->createDatabaseForm($site, $databaseEntity); goto D7d46; Ef477: $response = $this->render("\x46\x72\157\156\164\145\156\144\x2f\x53\151\x74\x65\57\156\145\x77\55\144\141\x74\141\x62\141\163\x65\x2e\150\164\155\x6c\56\164\x77\151\147", ["\x73\x69\x74\x65" => $site, "\146\x6f\x72\x6d" => $form->createView(), "\x66\x6f\x72\155\105\x72\162\157\162\163" => $this->formErrors]); goto d7ce4; ff010: $databaseEntity->setSite($siteEntity); goto D74a4; c3d75: goto Eb1d9; goto e3d5c; D4bce: } private function createDatabaseForm(Site $site, DatabaseEntity $databaseEntity) : Form { goto be077; E1126: $form->add("\x73\x75\x62\155\x69\164", SubmitType::class, ["\141\x74\164\162" => ["\x63\x6c\141\x73\x73" => "\142\164\156\40\x62\x74\x6e\x2d\142\x6c\x75\145\40\x62\164\156\55\x6c\x67"], "\x6c\x61\142\145\x6c" => "\101\x64\144\40\x44\x61\164\x61\x62\x61\x73\145"]); goto ff367; ff367: return $form; goto d01f0; be077: $form = $this->createForm("\x41\x70\x70\x5c\106\x6f\162\155\x5c\123\151\x74\145\104\x61\164\x61\x62\x61\x73\145\x54\171\x70\x65", $databaseEntity, ["\x61\143\164\151\x6f\x6e" => $this->generateUrl("\x63\154\x70\137\x73\151\x74\145\x5f\144\141\x74\141\x62\141\x73\x65\x5f\x6e\x65\x77", ["\x64\157\155\141\151\156\x4e\141\155\x65" => $site->getDomainName()]), "\155\x65\x74\x68\x6f\x64" => "\120\x4f\123\124", "\x61\164\x74\162" => []]); goto E1126; d01f0: } private function handleDatabaseForm(Request $request, Form $form, Site $site) { goto f48ea; Ace99: ef1ff: goto bc5e1; f48ea: if (true === $form->isValid()) { goto ef1ff; } goto b55ce; C16bf: B4c00: goto d6de4; C3933: goto B4c00; goto Ace99; bc5e1: try { goto Cd36f; fbea9: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto B9a82; B295a: $session = $request->getSession(); goto Db4a0; Cd36f: $user = $this->getUser(); goto B295a; F2d1d: $this->siteEntityManager->updateEntity($siteEntity); goto f2a82; C878b: $databaseEntity->addUser($databaseUserEntity); goto a7aa0; A21bf: goto B1753; goto Da70b; a7aa0: $siteEntity->addDatabase($databaseEntity); goto F1c86; b41be: $databaseUserEntity->setDatabase($databaseEntity); goto C878b; ef481: $databaseUserPassword = $form->get("\165\x73\x65\x72\120\x61\163\163\x77\x6f\x72\144")->getData(); goto b029e; ed9f8: $databaseEntity = $form->getData(); goto F3f8b; Bb7dc: return $response; goto A7854; F1c86: $databaseManager->createDatabase($databaseEntity); goto Dd1d3; B9a82: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto Eae16; A0a01: $databaseUserEntity->setUserName($databaseUserName); goto f90b3; Dd1d3: $databaseManager->createUser($databaseUserEntity); goto F2d1d; E3998: $siteEntity = $this->getSiteEntity($domainName); goto C555f; Ffa0c: B1753: goto Bb7dc; B68dd: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\x74\x65\137\144\x61\x74\141\142\141\163\x65\163", ["\x64\157\155\x61\151\x6e\116\x61\155\145" => $site->getDomainName()])); goto Ffa0c; B68f8: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\164\x65\x5f\x64\x61\164\x61\142\141\163\145\x5f\156\145\x77", ["\x64\157\155\x61\151\x6e\116\141\155\x65" => $site->getDomainName()])); goto A21bf; B2519: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto b41be; C555f: if (false === is_null($siteEntity)) { goto Ee605; } goto B68f8; b029e: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto A0a01; Da70b: Ee605: goto ed9f8; Eae16: $databaseEntity->setSite($siteEntity); goto Fcac0; f2a82: $eventData = ["\163\151\x74\145" => $domainName, "\144\141\x74\x61\x62\x61\x73\145" => $databaseEntity->getName(), "\144\141\164\141\142\x61\163\x65\125\x73\x65\x72\x4e\141\155\x65" => $databaseUserEntity->getUserName()]; goto be7b7; be7b7: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_ADD, $user, $eventData, $request); goto B4ac0; F3f8b: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto fbea9; f90b3: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto B2519; Db4a0: $domainName = $site->getDomainName(); goto E3998; Fcac0: $databaseUserName = $form->get("\165\x73\145\x72\116\x61\x6d\145")->getData(); goto ef481; B4ac0: $session->getFlashBag()->set("\163\165\x63\x63\145\x73\x73", $this->translator->trans("\104\141\x74\141\142\x61\163\145\40\x68\141\x73\40\x62\145\145\156\40\141\x64\144\145\144\56")); goto B68dd; A7854: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\162", $this->translator->trans("\x41\x6e\40\145\x72\162\157\x72\x20\x68\141\x73\40\157\x63\x63\165\162\162\x65\x64\x2c\40\145\x72\162\157\x72\x20\x6d\145\163\163\x61\147\145\72\x20\x25\x65\162\x72\x6f\162\115\x65\163\163\x61\x67\145\45", ["\45\x65\x72\x72\157\x72\x4d\x65\163\x73\x61\x67\145\x25" => $e->getMessage()])); } goto C16bf; b55ce: $this->formErrors = $this->getErrorMessages($form); goto C3933; d6de4: } public function deleteDatabase(Request $request) : Response { goto B9d69; B9d69: $site = $this->getSite($request); goto D0768; fe1bc: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\164\145\x73")); goto D3e82; D777a: try { goto Dab57; A0d5c: $this->siteEntityManager->updateEntity($siteEntity); goto f4bb7; Dab57: $user = $this->getUser(); goto E7e7e; f4bb7: $eventData = ["\163\x69\x74\x65" => $domainName, "\x64\x61\164\x61\x62\141\x73\145" => $databaseEntity->getName()]; goto de7ed; F13d9: $databaseManager->deleteDatabase($databaseEntity, true); goto A1241; c288c: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto c0d2c; de7ed: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_DELETE, $user, $eventData, $request); goto C5027; A1241: $siteEntity->removeDatabase($databaseEntity); goto A0d5c; C5027: $session->getFlashBag()->set("\163\165\x63\x63\x65\x73\x73", $this->translator->trans("\104\x61\164\x61\x62\141\x73\145\40\150\x61\163\40\x62\x65\x65\x6e\40\x64\x65\154\x65\x74\x65\144\56")); goto d05a0; c0d2c: $databaseManager = new DatabaseManager($databaseServerEntity); goto F13d9; E7e7e: $session = $request->getSession(); goto a80bf; a80bf: $domainName = $site->getDomainName(); goto c288c; d05a0: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\x72", $this->translator->trans("\101\156\40\x65\162\162\x6f\162\x20\x68\141\163\x20\x6f\x63\x63\165\162\162\145\x64\x2c\x20\x65\x72\x72\157\162\x20\155\145\163\x73\x61\x67\145\x3a\x20\45\x65\162\x72\x6f\x72\x4d\145\x73\163\141\x67\x65\x25", ["\45\x65\162\x72\x6f\162\115\145\163\163\x61\x67\145\45" => $e->getMessage()])); } goto Cfac6; D0768: $this->checkCsrfToken($request, "\144\x61\x74\x61\x62\141\x73\x65\x2d\x64\x65\x6c\145\x74\x65"); goto a2931; ec078: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto c7c67; c7c67: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Aab3c; Ea798: B8dca: goto fe1bc; Aab3c: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName() && false === is_null($siteEntity))) { goto acae8; } goto D777a; D55ce: $databaseName = $request->get("\144\141\x74\x61\142\x61\x73\145\116\141\x6d\145"); goto ec078; D3e82: return $response; goto f5027; Cfac6: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\x74\x65\x5f\x64\x61\164\x61\142\141\x73\145\x73", ["\144\157\155\x61\151\x6e\x4e\141\155\145" => $site->getDomainName()])); goto F4a27; F4a27: return $response; goto e08fa; a2931: if (!(false === is_null($site))) { goto B8dca; } goto D55ce; e08fa: acae8: goto Ea798; f5027: } public function phpMyAdmin(Request $request) : Response { goto b2848; afd4c: D70f1: goto bb1c7; bb1c7: af4e0: goto efc85; F63a9: $phpMyAdminUrl = sprintf("\150\x74\164\x70\x73\x3a\57\57\45\x73\x3a\45\x73\57\160\x68\160\x6d\171\141\x64\155\151\156\57\154\157\147\x69\x6e\x2e\160\150\x70", $request->getHost(), $request->getPort()); goto Be8ca; Bfb70: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto d2578; B8ab7: F6ad7: goto D2f0a; Dc7a5: $session = $request->getSession(); goto adb15; adc97: $phpMyAdminUrl = sprintf("\150\x74\164\160\x73\x3a\x2f\57\x25\x73\x3a\x25\x73\57\160\150\160\x6d\171\141\144\x6d\151\156\57\x6c\157\x67\151\x6e\56\x70\150\160", $request->getHost(), $request->getPort()); goto E5e1f; b59f9: if (!(false === is_null($activeDatabaseServerEntity) && false === is_null($activeDatabaseServerEntity))) { goto af4e0; } goto c672b; b2848: $domainName = $request->get("\144\x6f\155\141\151\x6e\x4e\x61\155\145"); goto Dc7a5; aa88c: $response = new RedirectResponse($phpMyAdminUrl); goto F750a; Be8ca: $data = ["\x68\x6f\x73\164" => $activeDatabaseServerEntity->getHost(), "\x70\157\x72\164" => $activeDatabaseServerEntity->getPort()]; goto d3bad; Ff05c: return $response; goto f1f61; d81ff: $response->headers->clearCookie("\x70\150\x70\x4d\x79\101\x64\155\151\156\137\x68\x74\164\160\163"); goto a87d8; fec10: $databaseUserName = $request->get("\x64\x61\x74\141\142\x61\x73\x65\x55\163\x65\162\x4e\x61\155\x65"); goto Bfb70; a2d31: if (!(false === is_null($site))) { goto F1c5c; } goto fec10; a4e5c: $response->headers->clearCookie("\123\151\147\156\x6f\156\x53\145\163\x73\x69\x6f\x6e"); goto Ff05c; d03c4: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto D70f1; } goto adc97; f2b2b: $response->headers->clearCookie("\x63\154\160\55\160\155\141"); goto d81ff; c672b: $databaseEntity = $databaseUserEntity->getDatabase(); goto d03c4; C29fe: $site = $this->getSite($request); goto a2d31; F750a: return $response; goto afd4c; e4b06: if (!(false === is_null($activeDatabaseServerEntity))) { goto Dcf4a; } goto F63a9; Bce4c: return $response; goto de4cc; adb15: if (false === is_null($domainName)) { goto ebed3; } goto C103d; f563f: $response = new RedirectResponse($phpMyAdminUrl); goto f2b2b; f1f61: Dcf4a: goto f8034; f8034: goto F6ad7; goto f0984; d1f8f: $session->set("\x63\154\x70\55\x70\155\x61", $data); goto aa88c; efc85: F1c5c: goto B8ab7; a87d8: $response->headers->clearCookie("\160\x6d\x61\x41\x75\164\150\x2d\x31\137\150\164\164\x70\163"); goto a4e5c; E5e1f: $data = ["\150\x6f\x73\164" => $activeDatabaseServerEntity->getHost(), "\x75\163\x65\162\116\x61\155\145" => $databaseUserEntity->getUserName(), "\x70\141\163\163\167\157\x72\144" => $databaseUserEntity->getDecryptedPassword(), "\160\x6f\x72\164" => $activeDatabaseServerEntity->getPort()]; goto d1f8f; C103d: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto e4b06; d2578: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto b59f9; D2f0a: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\164\145\163")); goto Bce4c; f0984: ebed3: goto C29fe; d3bad: $session->set("\x63\154\160\55\160\x6d\141", $data); goto f563f; de4cc: } public function phpMyAdminLogout(Request $request) { goto B3f32; A3d3e: $response->headers->clearCookie("\x63\154\160\55\x70\155\141"); goto Ac888; B3f32: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\164\145\x73")); goto A3d3e; A799e: $response->headers->clearCookie("\160\155\141\x41\x75\x74\x68\55\x31\137\150\x74\164\x70\163"); goto adf2f; Ac888: $response->headers->clearCookie("\160\x68\160\115\171\101\144\x6d\151\156\x5f\150\164\164\x70\x73"); goto A799e; adf2f: $response->headers->clearCookie("\x53\x69\147\156\x6f\156\123\145\x73\x73\151\157\x6e"); goto e9439; e9439: return $response; goto b7a2f; b7a2f: } public function newDatabaseUser(Request $request) : Response { goto c4a96; F97fe: Fefdd: goto d65e3; Ee02f: F0408: goto A72c3; c4b39: if (false === is_null($site)) { goto A0a1a; } goto e54d2; fe21e: $form = $this->createDatabaseUserForm($site, $databaseUserEntity); goto fa2b9; F9046: A0a1a: goto fcbde; df16f: $session->getFlashBag()->set("\x64\141\156\x67\x65\162", $this->translator->trans("\116\x6f\40\144\x61\164\x61\142\x61\x73\145\40\146\x6f\165\156\x64\73\40\143\162\145\141\164\145\x20\141\40\144\141\x74\141\142\141\163\145\40\x66\x69\162\x73\164\56")); goto D97f1; cc69b: Db7d7: goto dcee2; E5495: goto Ac954; goto F9046; dcee2: $response = $this->render("\106\x72\157\156\164\x65\x6e\144\x2f\x53\151\164\x65\x2f\156\x65\x77\x2d\x64\x61\164\141\142\x61\x73\145\x2d\x75\x73\145\x72\56\x68\x74\155\x6c\x2e\164\x77\151\x67", ["\163\151\164\x65" => $site, "\144\141\164\141\x62\141\163\145\125\x73\145\162" => $databaseUserEntity, "\144\141\x74\141\142\141\x73\x65\x73" => $databases, "\x66\157\x72\x6d" => $form->createView(), "\x66\157\162\x6d\x45\x72\x72\x6f\162\x73" => $this->formErrors]); goto e26f7; F4d0d: $response = $this->handleDatabaseUserForm($request, $form, $site); goto bde02; fa2b9: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto Db7d7; } goto B76e7; D108e: goto c85d0; goto Ee02f; D5432: return $response; goto F97fe; bde02: if (!(false === is_null($response))) { goto Fefdd; } goto D5432; Ccfcd: $databaseUserEntity->setSite($siteEntity); goto fe21e; fcbde: $databases = $site->getDatabases(); goto A711c; A72c3: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto Ccfcd; e3c98: $session = $request->getSession(); goto df16f; d65e3: Be4e1: goto cc69b; f69e6: $siteEntity = $this->getSiteEntity($domainName); goto d2974; eefb7: Ac954: goto Cf1ae; d2974: if (count($databases) && false === is_null($siteEntity)) { goto F0408; } goto e3c98; e54d2: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\x74\145\x73")); goto E5495; Bb763: if (!(true === $form->isSubmitted())) { goto Be4e1; } goto F4d0d; e26f7: c85d0: goto eefb7; Cf1ae: return $response; goto f8bdd; B76e7: $form->handleRequest($request); goto Bb763; A711c: $domainName = $site->getDomainName(); goto f69e6; D97f1: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\145\x5f\144\141\164\x61\142\141\163\x65\x73", ["\144\x6f\155\141\151\x6e\116\x61\155\145" => $site->getDomainName()])); goto D108e; c4a96: $site = $this->getSite($request); goto c4b39; f8bdd: } private function createDatabaseUserForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto E333f; E333f: $form = $this->createForm("\x41\160\160\134\106\157\x72\x6d\134\x53\x69\164\x65\x44\141\x74\141\x62\141\163\145\125\x73\x65\162\x54\x79\x70\145", $databaseUserEntity, ["\141\143\x74\x69\157\x6e" => $this->generateUrl("\x63\x6c\160\x5f\x73\x69\x74\x65\x5f\x64\141\164\141\x62\x61\163\x65\x5f\x75\163\145\162\x5f\156\145\167", ["\144\157\155\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()]), "\155\145\164\x68\157\144" => "\x50\117\x53\124", "\x61\164\164\162" => []]); goto eff8d; eff8d: $form->add("\163\165\142\155\x69\164", SubmitType::class, ["\141\164\164\x72" => ["\143\x6c\x61\x73\x73" => "\142\164\156\40\x62\x74\x6e\55\142\154\x75\145\40\142\x74\156\x2d\x6c\x67"], "\154\x61\x62\x65\x6c" => "\101\x64\144\x20\104\141\164\141\142\141\x73\145\x20\125\x73\x65\x72"]); goto d7906; d7906: return $form; goto c714f; c714f: } private function handleDatabaseUserForm(Request $request, Form $form, Site $site) { goto aa8fa; aa8fa: if (true === $form->isValid()) { goto b9e84; } goto Ce3c0; ac49f: goto C10d7; goto d11b7; Ff879: C10d7: goto Fff63; b7d3b: try { goto def60; Baf9d: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\x74\x65\x5f\x64\141\x74\141\x62\141\163\x65\163", ["\x64\x6f\155\x61\x69\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto E2577; ba66c: if (false === is_null($siteEntity)) { goto B1480; } goto b13f2; e3d69: $session = $request->getSession(); goto ca0ed; C2dd8: $databaseUserEntity->setPassword($encryptedPassword); goto d7411; f37b6: goto F03ee; goto a233c; aa493: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_ADD, $user, $eventData, $request); goto E7fde; d7411: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto B4414; A29ba: $databaseManager->createUser($databaseUserEntity); goto D936b; B4414: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto A29ba; cc680: $databaseUserEntity = $form->getData(); goto C2b0d; D936b: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto f78c5; Bfef0: return $response; goto Dc456; ca0ed: $domainName = $site->getDomainName(); goto e20f0; E2577: F03ee: goto Bfef0; E7fde: $session->getFlashBag()->set("\x73\165\143\143\x65\x73\163", $this->translator->trans("\104\x61\x74\x61\x62\x61\163\145\40\125\163\145\162\x20\x68\141\x73\40\142\145\x65\156\x20\x61\144\144\x65\x64\56")); goto Baf9d; C1c7c: $eventData = ["\x73\151\x74\x65" => $domainName, "\x64\x61\164\141\x62\141\163\x65\x55\x73\145\x72\116\141\155\x65" => $databaseUserEntity->getUserName(), "\160\x65\162\155\151\163\163\151\x6f\x6e\163" => $databaseUserEntity->getPermissions(), "\144\x61\164\141\x62\x61\163\145" => $databaseName]; goto aa493; f78c5: $databaseEntity = $databaseUserEntity->getDatabase(); goto af5c4; a233c: B1480: goto cc680; b13f2: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\x65\137\x64\x61\x74\x61\142\x61\163\145\x5f\x75\x73\145\162\x5f\156\x65\167", ["\144\x6f\155\141\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto f37b6; def60: $user = $this->getUser(); goto e3d69; C2b0d: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto C2dd8; af5c4: $databaseName = $databaseEntity->getName(); goto C1c7c; e20f0: $siteEntity = $this->getSiteEntity($domainName); goto ba66c; Dc456: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\x72", $this->translator->trans("\101\156\x20\x65\162\162\x6f\162\x20\x68\141\163\x20\x6f\143\143\165\x72\x72\x65\x64\x2c\40\145\x72\162\x6f\162\x20\155\145\163\163\x61\147\x65\72\x20\x25\145\162\x72\x6f\x72\x4d\x65\x73\163\x61\147\145\45", ["\x25\145\162\162\x6f\162\x4d\x65\163\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto Ff879; d11b7: b9e84: goto b7d3b; Ce3c0: $this->formErrors = $this->getErrorMessages($form); goto ac49f; Fff63: } public function editDatabaseUser(Request $request) : Response { goto C4927; D190e: $databases = $site->getDatabases(); goto a1c2f; bd6db: return $response; goto B1f6e; Fdaaa: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto e3c93; } goto ce100; bb3ec: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\x74\145\137\x64\x61\164\x61\x62\141\163\x65\163", ["\144\157\155\x61\x69\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto e9552; b1fe2: if (false === is_null($site)) { goto bfa3e; } goto F7c9f; e9552: goto ec088; goto Ebf2e; f8815: b71b9: goto bd6db; C4927: $site = $this->getSite($request); goto b1fe2; E1b04: e3c93: goto c6395; C67ba: $session->getFlashBag()->set("\144\x61\156\x67\x65\x72", $this->translator->trans("\x4e\x6f\x20\x64\141\164\141\x62\x61\x73\145\x20\146\157\165\156\x64\73\x20\x63\162\145\141\x74\x65\40\141\x20\x64\x61\164\x61\x62\x61\x73\145\40\x66\151\x72\163\164\56")); goto bb3ec; F7c9f: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\x74\145\x73")); goto Bb077; Ca745: $session = $request->getSession(); goto C67ba; c6395: $response = $this->render("\106\162\157\x6e\164\145\x6e\x64\57\x53\x69\164\145\57\145\144\x69\x74\55\x64\141\164\x61\x62\x61\x73\x65\x2d\x75\x73\x65\x72\56\x68\x74\x6d\x6c\56\164\x77\x69\x67", ["\163\151\x74\145" => $site, "\144\x61\164\x61\142\141\163\145\125\163\x65\x72" => $databaseUserEntity, "\x66\x6f\162\155" => $form->createView(), "\146\x6f\x72\x6d\105\x72\x72\x6f\x72\163" => $this->formErrors]); goto bb87e; ce6ec: bfa3e: goto D190e; A8939: $siteEntity = $this->getSiteEntity($domainName); goto d6b41; bb87e: A0b12: goto D8daf; eaf53: if (!(true === $form->isSubmitted())) { goto Ae2d2; } goto fcbf7; fcbf7: $response = $this->handleDatabaseUserEditForm($request, $form, $site); goto b445a; ac0c0: return $response; goto cef0d; E4a4a: $databaseUserEntity->setPassword(''); goto a8923; F5282: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto acfce; Bb077: goto b71b9; goto ce6ec; ce100: $form->handleRequest($request); goto eaf53; Ebf2e: b5fa9: goto e80ae; e80ae: $databaseUserName = $request->get("\x64\141\164\141\142\x61\x73\x65\x55\163\x65\162\x4e\141\155\x65"); goto F5282; D8daf: ec088: goto f8815; cef0d: bd267: goto D8cd1; a1c2f: $domainName = $site->getDomainName(); goto A8939; a8923: $form = $this->createDatabaseUserEditForm($site, $databaseUserEntity); goto Fdaaa; d6b41: if (count($databases) && false === is_null($siteEntity)) { goto b5fa9; } goto Ca745; acfce: if (!(false === is_null($databaseUserEntity))) { goto A0b12; } goto E4a4a; D8cd1: Ae2d2: goto E1b04; b445a: if (!(false === is_null($response))) { goto bd267; } goto ac0c0; B1f6e: } private function createDatabaseUserEditForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto B50f4; B50f4: $form = $this->createForm("\101\160\x70\134\x46\x6f\162\155\134\x53\x69\x74\145\104\x61\x74\x61\142\141\x73\x65\125\x73\145\162\x45\x64\151\x74\x54\171\160\x65", $databaseUserEntity, ["\141\143\164\x69\157\x6e" => $this->generateUrl("\x63\154\160\x5f\163\151\x74\x65\x5f\x64\141\164\x61\x62\x61\x73\x65\137\165\x73\x65\162\x5f\x65\x64\151\x74", ["\144\157\155\141\151\156\116\x61\x6d\x65" => $site->getDomainName(), "\x64\141\x74\141\142\x61\x73\145\x55\x73\x65\162\x4e\141\155\x65" => $databaseUserEntity->getUserName()]), "\155\145\164\150\x6f\x64" => "\x50\x4f\123\124", "\141\x74\164\162" => []]); goto E10d4; Abb56: return $form; goto e5bba; E10d4: $form->add("\163\x75\x62\155\151\164", SubmitType::class, ["\141\164\164\162" => ["\x63\154\x61\163\x73" => "\x62\164\x6e\40\x62\164\156\55\142\x6c\x75\x65\x20\x62\x74\156\55\154\x67"], "\x6c\x61\x62\145\154" => "\123\x61\x76\145"]); goto Abb56; e5bba: } private function handleDatabaseUserEditForm(Request $request, Form $form, Site $site) { goto C6766; f5448: C3814: goto Fadc7; C86c8: goto C3814; goto F721d; F721d: C91ca: goto Bdfb1; Bdfb1: try { goto b97fc; da985: $domainName = $site->getDomainName(); goto E79c9; D4b96: $databaseUserEntity = $form->getData(); goto F721f; adf95: $session->getFlashBag()->set("\163\165\143\x63\x65\163\x73", $this->translator->trans("\x44\x61\x74\141\142\141\163\145\40\125\163\145\162\40\x68\x61\x73\x20\142\145\145\156\40\x75\160\144\x61\164\145\x64\x2e")); goto c3eb9; Aff6a: $databaseUserEntity->setPassword($encryptedPassword); goto b38b1; c3eb9: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\164\145\x5f\x64\141\164\141\142\x61\x73\145\163", ["\144\157\155\x61\x69\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto d6071; F721f: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto Aff6a; b97fc: $user = $this->getUser(); goto E7ff0; F25a6: $databaseName = $databaseEntity->getName(); goto dd091; d6071: b3a0c: goto B42ef; E7ef4: c982a: goto D4b96; ce853: $databaseManager->createUser($databaseUserEntity); goto Ba4db; B42ef: return $response; goto Ab266; E79c9: $siteEntity = $this->getSiteEntity($domainName); goto F60b8; E7ff0: $session = $request->getSession(); goto da985; f86aa: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto ce853; ed287: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_EDIT, $user, $eventData, $request); goto adf95; e03d4: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\x74\x65\x5f\x64\141\x74\x61\x62\141\163\145\x5f\x75\163\145\x72\x5f\x6e\x65\167", ["\144\157\155\x61\x69\x6e\x4e\141\155\x65" => $site->getDomainName()])); goto E7432; F8381: $databaseEntity = $databaseUserEntity->getDatabase(); goto F25a6; dd091: $eventData = ["\163\x69\x74\x65" => $domainName, "\144\141\x74\x61\142\x61\x73\145\x55\x73\x65\162\x4e\141\155\x65" => $databaseUserEntity->getUserName(), "\x70\145\162\x6d\151\x73\163\151\157\x6e\163" => $databaseUserEntity->getPermissions(), "\144\x61\164\x61\x62\141\x73\145" => $databaseName]; goto ed287; F60b8: if (false === is_null($siteEntity)) { goto c982a; } goto e03d4; Ba4db: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto F8381; b38b1: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto f86aa; E7432: goto b3a0c; goto E7ef4; Ab266: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\x72", $this->translator->trans("\x41\x6e\x20\145\162\x72\157\x72\40\x68\141\x73\40\x6f\x63\x63\x75\162\162\145\144\54\x20\145\162\x72\x6f\x72\40\155\145\163\163\x61\147\x65\72\x20\x25\x65\162\162\157\162\115\x65\x73\163\141\147\145\x25", ["\45\x65\162\x72\157\x72\115\x65\x73\163\141\x67\145\x25" => $e->getMessage()])); } goto f5448; C6766: if (true === $form->isValid()) { goto C91ca; } goto Dde42; Dde42: $this->formErrors = $this->getErrorMessages($form); goto C86c8; Fadc7: } public function deleteDatabaseUser(Request $request) : Response { goto b3940; D050b: if (!(false === is_null($site))) { goto C66be; } goto d8ae9; dda72: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\x65\x73")); goto F35e9; b3940: $site = $this->getSite($request); goto Ce200; Df7b1: Fab37: goto fa87b; D2680: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto afbe9; ab01d: try { goto e111c; c9577: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto D671a; b0a05: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto ca1aa; } goto ca92f; A58a6: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_DELETE, $user, $eventData, $request); goto F22be; F1672: $this->databaseUserEntityManager->deleteEntity($databaseUserEntity); goto ae47b; ca92f: $user = $this->getUser(); goto C63a2; D671a: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto Bc159; B6527: $session = $request->getSession(); goto c9577; C63a2: $domainName = $site->getDomainName(); goto B6527; e111c: $databaseEntity = $databaseUserEntity->getDatabase(); goto b0a05; F22be: ca1aa: goto be0f0; e47c4: $eventData = ["\163\151\x74\x65" => $domainName, "\144\141\x74\141\x62\141\x73\145\125\x73\x65\162\116\141\x6d\145" => $databaseUserName]; goto A58a6; Bc159: $databaseManager->deleteUser($databaseUserEntity); goto F1672; ae47b: $session->getFlashBag()->set("\163\165\x63\x63\x65\x73\163", $this->translator->trans("\104\141\164\141\142\x61\x73\x65\x20\x55\163\145\162\x20\x68\141\x73\40\142\x65\x65\156\x20\x64\x65\154\145\x74\145\144\56")); goto e47c4; be0f0: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\162", $this->translator->trans("\x41\x6e\x20\x65\x72\162\x6f\x72\x20\150\141\x73\40\x6f\x63\143\165\x72\x72\145\144\x2c\x20\145\162\162\157\x72\40\x6d\x65\x73\163\x61\x67\x65\72\40\45\145\162\x72\157\x72\115\145\x73\163\141\147\145\45", ["\45\145\162\162\157\162\115\145\x73\x73\141\x67\x65\45" => $e->getMessage()])); } goto D70cd; Ce200: $this->checkCsrfToken($request, "\144\141\x74\x61\x62\141\x73\x65\55\x75\x73\x65\x72\x2d\144\x65\x6c\145\x74\145"); goto D050b; afbe9: if (!(false === is_null($databaseUserEntity))) { goto Fab37; } goto ab01d; d8ae9: $databaseUserName = $request->get("\144\141\164\141\x62\x61\x73\x65\125\x73\145\x72\x4e\141\155\145"); goto D2680; D70cd: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\164\145\137\x64\x61\164\141\x62\x61\x73\145\163", ["\x64\157\155\141\151\x6e\116\x61\155\145" => $site->getDomainName()])); goto c072c; c072c: return $response; goto Df7b1; F35e9: return $response; goto dc291; fa87b: C66be: goto dda72; dc291: } public function varnishCache(Request $request) : Response { goto fcb38; f3734: if (!(false === is_null($response))) { goto cc126; } goto d7634; Cceae: $response = $this->handleVarnishCachePurgeCacheForm($request, $purgeCacheForm, $site); goto bb2d3; fcb38: $site = $this->getSite($request); goto e66e9; bb837: $response = $this->handleVarnishCacheSettingsForm($request, $settingsForm, $site); goto f3734; D6bdd: cc126: goto Bc20c; e66e9: if (false === is_null($site) && true === $site->getVarnishCache()) { goto d2682; } goto F2048; bb2d3: if (!(false === is_null($response))) { goto Ac6f2; } goto aaada; eccdb: $purgeCacheForm = $this->createVarnishCachePurgeCacheForm($site); goto Fc1ae; E03e5: $settingsForm = $this->createVarnishCacheSettingsForm($site, $varnishCacheSettingsData); goto eccdb; D26fc: d2952: goto D585e; E694a: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto a5cb4; Bc20c: F2616: goto eea4a; a5cb4: $varnishCacheSettingsData = ["\151\x73\x45\156\141\x62\154\x65\x64" => true === isset($varnishCacheSettings["\145\x6e\141\x62\x6c\145\144"]) && true === $varnishCacheSettings["\145\x6e\x61\x62\154\x65\144"] ? true : false, "\163\x65\x72\x76\x65\162" => true === isset($varnishCacheSettings["\163\145\x72\166\145\x72"]) ? $varnishCacheSettings["\x73\x65\162\166\x65\162"] : "\x31\x32\x37\56\60\56\x30\x2e\x31\72\x36\x30\x38\x31", "\143\141\x63\150\145\124\141\x67\120\x72\x65\x66\x69\170" => true === isset($varnishCacheSettings["\x63\x61\x63\150\145\x54\x61\147\120\x72\x65\x66\x69\170"]) ? $varnishCacheSettings["\143\141\143\150\x65\x54\141\147\120\x72\145\146\151\170"] : substr(md5(time()), 0, 4), "\x63\x61\143\150\x65\x4c\151\x66\145\x74\151\155\145" => true === isset($varnishCacheSettings["\x63\x61\x63\150\x65\114\x69\x66\x65\164\151\x6d\x65"]) ? $varnishCacheSettings["\143\141\x63\x68\145\x4c\x69\x66\x65\x74\x69\x6d\x65"] : "\x36\60\x34\x38\x30\x30", "\145\x78\143\x6c\x75\x64\145\x64\x50\141\162\141\155\x73" => true === isset($varnishCacheSettings["\x65\x78\x63\154\x75\x64\145\x64\x50\x61\162\x61\155\163"]) ? implode("\54", $varnishCacheSettings["\x65\170\x63\154\165\x64\145\144\x50\141\162\141\155\x73"]) : "\x5f\x5f\x53\111\x44\x2c\156\x6f\x43\x61\143\150\x65\x2c", "\145\x78\x63\x6c\165\144\x65\163" => true === isset($varnishCacheSettings["\x65\x78\143\x6c\x75\x64\x65\x73"]) ? implode(PHP_EOL, $varnishCacheSettings["\x65\x78\x63\x6c\x75\x64\145\x73"]) : '']; goto E03e5; F2048: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\145\163")); goto C0efb; f1cc2: if (!(true === $settingsForm->isSubmitted())) { goto F2616; } goto bb837; aaada: return $response; goto f29e0; bc634: D34bf: goto f0f67; D585e: return $response; goto ab3e9; d77be: d2682: goto E694a; Fc1ae: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto D34bf; } goto Bfd6e; Bfd6e: $settingsForm->handleRequest($request); goto E23c1; d7634: return $response; goto D6bdd; eea4a: if (!(true === $purgeCacheForm->isSubmitted())) { goto C49c5; } goto Cceae; a93e9: C49c5: goto bc634; C0efb: goto d2952; goto d77be; E23c1: $purgeCacheForm->handleRequest($request); goto f1cc2; f29e0: Ac6f2: goto a93e9; f0f67: $response = $this->render("\106\162\157\x6e\x74\145\x6e\144\57\123\x69\x74\145\57\166\141\x72\156\151\x73\x68\x2d\x63\141\143\x68\x65\x2e\150\x74\x6d\x6c\x2e\x74\x77\151\147", ["\x73\x69\164\x65" => $site, "\163\145\x74\x74\x69\156\x67\x73\106\157\x72\x6d" => $settingsForm->createView(), "\160\x75\x72\147\145\103\x61\x63\x68\x65\x46\157\162\x6d" => $purgeCacheForm->createView(), "\x66\157\x72\155\x45\162\162\x6f\162\163" => $this->formErrors]); goto D26fc; ab3e9: } private function createVarnishCacheSettingsForm(Site $site, array $data) : Form { goto f251f; a7598: return $form; goto C8f63; f251f: $form = $this->createForm("\101\x70\x70\134\x46\x6f\x72\x6d\x5c\x53\x69\x74\x65\x56\141\162\156\151\163\150\x43\141\143\x68\x65\123\145\x74\x74\151\156\x67\163\124\x79\160\x65", $data, ["\x61\x63\x74\x69\157\156" => $this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\145\137\166\141\x72\156\151\163\x68\137\143\x61\143\150\x65", ["\x64\157\155\x61\x69\156\x4e\x61\155\145" => $site->getDomainName()]), "\155\145\x74\150\157\144" => "\120\117\123\124", "\141\164\164\162" => []]); goto d729a; d729a: $form->add("\x73\165\x62\x6d\x69\x74", SubmitType::class, ["\141\x74\x74\162" => ["\143\154\x61\163\163" => "\142\x74\156\40\x62\x74\156\55\x62\x6c\x75\x65\40\x62\x74\156\x2d\x6c\147"], "\x6c\x61\x62\145\x6c" => "\123\141\x76\145"]); goto a7598; C8f63: } private function createVarnishCachePurgeCacheForm(Site $site) : Form { goto a5691; Ce4aa: $form->add("\163\165\142\x6d\151\x74", SubmitType::class, ["\141\164\164\x72" => ["\143\154\x61\163\x73" => "\x62\x74\156\x20\x62\164\x6e\55\x62\x6c\x75\145\x20\142\x74\156\x2d\x6c\x67"], "\x6c\x61\x62\145\154" => "\120\165\x72\147\145\40\103\141\x63\x68\145"]); goto fed22; fed22: return $form; goto e887b; a5691: $form = $this->createForm("\101\x70\160\x5c\106\157\162\x6d\x5c\x53\151\x74\145\x56\x61\x72\156\151\x73\150\103\x61\x63\150\145\120\x75\162\147\x65\x43\141\x63\x68\145\x54\171\160\x65", ["\x73\151\164\145" => $site], ["\x61\143\164\151\157\156" => $this->generateUrl("\143\154\x70\137\x73\x69\164\x65\x5f\166\x61\162\x6e\x69\x73\x68\137\143\141\x63\x68\145", ["\144\x6f\x6d\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()]), "\x6d\145\x74\150\x6f\144" => "\120\x4f\123\x54", "\141\x74\x74\162" => []]); goto Ce4aa; e887b: } private function handleVarnishCacheSettingsForm(Request $request, Form $form, Site $site) { goto C1326; Cad2a: $this->formErrors = $this->getErrorMessages($form); goto Db9f9; C1326: if (true === $form->isValid()) { goto b527e; } goto Cad2a; C9482: try { goto A160c; Cda3d: $excludes = array_map("\x74\162\x69\x6d", array_filter(explode(PHP_EOL, trim($form->get("\145\170\x63\x6c\x75\144\145\163")->getData())))); goto c52eb; e1a58: D71f5: goto Cf1fc; b3066: $server = $form->get("\x73\145\162\x76\145\162")->getData(); goto B81f0; c0b15: $siteUpdater->writeVarnishCacheSettingsFile($varnishCacheSettings); goto C7f7b; c52eb: $varnishCacheSettings = ["\x65\x6e\x61\142\x6c\145\144" => $isEnabled, "\x73\145\162\x76\x65\162" => $server, "\x63\141\x63\150\145\x54\141\x67\120\162\x65\146\x69\x78" => $cacheTagPrefix, "\x63\x61\143\x68\x65\x4c\x69\146\145\x74\151\155\x65" => $cacheLifetime, "\x65\170\x63\x6c\165\x64\145\x73" => $excludes, "\x65\170\x63\x6c\165\144\145\x64\120\x61\162\x61\155\x73" => $excludedParams]; goto A8d5c; ce882: $siteUpdater = $this->getSiteUpdater($site); goto c0b15; f7c49: $isEnabled = $form->get("\x69\x73\x45\156\141\x62\154\145\x64")->getData(); goto b3066; ac3d4: $siteEntity = $this->getSiteEntity($domainName); goto C451c; F61da: $session->getFlashBag()->set("\x73\165\x63\143\x65\163\163", $this->translator->trans("\x56\x61\162\156\151\163\150\x20\103\141\143\x68\x65\x20\x53\145\x74\164\x69\156\x67\x73\40\150\x61\166\x65\x20\x62\145\145\x6e\x20\163\x61\x76\x65\x64\x2e")); goto dd464; D2b4b: return $response; goto c95cf; A160c: $session = $request->getSession(); goto F04d6; F5d73: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_SETTINGS_UPDATE, $user, $eventData, $request); goto F61da; E0378: Cfe9d: goto D2b4b; D9fbe: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\x74\145\x73")); goto b228a; A8d5c: $site->setVarnishCacheSettings($varnishCacheSettings); goto ce882; Aa332: $eventData = ["\163\151\x74\x65" => $domainName, "\x76\141\x72\156\x69\163\x68\103\141\x63\x68\x65\x45\156\141\142\x6c\145\x64" => $isEnabled, "\x73\x65\162\x76\x65\x72" => $server, "\143\141\x63\150\145\x54\x61\147\120\x72\x65\x66\151\170" => $cacheTagPrefix, "\x63\141\143\x68\145\x4c\151\146\x65\x74\151\155\145" => $cacheLifetime, "\145\170\x63\x6c\x75\x64\145\163" => $excludes, "\x65\170\x63\x6c\x75\x64\145\144\120\141\x72\x61\x6d\163" => $excludedParams]; goto F5d73; a5df7: $cacheTagPrefix = $form->get("\x63\x61\143\150\145\x54\x61\147\x50\x72\145\146\151\170")->getData(); goto ba1ab; dd464: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\164\x65\x5f\166\x61\x72\x6e\151\x73\150\137\x63\x61\x63\x68\145", ["\x64\157\x6d\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto E0378; B81f0: $cacheLifetime = $form->get("\143\141\143\150\x65\x4c\151\x66\145\x74\151\x6d\145")->getData(); goto a5df7; b228a: goto Cfe9d; goto e1a58; C451c: if (false === is_null($siteEntity)) { goto D71f5; } goto D9fbe; Cf1fc: $user = $this->getUser(); goto f7c49; C7f7b: $siteUpdater->phpSettings(); goto Aa332; F04d6: $domainName = $site->getDomainName(); goto ac3d4; ba1ab: $excludedParams = array_map("\164\162\x69\x6d", array_filter(explode("\x2c", trim($form->get("\145\170\x63\x6c\165\144\145\144\x50\141\x72\x61\155\x73")->getData())))); goto Cda3d; c95cf: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\162", $this->translator->trans("\x41\x6e\x20\x65\162\162\157\162\x20\x68\x61\x73\x20\157\143\143\165\x72\x72\x65\x64\54\x20\145\162\x72\x6f\162\x20\155\145\x73\x73\141\147\x65\x3a\x20\45\145\x72\x72\x6f\x72\115\x65\163\163\x61\x67\x65\x25", ["\x25\x65\162\x72\157\x72\115\145\163\163\141\x67\x65\45" => $e->getMessage()])); } goto ef581; Db9f9: goto e9fdb; goto Fadf2; ef581: e9fdb: goto C843e; Fadf2: b527e: goto C9482; C843e: } private function handleVarnishCachePurgeCacheForm(Request $request, Form $form, Site $site) { goto b75c6; Ea545: Dbc88: goto D40ac; b75c6: if (true === $form->isValid()) { goto Cc01f; } goto f8c0f; a388c: goto Dbc88; goto Dfc8f; e1500: try { goto F8643; d22c7: foreach ($purgeValues as $purgeValue) { goto eb485; Cb8f2: $varnishCacheClient->purgeTag($purgeValue); goto f6fb5; Ba081: C5917: goto d3a60; F3df9: if (true === str_starts_with($purgeValue, "\150\164\164\160")) { goto F4162; } goto Cb8f2; fdeb2: if (!(false === empty($purgeValue))) { goto E596b; } goto F3df9; dde16: E596b: goto Ba081; f6fb5: goto ea664; goto A7a44; c4033: ea664: goto dde16; eb485: $purgeValue = trim($purgeValue); goto fdeb2; A7a44: F4162: goto e6b27; e6b27: $varnishCacheClient->purgeUrl($purgeValue); goto c4033; d3a60: } goto D8b77; F8643: $session = $request->getSession(); goto d3507; c03ad: aee04: goto cad11; Ed49f: goto b6e1f; goto a5dc8; E5a62: throw new \Exception("\x56\141\x72\156\x69\163\150\40\x43\x61\143\150\x65\40\123\145\164\164\151\x6e\x67\163\40\143\x61\x6e\156\157\x74\40\x62\x65\x20\x65\155\x70\164\171\x2e"); goto Ed49f; f306f: $siteEntity = $this->getSiteEntity($domainName); goto c4028; A8b15: if (false === empty($purgeValues) && true === isset($varnishCacheSettings["\163\145\162\x76\145\x72"]) && false === empty($varnishCacheSettings["\163\x65\162\x76\145\162"])) { goto Bccf7; } goto E5a62; d3507: $domainName = $site->getDomainName(); goto f306f; Dd2ff: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto c65b2; Df217: ba6cb: goto fe66c; dda69: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\x73\163", $this->translator->trans("\126\x61\162\156\x69\x73\150\40\103\x61\x63\150\x65\40\150\141\163\x20\x62\145\145\x6e\40\160\x75\162\147\145\x64\x2e")); goto F5164; a5dc8: Bccf7: goto C88f8; c65b2: $purgeValues = array_map("\x74\162\x69\155", array_filter(explode("\54", trim($form->get("\x76\x61\x6c\165\x65")->getData())))); goto A8b15; A75b9: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\x65\x73")); goto C05bf; C0d56: $eventData = ["\x73\x69\x74\x65" => $domainName, "\x76\141\154\165\145\163" => implode("\54", $purgeValues)]; goto D8a99; cad11: $user = $this->getUser(); goto Dd2ff; C88f8: $varnishCacheClient = new VarnishCacheClient(); goto C4c1a; F5164: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\164\145\x5f\166\141\162\x6e\x69\x73\x68\x5f\x63\x61\x63\x68\x65", ["\x64\x6f\x6d\x61\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto Df217; D8a99: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto dda69; D8b77: C3035: goto F5f9c; C05bf: goto ba6cb; goto c03ad; c4028: if (false === is_null($siteEntity)) { goto aee04; } goto A75b9; fe66c: return $response; goto D561a; F5f9c: b6e1f: goto C0d56; C4c1a: $varnishCacheClient->setServer($varnishCacheSettings["\x73\x65\162\x76\145\x72"]); goto d22c7; D561a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\x72", $this->translator->trans("\101\x6e\40\145\x72\x72\x6f\x72\x20\150\x61\x73\x20\157\143\x63\x75\x72\162\x65\144\54\40\145\x72\162\157\x72\40\x6d\145\163\x73\x61\147\145\72\x20\45\145\162\x72\157\162\x4d\145\163\x73\141\147\x65\45", ["\x25\145\162\162\x6f\x72\x4d\145\x73\x73\x61\147\x65\45" => $e->getMessage()])); } goto Ea545; Dfc8f: Cc01f: goto e1500; f8c0f: $this->formErrors = $this->getErrorMessages($form); goto a388c; D40ac: } public function purgeVarnishCache(Request $request) : Response { goto D7855; Df576: goto d7ca2; goto Cefcf; c25ba: return $response; goto f7f4c; Cefcf: a3318: goto fd334; D0502: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\x65\x73")); goto Df576; D7855: $site = $this->getSite($request); goto B4523; B4523: if (false === is_null($site)) { goto a3318; } goto D0502; e0106: return $response; goto f24c2; f24c2: d7ca2: goto c25ba; fd334: try { goto dcf16; E864b: be401: goto C220b; dcf16: $user = $this->getUser(); goto A03a9; d4ecf: $varnishCacheClient->setServer($varnishCacheSettings["\x73\145\x72\x76\145\x72"]); goto C9d24; Ae35d: $cacheTagPrefix = $varnishCacheSettings["\143\x61\143\150\x65\x54\141\x67\x50\x72\x65\x66\151\x78"]; goto D79e0; D79e0: $varnishCacheClient = new VarnishCacheClient(); goto d4ecf; C1084: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto a270a; a270a: $session->getFlashBag()->set("\x73\x75\x63\143\145\163\163", $this->translator->trans("\x56\x61\162\x6e\x69\163\x68\40\103\x61\143\x68\x65\x20\x68\141\x73\40\x62\145\x65\156\40\x70\165\x72\x67\x65\x64\56")); goto Fc16d; C220b: $eventData = ["\163\x69\x74\x65" => $domainName, "\160\x75\162\147\145" => "\146\165\154\x6c"]; goto C1084; D6171: $domainName = $site->getDomainName(); goto ce76a; ce76a: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto D3ed6; D3ed6: if (!(true === isset($varnishCacheSettings["\x73\145\x72\166\145\162"]) && true === isset($varnishCacheSettings["\x63\x61\143\x68\x65\124\x61\x67\120\x72\x65\x66\x69\170"]) && false === empty($varnishCacheSettings["\x63\141\143\x68\x65\124\141\x67\120\x72\x65\x66\x69\x78"]))) { goto be401; } goto Ae35d; A03a9: $session = $request->getSession(); goto D6171; C703c: $varnishCacheClient->purgeHost($domainName); goto E864b; C9d24: $varnishCacheClient->purgeTag($cacheTagPrefix); goto C703c; Fc16d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\162", $this->translator->trans("\x41\x6e\40\145\x72\162\157\162\40\150\x61\163\x20\x6f\x63\x63\165\x72\162\x65\x64\54\40\145\162\x72\157\162\x20\x6d\x65\163\163\141\x67\x65\72\x20\45\x65\x72\x72\x6f\x72\115\x65\163\x73\x61\147\145\x25", ["\x25\145\162\162\157\x72\115\145\x73\163\x61\147\x65\x25" => $e->getMessage()])); } goto e2e13; e2e13: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\164\145\x5f\x76\x61\x72\156\x69\163\x68\137\x63\x61\143\150\x65", ["\x64\157\x6d\x61\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto e0106; f7f4c: } public function vhost(Request $request) : Response { goto B3397; A96f6: return $response; goto c1594; B3397: $site = $this->getSite($request); goto D4037; b4b81: $oldVhostTemplate = $siteEntity->getVhostTemplate(); goto a3633; A61f0: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto B49a4; } goto ce5ca; Ef76e: B49a4: goto A3dac; d04c4: $vhostTemplate = trim($request->get("\166\x68\x6f\163\x74\55\164\x65\x6d\160\x6c\x61\164\x65")); goto Cb6a1; de626: goto b3ca3; goto Cca5a; D7145: if (!(false === is_null($response))) { goto c124b; } goto A96f6; Ba3b0: throw new InvalidCsrfTokenException("\x54\150\x65\x20\x43\x53\x52\106\40\164\157\153\x65\x6e\x20\151\x73\40\151\156\x76\x61\x6c\x69\x64\56"); goto D323a; Be896: b3ca3: goto e24a9; e24a9: return $response; goto C48fe; e5d82: $domainName = $site->getDomainName(); goto eb3d6; D323a: fbd52: goto d04c4; eb3d6: $siteEntity = $this->getSiteEntity($domainName); goto b4b81; e9b0f: if (!(false === $isCsrfTokenValid)) { goto fbd52; } goto Ba3b0; c54f9: $response = $this->handleVhostUpdate($request, $site, $siteEntity, $oldVhostTemplate); goto D7145; c4753: A9793: goto Ef76e; Cb6a1: if (!(false === empty($vhostTemplate))) { goto A9793; } goto e5d82; c1594: c124b: goto c4753; Cca5a: E0d06: goto A61f0; D4037: if (false === is_null($site)) { goto E0d06; } goto F966c; ce5ca: $isCsrfTokenValid = $this->isCsrfTokenValid("\166\x68\x6f\163\x74\x2d\x75\x70\x64\141\x74\145", (string) $request->get("\164\x6f\x6b\145\156")); goto e9b0f; A3dac: $response = $this->render("\x46\x72\x6f\156\x74\145\x6e\144\x2f\x53\x69\x74\x65\57\166\150\157\163\x74\x2e\x68\x74\155\x6c\56\x74\x77\151\x67", ["\163\151\x74\145" => $site]); goto Be896; a3633: $site->setVhostTemplate($vhostTemplate); goto c54f9; F966c: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\x74\x65\x73")); goto de626; C48fe: } private function handleVhostUpdate(Request $request, Site $site, SiteEntity $siteEntity, string $oldVhostTemplate) { try { goto dcd83; ab275: throw new InvalidVhostException("\144\151\163\x61\142\x6c\145\x5f\163\x79\155\154\x69\x6e\153\x73\40\151\x73\x20\x6e\x6f\164\x20\x61\x6c\154\157\x77\x65\x64\x2e"); goto b030f; ee525: $eventData = ["\x73\x69\164\145" => $domainName, "\166\150\157\x73\164" => $vhostTemplate, "\x6f\154\x64\126\150\157\x73\164" => $oldVhostTemplate]; goto ec2f5; b030f: f9a40: goto A083e; A083e: $domainName = $site->getDomainName(); goto A868e; cfbb5: if (!(true === str_contains($site->getVhostTemplate(), "\x64\151\x73\x61\142\154\x65\x5f\x73\171\155\154\151\x6e\153\x73"))) { goto f9a40; } goto ab275; F41ed: $siteUpdater = $this->getSiteUpdater($site); goto bed3b; bed3b: $siteUpdater->updateNginxVhostWithRollback(); goto E9f7f; Ab9f4: $session->getFlashBag()->set("\163\165\x63\143\x65\163\x73", $this->translator->trans("\x56\x68\x6f\163\x74\x20\150\141\x73\x20\x62\145\145\156\40\163\141\x76\x65\x64\56")); goto ee525; ec2f5: EventQueue::addEvent(EventQueue::EVENT_SITE_VHOST_UPDATE, $user, $eventData, $request); goto F567b; B15a3: $this->siteEntityManager->updateEntity($siteEntity); goto Ab9f4; A868e: $vhostTemplate = $site->getVhostTemplate(); goto F41ed; B1bdc: $session = $request->getSession(); goto cfbb5; E9f7f: $siteEntity->setVhostTemplate($vhostTemplate); goto B15a3; F567b: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\164\145\137\166\150\157\x73\164", ["\144\x6f\x6d\141\151\x6e\x4e\141\x6d\145" => $domainName])); goto A7dcf; dcd83: $user = $this->getUser(); goto B1bdc; A7dcf: return $response; goto D32d0; D32d0: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\x61\156\x67\145\x72", $this->translator->trans("\x56\x68\157\x73\164\x20\x69\x73\x20\156\x6f\164\x20\x76\141\154\x69\144\54\x20\x65\x72\x72\157\x72\40\155\145\x73\163\141\x67\145\x3a\40\x25\145\162\162\157\x72\115\145\x73\163\141\147\145\45", ["\45\145\162\x72\157\x72\115\x65\163\163\x61\147\145\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\162", $this->translator->trans("\101\x6e\x20\x65\x72\x72\157\x72\x20\x68\141\x73\x20\x6f\x63\143\x75\162\162\x65\x64\54\40\x65\x72\x72\x6f\162\x20\155\x65\x73\163\x61\x67\x65\x3a\40\45\x65\x72\x72\157\162\115\145\163\x73\x61\147\145\45", ["\x25\145\x72\x72\157\162\x4d\x65\x73\163\141\147\145\x25" => $e->getMessage()])); } } public function settings(Request $request) : Response { goto c3b2c; Caaa7: $siteDeleteData = ["\x64\157\155\141\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()]; goto Ab5e8; c3b2c: $site = $this->getSite($request); goto B04a8; Be9ae: c2a58: goto E17c4; B04a8: if (false === is_null($site)) { goto A4140; } goto C4a88; b5922: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto Db921; } goto E9f13; b8947: A5418: goto a5dd9; B8cc7: $currentPhpSettings = clone $phpSettings; goto Ae836; Fdbdb: f7c42: goto Fdbf5; b01d9: $pageSpeedSettingsForm = $this->createPageSpeedSettingsForm($site, $pageSpeedSettingsData); goto c02e7; bcd38: if (!(SiteEntity::TYPE_REVERSE_PROXY == $site->getType())) { goto E7f91; } goto E948d; Ab5e8: $pageSpeedSettingsData = ["\151\163\105\x6e\x61\142\154\145\x64" => $site->getPageSpeedEnabled(), "\163\145\x74\x74\151\x6e\x67\163" => $site->getPageSpeedSettings()]; goto F796b; Bbadb: $response = null; goto e82dc; b1020: return $response; goto a8037; b856d: cd7da: goto bcd38; a2899: $currentNodeSettings = clone $nodejsSettings; goto d46b9; eb733: $domainSettingsData = ["\x64\157\155\141\151\x6e\x4e\141\155\145" => $site->getDomainName(), "\x72\157\157\164\104\x69\162\145\x63\164\157\162\171" => $site->getRootDirectory()]; goto D8a5c; E7634: return $response; goto b59e2; F3fed: $nodejsSettingsForm = $this->createNodejsSettingsForm($site, $nodejsSettings); goto f7375; b014d: if (!(false === is_null($response))) { goto B4d83; } goto E7634; A594e: $phpSettingsForm = $this->createPhpSettingsForm($site, $phpSettings); goto b44ff; Ae453: goto fca46; goto b300f; addc3: Ad1c6: goto C3cdb; E948d: $reverseProxySettingsForm = $this->createReverseProxySettingsForm($site); goto b5922; Fdbf5: if (!(SiteEntity::TYPE_PYTHON == $site->getType())) { goto cd7da; } goto d769f; Da8e3: if (!(true === $reverseProxySettingsForm->isSubmitted())) { goto Edfb3; } goto d73bd; b9b15: de19d: goto e2ac1; D7b08: $response = $this->handleSiteUserSettingsForm($request, $siteUserSettingsForm, $site); goto b51b8; e8fdc: Edfb3: goto b4cf6; d6b83: return $response; goto A44d8; B80b9: $parameters["\162\145\x76\145\162\163\x65\120\162\157\x78\x79\x53\x65\164\164\x69\x6e\x67\163\106\157\162\155"] = $reverseProxySettingsForm->createView(); goto c29c0; E17c4: if (!(false === is_null($response))) { goto D0429; } goto b906d; Df68f: $parameters = ["\163\151\164\145" => $site, "\x64\x6f\x6d\x61\x69\156\123\145\164\164\151\156\x67\x73\106\x6f\162\x6d" => $domainSettingsForm->createView(), "\163\151\x74\145\x55\x73\145\162\123\145\x74\x74\151\x6e\x67\163\x46\x6f\162\155" => $siteUserSettingsForm->createView(), "\x70\x61\x67\x65\123\160\145\x65\144\123\x65\164\164\x69\156\147\x73\x46\x6f\162\155" => $pageSpeedSettingsForm->createView(), "\163\151\x74\145\x44\145\154\x65\164\145\x46\157\x72\155" => $siteDeleteForm->createView()]; goto B2864; A9da3: $parameters["\x70\171\x74\150\157\x6e\x53\145\x74\x74\x69\x6e\x67\x73\106\x6f\162\155"] = $pythonSettingsForm->createView(); goto b856d; d769f: $pythonSettings = $site->getPythonSettings(); goto a13b0; A5a5f: $response = $this->handlePhpSettingsForm($request, $phpSettingsForm, $currentPhpSettings, $site); goto D7865; c21cc: $domainSettingsForm->handleRequest($request); goto d6075; b81cc: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto Cca58; } goto ec2cf; C4a88: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\x74\x65\x73")); goto Ae453; a8037: cabfe: goto db729; B2864: if (!(SiteEntity::TYPE_NODEJS == $site->getType())) { goto Ad1c6; } goto c7b2e; d6075: $siteUserSettingsForm->handleRequest($request); goto da2f2; b4cf6: Db921: goto B80b9; ce1c3: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto ad218; } goto c21cc; e38b1: F58f7: goto aca79; e0f28: Cd5eb: goto f0495; aa9bf: cc827: goto e38b1; Ae836: $phpSettingsForm->handleRequest($request); goto B7f68; a13b0: $pythonSettingsForm = $this->createPythonSettingsForm($site, $pythonSettings); goto b81cc; E9f13: $reverseProxySettingsForm->handleRequest($request); goto Da8e3; bbc42: Cca58: goto A9da3; B7f68: if (!(true === $phpSettingsForm->isSubmitted())) { goto a4755; } goto A5a5f; b21ab: ecd7b: goto F2070; c4b12: ad218: goto Df68f; e7dff: if (!(true === $nodejsSettingsForm->isSubmitted())) { goto cc827; } goto db9ec; bf3c5: if (!(false === is_null($response))) { goto A5418; } goto Af1b2; c0f8e: return $response; goto Eb08b; e82dc: if (!(true === $domainSettingsForm->isSubmitted())) { goto Cd5eb; } goto Dc038; c29c0: unset($parameters["\x70\x61\x67\145\123\x70\x65\145\x64\123\x65\164\x74\151\156\x67\x73\106\x6f\x72\x6d"]); goto f6da0; b51b8: e4e85: goto A9d66; F2070: if (!(true === $siteDeleteForm->isSubmitted())) { goto c2a58; } goto Aefe9; e8678: $response = $this->handlePageSpeedSettingsForm($request, $pageSpeedSettingsForm, $site); goto b21ab; e2ac1: $parameters["\160\150\x70\x53\x65\164\164\151\156\x67\163\106\x6f\162\x6d"] = $phpSettingsForm->createView(); goto Fdbdb; ffc5e: $pageSpeedSettingsForm->handleRequest($request); goto Bbadb; Af1b2: return $response; goto b8947; Ca35e: if (!(true === $pythonSettingsForm->isSubmitted())) { goto ebc6a; } goto Bdbaa; a5dd9: ebc6a: goto bbc42; c02e7: $siteDeleteForm = $this->createSiteDeleteForm($site, $siteDeleteData); goto ce1c3; aca79: $parameters["\x6e\157\x64\145\152\x73\123\x65\x74\164\x69\x6e\147\163\x46\x6f\162\x6d"] = $nodejsSettingsForm->createView(); goto Cfc2f; Aefe9: $response = $this->handleSiteDeleteForm($request, $siteDeleteForm, $site); goto Be9ae; Bdbaa: $response = $this->handlePythonSettingsForm($request, $pythonSettingsForm, $site); goto bf3c5; A9d66: if (!(true === $pageSpeedSettingsForm->isSubmitted())) { goto ecd7b; } goto e8678; Cfc2f: unset($parameters["\160\x61\147\145\x53\x70\x65\x65\144\x53\145\164\x74\151\x6e\147\x73\x46\157\x72\155"]); goto addc3; Aaa0e: $phpSettings = $site->getPhpSettings(); goto A594e; a48c9: if (!(false === is_null($response))) { goto Ebd0d; } goto c0f8e; f7375: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto F58f7; } goto a2899; B33ff: $response = $this->render("\106\x72\157\156\164\145\156\x64\x2f\123\151\x74\145\x2f\163\x65\x74\164\151\x6e\x67\163\56\150\x74\x6d\154\56\x74\167\x69\x67", $parameters); goto E18b5; C3cdb: if (!(SiteEntity::TYPE_PHP == $site->getType())) { goto f7c42; } goto Aaa0e; a220c: D0429: goto c4b12; f0495: if (!(true === $siteUserSettingsForm->isSubmitted())) { goto e4e85; } goto D7b08; Dc038: $response = $this->handleDomainSettingsForm($request, $domainSettingsForm, $site); goto e0f28; b300f: A4140: goto eb733; b44ff: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto de19d; } goto B8cc7; E8f4f: $siteUserSettingsForm = $this->createSiteUserSettingsForm($site, $siteUserSettingsData); goto b01d9; b59e2: B4d83: goto e8fdc; Eb08b: Ebd0d: goto aa9bf; b906d: return $response; goto a220c; db9ec: $response = $this->handleNodejsSettingsForm($request, $nodejsSettingsForm, $currentNodeSettings, $site); goto a48c9; da2f2: $siteDeleteForm->handleRequest($request); goto ffc5e; c86d8: $parameters["\146\157\162\x6d\105\162\162\157\x72\x73"] = $this->formErrors; goto B33ff; D7865: if (!(false === is_null($response))) { goto cabfe; } goto b1020; d73bd: $response = $this->handleReverseProxySettingsForm($request, $reverseProxySettingsForm, $site); goto b014d; f6da0: E7f91: goto c86d8; db729: a4755: goto b9b15; ec2cf: $pythonSettingsForm->handleRequest($request); goto Ca35e; E18b5: fca46: goto d6b83; D8a5c: $siteUserSettingsData = ["\x73\x69\x74\145\125\x73\x65\162" => $site->getUser(), "\163\x73\x68\x4b\x65\x79\163" => $site->getSshKeys()]; goto Caaa7; d46b9: $nodejsSettingsForm->handleRequest($request); goto e7dff; c7b2e: $nodejsSettings = $site->getNodejsSettings(); goto F3fed; F796b: $domainSettingsForm = $this->createDomainSettingsForm($site, $domainSettingsData); goto E8f4f; A44d8: } public function purgePageSpeedCache(Request $request) : Response { goto ee1e1; Dd401: Cdeb3: goto A3df4; A2575: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\164\x65\x73")); goto Fe421; A3df4: try { goto A7172; E1c07: $siteUpdater->purgePageSpeedCache(); goto b96a1; b96a1: $eventData = ["\x73\151\x74\x65" => $site->getDomainName()]; goto a7074; ad222: $session->getFlashBag()->set("\x73\165\143\143\x65\x73\x73", $this->translator->trans("\x50\141\147\x65\x20\x53\160\145\145\x64\40\103\141\143\x68\x65\40\x68\x61\x73\x20\x62\x65\145\156\40\160\165\x72\147\x65\144\56")); goto ef704; c45c1: $siteUpdater = $this->getSiteUpdater($site); goto E1c07; A7172: $user = $this->getUser(); goto a62ab; a62ab: $session = $request->getSession(); goto c45c1; a7074: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_CACHE_PURGE, $user, $eventData, $request); goto ad222; ef704: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\162", $this->translator->trans("\x41\x6e\40\145\162\x72\x6f\x72\x20\150\x61\163\40\x6f\143\143\165\x72\162\145\144\x2c\40\145\x72\x72\157\x72\40\x6d\145\163\x73\x61\147\145\x3a\x20\x25\x65\162\x72\157\162\x4d\145\x73\163\141\x67\x65\x25", ["\45\x65\162\x72\x6f\x72\115\x65\x73\163\141\x67\145\x25" => $e->getMessage()])); } goto A8a28; E8018: B7ef5: goto F8097; F8097: return $response; goto Dbd9d; C0166: if (false === is_null($site)) { goto Cdeb3; } goto A2575; Fe421: goto B7ef5; goto Dd401; B349a: return $response; goto E8018; ee1e1: $site = $this->getSite($request); goto C0166; A8a28: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\x69\164\x65\x5f\163\145\164\x74\x69\156\147\163", ["\144\157\155\x61\x69\156\116\141\x6d\x65" => $site->getDomainName()])); goto B349a; Dbd9d: } private function createDomainSettingsForm(Site $site, array $data) : Form { goto E5ce0; e3f52: $form->add("\163\x75\142\155\x69\164", SubmitType::class, ["\x61\x74\x74\162" => ["\143\x6c\x61\163\163" => "\x62\164\156\40\142\164\x6e\55\x62\154\x75\x65\40\142\164\x6e\55\154\147"], "\x6c\141\142\x65\154" => "\x53\x61\166\145"]); goto f6c26; f6c26: return $form; goto aa5db; E5ce0: $form = $this->createForm("\x41\x70\160\x5c\106\157\162\x6d\x5c\x53\x69\164\145\104\x6f\155\x61\x69\156\123\x65\164\164\151\156\x67\163\124\x79\160\x65", $data, ["\x61\x63\x74\x69\x6f\156" => $this->generateUrl("\x63\x6c\160\x5f\163\151\164\145\137\x73\145\164\164\151\x6e\x67\x73", ["\144\x6f\155\141\151\156\x4e\x61\155\145" => $site->getDomainName()]), "\155\145\164\150\157\144" => "\120\x4f\x53\124", "\x61\x74\164\x72" => []]); goto e3f52; aa5db: } private function createSiteUserSettingsForm(Site $site, array $data) : Form { goto D021a; B89aa: return $form; goto E6844; D021a: $form = $this->createForm("\101\160\160\134\x46\157\x72\155\134\123\x69\164\x65\x55\x73\x65\162\123\145\164\x74\x69\x6e\147\x73\x54\171\x70\145", $data, ["\x61\143\164\151\x6f\x6e" => $this->generateUrl("\143\154\160\x5f\x73\151\164\x65\137\x73\145\164\164\x69\x6e\147\x73", ["\x64\x6f\x6d\x61\151\156\116\x61\x6d\145" => $site->getDomainName()]), "\x6d\145\164\x68\x6f\144" => "\x50\x4f\x53\124", "\x61\x74\164\x72" => []]); goto Ccebc; Ccebc: $form->add("\163\165\x62\x6d\x69\x74", SubmitType::class, ["\x61\164\164\x72" => ["\x63\x6c\x61\x73\x73" => "\142\164\156\x20\142\164\156\55\142\154\165\145\40\x62\x74\x6e\x2d\154\147"], "\154\141\x62\145\154" => "\x53\141\166\x65"]); goto B89aa; E6844: } private function createPageSpeedSettingsForm(Site $site, array $data) : Form { goto b6eae; Fa5c3: return $form; goto A380e; b6eae: $form = $this->createForm("\101\x70\160\134\x46\157\x72\155\134\123\x69\x74\145\120\141\147\x65\x53\x70\x65\x65\x64\123\145\164\164\x69\156\147\163\124\171\x70\145", $data, ["\x61\143\164\151\157\x6e" => $this->generateUrl("\x63\154\x70\x5f\163\151\164\145\137\163\x65\164\164\x69\156\x67\x73", ["\144\157\x6d\141\151\x6e\116\141\x6d\145" => $site->getDomainName()]), "\155\145\x74\x68\157\144" => "\120\117\123\124", "\141\164\x74\162" => []]); goto D6a8a; D6a8a: $form->add("\x73\165\x62\x6d\151\x74", SubmitType::class, ["\141\164\x74\162" => ["\143\154\x61\163\163" => "\x62\164\156\x20\142\164\x6e\55\142\154\x75\x65\x20\142\x74\156\55\x6c\147"], "\154\141\142\x65\x6c" => "\x53\141\x76\145"]); goto Fa5c3; A380e: } private function createReverseProxySettingsForm(Site $site) : Form { goto Eb53d; e6e9b: return $form; goto A8106; Db99a: $form->add("\x73\x75\142\x6d\x69\164", SubmitType::class, ["\141\x74\164\x72" => ["\143\x6c\x61\x73\x73" => "\x62\164\156\x20\142\x74\x6e\x2d\x62\154\165\x65\40\x62\164\156\x2d\154\147"], "\154\141\x62\x65\x6c" => "\123\141\166\x65"]); goto e6e9b; Eb53d: $data = ["\162\x65\x76\145\162\x73\145\120\x72\x6f\170\171\x55\162\154" => $site->getReverseProxyUrl()]; goto Eba40; Eba40: $form = $this->createForm("\x41\x70\x70\134\106\157\162\155\134\123\151\164\x65\x52\145\166\x65\162\163\x65\120\x72\157\170\171\x53\x65\164\x74\151\x6e\x67\163\124\171\x70\x65", $data, ["\x61\143\164\151\157\x6e" => $this->generateUrl("\143\154\x70\137\163\x69\x74\145\137\x73\145\164\x74\151\x6e\x67\163", ["\144\157\155\141\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()]), "\155\x65\164\x68\x6f\144" => "\120\x4f\123\124", "\x61\x74\x74\162" => ["\x69\144" => "\x72\x65\x76\x65\x72\x73\x65\x2d\x70\x72\157\x78\x79\x2d\x73\x65\164\164\x69\x6e\x67\163\55\146\157\x72\x6d"]]); goto Db99a; A8106: } private function createNodejsSettingsForm(Site $site, NodejsSettings $nodejsSettings) : Form { goto ae63b; d0893: $form->add("\163\x75\142\155\151\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\x63\x6c\x61\x73\x73" => "\x62\x74\156\x20\x62\164\x6e\x2d\142\154\165\145\x20\142\164\x6e\x2d\x6c\x67"], "\x6c\141\142\x65\154" => "\123\x61\166\145"]); goto Bda9c; Bda9c: return $form; goto d0a26; ae63b: $form = $this->createForm("\101\x70\x70\134\x46\157\162\x6d\134\x53\151\x74\x65\x4e\157\x64\x65\152\x73\123\x65\164\164\x69\x6e\x67\x73\x54\x79\160\x65", $nodejsSettings, ["\x61\x63\x74\x69\x6f\x6e" => $this->generateUrl("\x63\154\160\137\x73\x69\164\145\x5f\163\145\164\x74\151\x6e\147\163", ["\144\x6f\x6d\x61\151\x6e\116\x61\x6d\x65" => $site->getDomainName()]), "\155\x65\x74\150\157\x64" => "\120\x4f\x53\x54", "\141\164\x74\x72" => ["\x69\144" => "\x6e\157\x64\x65\152\163\55\x73\x65\x74\x74\151\156\x67\x73\55\146\157\162\155"]]); goto d0893; d0a26: } private function createPhpSettingsForm(Site $site, PhpSettings $phpSettings) : Form { goto ca515; Eeaa3: return $form; goto ffe05; Fb0c2: $form->add("\x73\165\x62\x6d\151\164", SubmitType::class, ["\x61\164\164\x72" => ["\143\154\x61\x73\163" => "\x62\164\156\40\x62\x74\156\55\x62\x6c\165\145\x20\x62\x74\156\55\154\x67"], "\x6c\141\x62\145\154" => "\x53\x61\x76\x65"]); goto Eeaa3; ca515: $form = $this->createForm("\101\x70\160\x5c\x46\x6f\162\x6d\x5c\123\151\164\145\120\150\x70\123\x65\x74\164\151\x6e\x67\x73\x54\171\x70\145", $phpSettings, ["\x61\143\x74\x69\157\156" => $this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\x65\137\163\x65\x74\164\151\156\x67\x73", ["\144\x6f\155\141\x69\x6e\x4e\141\x6d\x65" => $site->getDomainName()]), "\155\145\x74\150\x6f\144" => "\120\117\123\124", "\141\164\x74\x72" => []]); goto Fb0c2; ffe05: } private function createPythonSettingsForm(Site $site, PythonSettings $pythonSettings) : Form { goto b4c2e; b4c2e: $form = $this->createForm("\101\160\x70\x5c\x46\x6f\162\x6d\x5c\123\x69\164\x65\120\171\x74\150\x6f\x6e\x53\145\x74\164\151\156\x67\x73\124\171\160\145", $pythonSettings, ["\141\143\x74\x69\157\156" => $this->generateUrl("\x63\x6c\x70\x5f\163\151\x74\145\137\163\145\x74\164\151\156\x67\163", ["\x64\157\x6d\141\x69\x6e\x4e\141\155\145" => $site->getDomainName()]), "\155\145\164\150\157\144" => "\120\x4f\x53\124", "\x61\x74\164\162" => []]); goto D1ebb; e16f6: return $form; goto ba227; D1ebb: $form->add("\163\x75\x62\x6d\151\x74", SubmitType::class, ["\x61\x74\164\x72" => ["\x63\x6c\141\163\x73" => "\142\x74\156\40\142\164\156\55\142\154\x75\145\40\x62\164\156\55\x6c\x67"], "\154\x61\x62\145\x6c" => "\x53\141\166\x65"]); goto e16f6; ba227: } private function createSiteDeleteForm(Site $site, array $data) : Form { goto D83c1; D83c1: $form = $this->createForm("\101\160\x70\134\x46\157\162\155\134\123\151\x74\145\x44\x65\x6c\x65\164\x65\124\x79\160\x65", $data, ["\141\143\164\x69\x6f\x6e" => $this->generateUrl("\143\154\160\x5f\163\151\x74\145\137\163\x65\164\164\x69\156\x67\163", ["\144\157\155\x61\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()]), "\155\x65\x74\150\x6f\144" => "\120\117\123\124", "\x61\164\x74\x72" => []]); goto ace47; Ec386: return $form; goto efbbc; ace47: $form->add("\x73\x75\x62\x6d\x69\164", SubmitType::class, ["\141\164\164\162" => ["\143\x6c\141\x73\x73" => "\x62\x74\156\40\x62\164\x6e\55\142\154\165\x65\x20\x62\x74\156\x2d\x6c\x67", "\144\151\163\141\x62\154\145\x64" => "\x64\151\163\141\x62\154\145\x64"], "\154\x61\x62\145\154" => "\104\145\x6c\x65\x74\x65\x20\x53\x69\164\145"]); goto Ec386; efbbc: } private function handleDomainSettingsForm(Request $request, Form $form, Site $site) { goto F77ff; Cefb4: b2581: goto Bb2ce; Eea0b: try { goto A196f; Cb76c: $siteEntity->setRootDirectory($rootDirectory); goto a6366; bd1d8: return $response; goto Bc476; e5e95: $session = $request->getSession(); goto E410e; f26b2: $siteUpdater->domainSettings(); goto F351f; D2614: $site->setRootDirectory($rootDirectory); goto Cb76c; E410e: $domainName = $site->getDomainName(); goto C3885; f732c: EventQueue::addEvent(EventQueue::EVENT_SITE_ROOT_DIRECTORY_UPDATE, $user, $eventData, $request); goto Ee6a6; D7c40: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\151\x74\145\137\163\145\x74\x74\x69\156\147\163", ["\x64\x6f\155\141\151\156\116\141\x6d\x65" => $site->getDomainName()])); goto bd1d8; A196f: $user = $this->getUser(); goto e5e95; Ee6a6: $session->getFlashBag()->set("\163\165\x63\x63\x65\x73\163", $this->translator->trans("\122\x6f\157\x74\x20\x44\x69\x72\x65\143\x74\x6f\162\171\40\150\141\163\x20\142\145\145\156\x20\x73\x61\166\145\x64\x2e")); goto d7a21; d7a21: ded54: goto D7c40; F351f: $eventData = ["\x73\151\x74\x65" => $domainName, "\x72\x6f\157\x74\x44\x69\x72\x65\143\164\x6f\162\x79" => $rootDirectory]; goto f732c; e428d: $rootDirectory = rtrim($form->get("\162\157\x6f\164\x44\x69\x72\x65\x63\x74\157\162\x79")->getData(), "\57"); goto D2614; C3885: $siteEntity = $this->getSiteEntity($domainName); goto Ea316; Be545: $siteUpdater = $this->getSiteUpdater($site); goto f26b2; Ea316: if (!(false === is_null($siteEntity))) { goto ded54; } goto e428d; a6366: $this->siteEntityManager->updateEntity($siteEntity); goto Be545; Bc476: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\x20\x65\162\162\157\x72\40\150\141\x73\40\157\x63\143\165\x72\162\145\144\x2c\40\x65\162\x72\x6f\162\x20\155\145\x73\x73\141\x67\145\x3a\40\x25\x65\x72\x72\x6f\x72\x4d\x65\x73\163\x61\147\x65\45", ["\x25\145\x72\x72\157\162\115\145\x73\163\x61\x67\x65\45" => $e->getMessage()])); } goto Cefb4; D8218: cbb6c: goto Eea0b; F77ff: if (true === $form->isValid()) { goto cbb6c; } goto A1116; A1116: $this->formErrors = $this->getErrorMessages($form); goto A7c59; A7c59: goto b2581; goto D8218; Bb2ce: } private function handleSiteUserSettingsForm(Request $request, Form $form, Site $site) { goto Fbbce; Fbbce: if (true === $form->isValid()) { goto d5f2b; } goto a1ecf; f0257: goto d0f19; goto fc468; f2d78: try { goto D6c8a; D2c6a: $session->getFlashBag()->set("\x73\165\143\143\145\163\163", $this->translator->trans("\123\x69\x74\x65\x20\x55\x73\145\162\x20\x53\x65\x74\x74\x69\156\147\x73\40\x68\x61\166\x65\40\142\145\x65\156\x20\x73\x61\166\x65\144\56")); goto F81b3; C5b03: $siteEntity->setSshKeys($sshKeys); goto b6c53; d2867: $eventData = ["\163\151\x74\145" => $domainName, "\163\x73\150\x4b\x65\171\163" => $sshKeys]; goto b1c0d; Bc6b7: $siteEntity = $this->getSiteEntity($domainName); goto f9c54; b6c53: $this->siteEntityManager->updateEntity($siteEntity); goto a74bb; d0d1c: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\x74\x65\x5f\163\x65\164\164\x69\x6e\147\163", ["\144\x6f\155\x61\x69\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto c6186; D6c8a: $user = $this->getUser(); goto ae03b; a74bb: $siteUpdater = $this->getSiteUpdater($site); goto B654b; e478d: $domainName = $site->getDomainName(); goto Bc6b7; ef942: $password = trim($form->get("\x70\x61\163\x73\x77\x6f\162\144")->getData()); goto C5b03; F81b3: f86b5: goto d0d1c; caa73: if (!(false === empty($password))) { goto f9e40; } goto a1b35; a1b35: $siteUpdater->changeUserPassword($siteUser, $password); goto C6892; b1c0d: EventQueue::addEvent(EventQueue::EVENT_SITE_USER_SETTINGS_UPDATE, $user, $eventData, $request); goto D2c6a; C6892: f9e40: goto d2867; ae03b: $session = $request->getSession(); goto e478d; Fa9ad: $siteUser = $site->getUser(); goto Bbb42; f9c54: if (!(false === is_null($siteEntity))) { goto f86b5; } goto Fa9ad; B654b: $siteUpdater->updateUserSShKeys($siteUser, $sshKeys); goto caa73; c6186: return $response; goto E20de; Bbb42: $sshKeys = trim($form->get("\x73\163\150\x4b\x65\x79\x73")->getData()); goto ef942; E20de: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\162", $this->translator->trans("\x41\x6e\x20\x65\x72\162\x6f\162\x20\150\141\x73\40\x6f\143\143\x75\162\162\145\x64\x2c\40\x65\162\x72\x6f\x72\x20\155\x65\163\x73\x61\147\145\x3a\x20\45\x65\162\x72\x6f\x72\x4d\x65\x73\x73\141\147\145\45", ["\x25\x65\x72\162\x6f\162\x4d\x65\x73\163\141\x67\145\x25" => $e->getMessage()])); } goto B44df; B44df: d0f19: goto f33f5; fc468: d5f2b: goto f2d78; a1ecf: $this->formErrors = $this->getErrorMessages($form); goto f0257; f33f5: } private function handlePageSpeedSettingsForm(Request $request, Form $form, Site $site) { goto e1aa3; c0228: goto caf3b; goto C0387; e1aa3: if (true === $form->isValid()) { goto Fe91e; } goto f6d8e; B9c46: try { goto C49b2; A4c14: $siteEntity->setPageSpeedSettings($settings); goto A6cc8; a1c72: $settings = trim($form->get("\x73\145\164\164\x69\x6e\x67\x73")->getData()); goto E4afd; c1b3d: $eventData = ["\163\151\164\x65" => $domainName, "\160\141\x67\x65\123\x70\x65\145\144\105\x6e\x61\142\154\x65\144" => $isEnabled, "\160\x61\x67\x65\123\x70\145\145\144\123\145\x74\x74\x69\156\x67\163" => $settings]; goto a9fa9; ae09d: $siteEntity->setPageSpeedEnabled($isEnabled); goto A4c14; bb94e: $isEnabled = $form->get("\151\x73\105\x6e\x61\142\x6c\x65\x64")->getData(); goto a1c72; b09d2: $siteUpdater->purgePageSpeedCache(); goto ae09d; C49b2: $user = $this->getUser(); goto d6a0d; c3958: $site->setPageSpeedSettings($settings); goto B7edb; A6cc8: $this->siteEntityManager->updateEntity($siteEntity); goto c1b3d; B85f4: $siteUpdater->updateNginxVhostWithRollback(); goto b09d2; d6a0d: $session = $request->getSession(); goto bc363; E4afd: $site->setPageSpeedEnabled($isEnabled); goto c3958; bc363: $domainName = $site->getDomainName(); goto acc35; acc35: $siteEntity = $this->getSiteEntity($domainName); goto F1da2; D5fc1: B7869: goto e8743; F1da2: if (!(false === is_null($siteEntity))) { goto B7869; } goto bb94e; a9fa9: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_SETTINGS_UPDATE, $user, $eventData, $request); goto c6628; B7edb: $siteUpdater = $this->getSiteUpdater($site); goto B85f4; e8743: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\x74\145\137\163\x65\x74\x74\151\156\x67\163", ["\x64\x6f\155\141\151\156\116\x61\x6d\x65" => $site->getDomainName()])); goto b1640; c6628: $session->getFlashBag()->set("\163\165\143\x63\x65\163\163", $this->translator->trans("\120\141\147\x65\x20\123\160\145\x65\x64\40\x53\145\x74\164\x69\156\147\x73\x20\x68\x61\166\145\x20\x62\x65\145\156\40\x73\x61\x76\145\x64\56")); goto D5fc1; b1640: return $response; goto E6e5c; E6e5c: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\144\x61\x6e\x67\145\x72", $this->translator->trans("\120\x61\x67\x65\123\x70\145\x65\144\x20\123\x65\x74\x74\x69\x6e\x67\40\141\x72\145\x20\156\157\x74\x20\166\141\x6c\x69\144\x2c\40\x65\x72\162\157\x72\40\x6d\145\163\163\141\147\x65\72\40\45\145\x72\x72\x6f\x72\x4d\145\163\x73\x61\x67\x65\x25", ["\45\x65\162\162\x6f\162\115\145\163\x73\141\147\145\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\162", $this->translator->trans("\x41\156\40\x65\x72\162\x6f\x72\x20\150\141\x73\40\x6f\x63\x63\165\162\x72\x65\144\54\40\x65\162\x72\x6f\x72\40\x6d\x65\x73\x73\x61\147\x65\72\40\45\x65\162\x72\x6f\162\x4d\145\163\x73\x61\x67\x65\45", ["\45\x65\162\x72\157\x72\x4d\x65\x73\163\x61\147\x65\45" => $e->getMessage()])); } goto dfdc6; C0387: Fe91e: goto B9c46; f6d8e: $this->formErrors = $this->getErrorMessages($form); goto c0228; dfdc6: caf3b: goto E4e9c; E4e9c: } private function handleSiteDeleteForm(Request $request, Form $form, Site $site) { goto e934d; ee369: facf2: goto bc93c; e934d: if (true === $form->isValid()) { goto af1bf; } goto C3861; C3861: $this->formErrors = $this->getErrorMessages($form); goto B7e6b; B7e6b: goto facf2; goto e49b1; eaa85: try { goto Da003; e0e9c: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\x69\164\x65\163")); goto F0745; C894c: if (!(false === is_null($siteEntity))) { goto E380a; } goto Eb85b; c8e1b: $siteEntity = $this->getSiteEntity($domainName); goto C894c; B0cb0: $domainName = $site->getDomainName(); goto c8e1b; Ad255: $session->getFlashBag()->set("\x73\x75\143\143\145\x73\x73", $this->translator->trans("\123\151\164\x65\x20\150\141\x73\40\142\x65\145\156\x20\144\x65\x6c\x65\x74\x65\x64\x2e")); goto Cd0bd; e495e: $eventData = ["\163\151\164\x65" => $domainName, "\164\x79\x70\145" => $site->getType()]; goto b4f57; Da003: $user = $this->getUser(); goto c609c; Eb85b: $siteDeleter = $this->getSiteDeleter($site); goto Cb3cf; Fa34b: $this->siteEntityManager->deleteEntity($siteEntity); goto e495e; Cb3cf: $siteDeleter->delete(); goto Fa34b; Cd0bd: E380a: goto e0e9c; F0745: return $response; goto Cae68; c609c: $session = $request->getSession(); goto B0cb0; b4f57: EventQueue::addEvent(EventQueue::EVENT_SITE_DELETE, $user, $eventData, $request); goto Ad255; Cae68: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\162", $this->translator->trans("\x41\x6e\40\x65\162\162\157\162\x20\150\x61\x73\40\x6f\143\x63\165\162\162\145\x64\x2c\x20\145\x72\162\x6f\x72\x20\155\x65\x73\163\x61\147\145\x3a\x20\x25\x65\x72\x72\157\x72\x4d\145\x73\x73\141\x67\145\x25", ["\x25\x65\162\162\x6f\162\115\x65\163\x73\x61\x67\145\45" => $e->getMessage()])); } goto ee369; e49b1: af1bf: goto eaa85; bc93c: } private function handleNodejsSettingsForm(Request $request, Form $form, NodejsSettings $currentNodejsSettings, Site $site) { goto Ea0cc; B746d: $this->formErrors = $this->getErrorMessages($form); goto Af6e8; acd52: c5885: goto a422a; a422a: try { goto Bc27c; D9a9f: if (!(false === is_null($siteEntity))) { goto E1dfd; } goto f4409; b2b70: E1dfd: goto Ae1ea; a4e4a: $this->siteEntityManager->updateEntity($siteEntity); goto c7c5c; d239b: $nodejsVersion = $nodejsSettings->getNodejsVersion(); goto d6bef; ed6f9: $domainName = $site->getDomainName(); goto Ef87d; Ee8ee: $session = $request->getSession(); goto ed6f9; Ef87d: $siteEntity = $this->getSiteEntity($domainName); goto D9a9f; f4409: $nodejsSettings = $form->getData(); goto d239b; Ae1ea: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\164\145\x5f\x73\x65\164\x74\151\156\x67\163", ["\x64\157\x6d\x61\x69\156\x4e\x61\155\x65" => $site->getDomainName()])); goto b132c; Bc27c: $user = $this->getUser(); goto Ee8ee; Fb17c: $siteUpdater = $this->getSiteUpdater($site); goto E14b7; c7c5c: $eventData = ["\163\x69\164\145" => $domainName, "\156\x6f\x64\x65\x6a\163\126\x65\162\163\151\157\x6e" => $nodejsVersion, "\160\x6f\162\164" => $nodejsSettings->getPort()]; goto d82f8; A4253: $siteUpdater->nodejsSettings(); goto a4e4a; d82f8: EventQueue::addEvent(EventQueue::EVENT_SITE_NODEJS_SETTINGS_UPDATE, $user, $eventData, $request); goto a28e1; a28e1: $session->getFlashBag()->set("\163\165\x63\143\145\163\163", $this->translator->trans("\116\157\144\x65\x2e\152\x73\40\123\145\x74\164\151\x6e\x67\x73\40\x68\x61\166\x65\x20\x62\x65\145\x6e\40\x73\x61\166\145\144\56")); goto b2b70; A24a0: ec823: goto A4253; d6bef: $hasNodejsVersionChanged = $currentNodejsSettings->getNodejsVersion() != $nodejsVersion; goto Fb17c; A8d1d: $siteUpdater->installNodejsVersion(); goto A24a0; b132c: return $response; goto cf2e5; E14b7: if (!(true === $hasNodejsVersionChanged)) { goto ec823; } goto A8d1d; cf2e5: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\x72", $this->translator->trans("\x41\x6e\40\145\162\162\x6f\x72\40\150\x61\x73\40\x6f\143\143\x75\x72\x72\x65\144\54\40\145\162\162\x6f\162\x20\155\x65\163\163\x61\147\145\x3a\x20\x25\x65\x72\x72\x6f\x72\x4d\x65\163\x73\x61\147\145\45", ["\45\x65\162\162\157\162\115\x65\163\x73\141\147\x65\45" => $e->getMessage()])); } goto ae0be; ae0be: d9a4d: goto f46f8; Ea0cc: if (true === $form->isValid()) { goto c5885; } goto B746d; Af6e8: goto d9a4d; goto acd52; f46f8: } private function handlePythonSettingsForm(Request $request, Form $form, Site $site) { goto c58d1; E6da7: de996: goto D9e2a; Faeab: Cd69e: goto c38f4; c58d1: if (true === $form->isValid()) { goto de996; } goto cf174; B63fc: goto Cd69e; goto E6da7; D9e2a: try { goto d7e45; ac898: $domainName = $site->getDomainName(); goto D7426; b4ef5: $siteUpdater->writePythonVersionFile(); goto b79e8; b79e8: $siteUpdater->pythonSettings(); goto D7fd1; F7cda: $siteUpdater = $this->getSiteUpdater($site); goto b4ef5; Bc7a1: $session->getFlashBag()->set("\x73\165\143\x63\x65\163\163", $this->translator->trans("\120\171\164\x68\x6f\156\x20\123\x65\164\x74\x69\156\147\163\x20\150\x61\x76\145\x20\142\x65\145\x6e\x20\x73\141\166\145\x64\56")); goto ac3fd; ec4f7: return $response; goto Df766; d7e45: $user = $this->getUser(); goto E4bcc; a2a71: if (!(false === is_null($siteEntity))) { goto E0d67; } goto A928c; db239: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\x74\145\137\x73\145\164\164\151\156\147\163", ["\x64\x6f\x6d\141\x69\x6e\116\141\155\x65" => $site->getDomainName()])); goto ec4f7; A928c: $pythonSettings = $form->getData(); goto c02b4; ac3fd: E0d67: goto db239; c02b4: $pythonVersion = $pythonSettings->getPythonVersion(); goto F7cda; C5add: $eventData = ["\x73\x69\164\145" => $domainName, "\x70\x79\x74\150\x6f\156\126\145\x72\163\x69\x6f\156" => $pythonVersion, "\x70\157\x72\x74" => $pythonSettings->getPort()]; goto Ae42d; Ae42d: EventQueue::addEvent(EventQueue::EVENT_SITE_PYTHON_SETTINGS_UPDATE, $user, $eventData, $request); goto Bc7a1; D7426: $siteEntity = $this->getSiteEntity($domainName); goto a2a71; D7fd1: $this->siteEntityManager->updateEntity($siteEntity); goto C5add; E4bcc: $session = $request->getSession(); goto ac898; Df766: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\162", $this->translator->trans("\101\x6e\40\145\x72\162\x6f\x72\40\x68\x61\x73\x20\157\143\x63\165\162\x72\x65\x64\x2c\x20\x65\x72\x72\157\162\40\155\145\x73\163\x61\147\x65\72\x20\45\145\162\162\157\x72\x4d\x65\163\163\x61\147\x65\45", ["\x25\x65\x72\x72\x6f\162\x4d\145\163\x73\141\x67\x65\45" => $e->getMessage()])); } goto Faeab; cf174: $this->formErrors = $this->getErrorMessages($form); goto B63fc; c38f4: } private function handleReverseProxySettingsForm(Request $request, Form $form, Site $site) { goto fb7f1; D3caf: C21e2: goto f9bc1; C5dba: goto C21e2; goto D6dc6; Fa31f: $this->formErrors = $this->getErrorMessages($form); goto C5dba; de5cc: try { goto B1a87; C9c70: $site->setReverseProxyUrl($reverseProxyUrl); goto Ed40d; Ba67d: $siteEntity = $this->getSiteEntity($domainName); goto B4605; Fdc8f: $siteUpdater = $this->getSiteUpdater($site); goto C6d8b; e13be: $domainName = $site->getDomainName(); goto Ba67d; bfd02: $session = $request->getSession(); goto e13be; Ed40d: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto Fdc8f; B92d0: return $response; goto ae5ff; bccfb: e0406: goto afbb5; e43ca: $this->siteEntityManager->updateEntity($siteEntity); goto Ab10e; C6d8b: $siteUpdater->updateNginxVhostWithRollback(); goto e43ca; afbb5: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\x74\145\137\163\x65\x74\164\151\156\x67\163", ["\144\x6f\x6d\141\x69\156\116\x61\155\145" => $site->getDomainName()])); goto B92d0; C635e: EventQueue::addEvent(EventQueue::EVENT_SITE_REVERSE_PROXY_SETTINGS_UPDATE, $user, $eventData, $request); goto e70db; B1a87: $user = $this->getUser(); goto bfd02; B4605: if (!(false === is_null($siteEntity))) { goto e0406; } goto A43d3; Ab10e: $eventData = ["\x73\x69\x74\145" => $domainName, "\162\145\x76\145\162\163\x65\x50\162\157\170\x79\125\162\154" => $reverseProxyUrl]; goto C635e; A43d3: $reverseProxyUrl = $form->get("\162\x65\166\x65\x72\163\145\120\162\x6f\170\171\x55\x72\x6c")->getData(); goto C9c70; e70db: $session->getFlashBag()->set("\x73\165\x63\x63\x65\x73\163", $this->translator->trans("\122\145\x76\x65\x72\x73\x65\40\120\162\x6f\x78\x79\x20\x53\145\x74\164\x69\x6e\x67\x73\x20\x68\141\x76\x65\40\x62\145\145\x6e\x20\x73\x61\x76\x65\144\x2e")); goto bccfb; ae5ff: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\162", $this->translator->trans("\x41\x6e\40\x65\x72\x72\157\x72\40\150\x61\x73\40\157\x63\x63\x75\162\x72\145\144\x2c\x20\x65\162\162\x6f\162\40\155\x65\163\x73\x61\147\145\x3a\x20\x25\x65\x72\162\x6f\162\115\145\x73\163\141\147\145\45", ["\45\x65\x72\162\x6f\162\x4d\145\x73\163\141\147\x65\45" => $e->getMessage()])); } goto D3caf; fb7f1: if (true === $form->isValid()) { goto C1d8a; } goto Fa31f; D6dc6: C1d8a: goto de5cc; f9bc1: } private function handlePhpSettingsForm(Request $request, Form $form, PhpSettings $currentPhpSettings, Site $site) { goto b6c7d; da0a3: e0b1b: goto bd761; b6c7d: if (true === $form->isValid()) { goto A32af; } goto C9401; F0aa4: A32af: goto F5dc7; C9401: $this->formErrors = $this->getErrorMessages($form); goto ba969; F5dc7: try { goto Dc704; Ecbb0: fb428: goto e9d5b; F9adb: $siteEntity = $this->getSiteEntity($domainName); goto f2451; C170d: EventQueue::addEvent(EventQueue::EVENT_SITE_PHP_SETTINGS_UPDATE, $user, $eventData, $request); goto Ea69a; Eaa09: $siteUpdater = $this->getSiteUpdater($site); goto efeca; Dc704: $user = $this->getUser(); goto d7077; D6802: $domainName = $site->getDomainName(); goto F9adb; Ea69a: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\x73", $this->translator->trans("\x50\110\120\40\123\x65\x74\164\151\156\147\x73\x20\150\x61\x76\145\x20\x62\x65\x65\x6e\x20\163\x61\166\145\x64\56")); goto Ecbb0; E5c33: $hasPhpVersionChanged = $currentPhpSettings->getPhpVersion() != $phpSettings->getPhpVersion(); goto Eaa09; f2451: if (!(false === is_null($siteEntity))) { goto fb428; } goto Ab5d6; c90fb: $siteUpdater->phpSettings(); goto b7f44; Ab5d6: $phpSettings = $form->getData(); goto E5c33; efeca: if (!(true === $hasPhpVersionChanged)) { goto e9bb8; } goto acfd7; acfd7: $siteUpdater->changePhpVersion($currentPhpSettings->getPhpVersion(), $phpSettings->getPhpVersion()); goto Cdbf3; F3de7: return $response; goto ba6f3; d7077: $session = $request->getSession(); goto D6802; e9d5b: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\164\145\137\163\145\164\x74\151\x6e\147\x73", ["\x64\157\155\x61\x69\156\x4e\141\x6d\145" => $site->getDomainName()])); goto F3de7; Cdbf3: e9bb8: goto c90fb; b7f44: $this->siteEntityManager->updateEntity($siteEntity); goto B2b6c; B2b6c: $eventData = ["\163\x69\164\145" => $domainName, "\x70\150\160\126\145\162\x73\x69\157\156" => $phpSettings->getPhpVersion(), "\155\145\155\x6f\162\171\x5f\x6c\x69\155\151\164" => $phpSettings->getMemoryLimit(), "\x6d\141\170\x5f\x65\x78\x65\143\165\x74\x69\157\x6e\137\x74\x69\x6d\145" => $phpSettings->getMaxExecutionTime(), "\155\141\x78\137\151\156\x70\165\x74\137\164\151\x6d\x65" => $phpSettings->getMaxInputTime(), "\x6d\141\x78\137\151\156\x70\165\164\x5f\x76\x61\162\x73" => $phpSettings->getMaxInputVars(), "\160\x6f\163\164\x5f\155\x61\x78\x5f\x73\x69\x7a\x65" => $phpSettings->getPostMaxSize(), "\x75\160\x6c\157\141\x64\137\x6d\x61\170\x5f\x66\x69\x6c\145\x73\151\172\x65" => $phpSettings->getUploadMaxFileSize()]; goto C170d; ba6f3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\162", $this->translator->trans("\101\x6e\x20\x65\162\162\x6f\162\x20\150\141\x73\x20\157\143\x63\x75\162\x72\145\144\x2c\40\x65\162\x72\x6f\x72\x20\155\145\x73\x73\141\x67\x65\72\x20\x25\x65\162\x72\x6f\x72\115\x65\x73\x73\141\147\145\x25", ["\45\145\162\x72\157\x72\x4d\x65\163\163\x61\147\145\45" => $e->getMessage()])); } goto da0a3; ba969: goto e0b1b; goto F0aa4; bd761: } private function getSite(Request $request) : ?Site { goto e2b63; a9fa2: Afbc1: goto a5338; F82c3: if (!(false === is_null($siteEntity))) { goto Cabb7; } goto c658d; f4c9d: $domainName = $request->get("\144\x6f\x6d\x61\x69\x6e\116\x61\155\145"); goto b30ee; eafed: $site->setBlockedBots($siteEntity->getBlockedBots()); goto e419e; fd8e5: $site->setCertificates($siteEntity->getCertificates()); goto A6482; e419e: $site->setBlockedIps($siteEntity->getBlockedIps()); goto ddc0d; A7d0f: $subdomain = false === empty($subdomain) ? $subdomain : null; goto Cf8c6; Ff27c: fe587: goto a9fa2; Efdaa: $site->setRegistrableDomain($registrableDomain); goto B6c19; D8b90: $site->setSshKeys($siteEntity->getSshKeys()); goto D30ab; eda1f: $site->setUser($siteEntity->getUser()); goto a2203; b30ee: $siteEntity = $this->getSiteEntity($domainName); goto d0b53; ff51b: $site->setFtpUsers($siteEntity->getFtpUsers()); goto dcd1a; Eebb6: Eba24: goto f310f; B0018: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto D2d03; A1b2b: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto b02e2; e2b63: $user = $this->getUser(); goto f4c9d; Fe717: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto B0018; C0d28: $site->setCertificate($siteEntity->getCertificate()); goto fd8e5; D30ab: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto Cb29c; B6c19: $site->setSubdomain($subdomain); goto Cfb51; D2d03: $subdomain = $resolvedDomainName->subDomain()->toString(); goto A7d0f; f310f: $siteType = $siteEntity->getType(); goto Afda2; dcd1a: $site->setSshUsers($siteEntity->getSshUsers()); goto D8b90; Afda2: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto ccf85; ccf85: $site = new NodejsSite(); goto A7e73; baa9a: goto Afbc1; goto c96b9; A7e73: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto baa9a; c96b9: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto Afbc1; case SiteEntity::TYPE_PHP: goto ad68e; b5367: $site->setVarnishCache($siteEntity->getVarnishCache()); goto Fc681; F1d38: $site->setPhpSettings($siteEntity->getPhpSettings()); goto b5367; Fc681: goto Afbc1; goto F8320; ad68e: $site = new PhpSite(); goto F1d38; F8320: case SiteEntity::TYPE_PYTHON: goto Ada41; a2bdb: goto Afbc1; goto de37e; De54a: $site->setPythonSettings($siteEntity->getPythonSettings()); goto a2bdb; Ada41: $site = new PythonSite(); goto De54a; de37e: case SiteEntity::TYPE_REVERSE_PROXY: goto aa391; caf4c: goto Afbc1; goto c51bb; F77f4: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto caf4c; aa391: $site = new ReverseProxySite(); goto F77f4; c51bb: } goto Ff27c; A0f5a: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto A1b2b; a5338: if (!(false === is_null($site))) { goto bdfb0; } goto Fe717; ddc0d: $site->setDatabases($siteDatabases); goto C0d28; Cb29c: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto A0f5a; a2203: $site->setDomainName($siteEntity->getDomainName()); goto Efdaa; E7fe8: return $site; goto B6652; Cf8c6: $siteDatabases = $this->getSiteDatabases($siteEntity); goto eda1f; c617c: Cabb7: goto E7fe8; Cfb51: $site->setRootDirectory($siteEntity->getRootDirectory()); goto C9521; d0b53: $site = null; goto F82c3; F1b54: return null; goto Eebb6; b02e2: bdfb0: goto c617c; C9521: $site->setBasicAuth($siteEntity->getBasicAuth()); goto eafed; c658d: if (!(UserEntity::ROLE_USER == $user->getRole() && false === $user->hasSite($siteEntity))) { goto Eba24; } goto F1b54; A6482: $site->setCronJobs($siteEntity->getCronJobs()); goto ff51b; B6652: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto ec645; a37a3: return $siteDatabases; goto Ab210; ec645: $siteDatabases = new ArrayCollection(); goto B014b; Dfd18: $databaseEntities = $siteEntity->getDatabases(); goto Bced8; B6dc2: ebeae: goto a37a3; Bced8: foreach ($databaseEntities as $databaseEntity) { goto Ad34c; Aca14: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto A1d48; } goto D94a5; C7a4b: B329c: goto Fc023; Fd2b2: A1d48: goto C7a4b; Ad34c: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto Aca14; D94a5: $siteDatabases->add($databaseEntity); goto Fd2b2; Fc023: } goto B6dc2; B014b: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Dfd18; Ab210: } private function getSiteUpdater(Site $site) : ?SiteUpdater { goto Dafdf; b08cb: $siteType = $site->getType(); goto C812a; Dafdf: $siteUpdater = null; goto b08cb; fc668: return $siteUpdater; goto d97d2; C58c3: Ec1e5: goto fc668; E915f: Ec955: goto C58c3; C812a: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto Ec1e5; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto Ec1e5; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto Ec1e5; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto Ec1e5; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto Ec1e5; } goto E915f; d97d2: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto A602a; A602a: $siteDeleter = null; goto D202b; f678e: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto d0992; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto d0992; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto d0992; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto d0992; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto d0992; } goto E73bc; D202b: $siteType = $site->getType(); goto f678e; A79a9: return $siteDeleter; goto E4e07; e4bfb: d0992: goto A79a9; E73bc: b64f0: goto e4bfb; E4e07: } private function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } }
