<?php
 namespace App\EventListener; use Symfony\Component\HttpKernel\Event\RequestEvent; use Symfony\Component\EventDispatcher\EventSubscriberInterface; use Symfony\Component\Console\Event\ConsoleCommandEvent; use Symfony\Component\HttpKernel\KernelEvents; use Symfony\Component\Console\ConsoleEvents; use Symfony\Contracts\Cache\ItemInterface; use Psr\Cache\CacheItemPoolInterface as CachePool; use GuzzleHttp\Client as HttpClient; use GuzzleHttp\Psr7\Request; use Twig\Environment as TwigEnvironment; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\UserManager; use App\Entity\Manager\DatabaseServerManager; use App\Command\Command; use App\Util\PasswordGenerator; use App\CloudPanel\Environment as CloudPanelEnvironment; use App\CloudPanel\Aws\Instance as AwsInstance; use App\CloudPanel\Do\Instance as DoInstance; use App\CloudPanel\Gce\Instance as GceInstance; use App\CloudPanel\Hetzner\Instance as HetznerInstance; use App\CloudPanel\Vultr\Instance as VultrInstance; use App\CloudPanel\Instance; use App\Do\Client as DoClient; use App\Gce\Client as GceClient; use App\Hetzner\Client as HetznerClient; use App\Vultr\Client as VultrClient; use App\System\CommandExecutor; use App\System\Command\ChangeDatabaseUserPasswordCommand; use App\Entity\DatabaseServer; use App\Service\Crypto; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Database\Connection as DatabaseConnection; use App\Util\Retry; class InitializeListener implements EventSubscriberInterface { private const IP_REQUEST_URL = "\150\x74\164\x70\x73\72\x2f\x2f\x64\x33\161\156\144\x35\x34\161\70\x67\x62\63\152\145\x2e\143\x6c\157\165\x64\146\x72\x6f\156\164\56\156\x65\164\x2f"; private ConfigManager $configManager; private DatabaseServerManager $databaseServerManager; private UserManager $userManager; private CachePool $cachePool; private TwigEnvironment $twig; public function __construct(ConfigManager $configManager, DatabaseServerManager $databaseServerManager, UserManager $userManager, CachePool $cachePool, TwigEnvironment $twig) { goto Eb0dd; f8914: $this->twig = $twig; goto ac28b; D95a1: $this->userManager = $userManager; goto b6e05; Eb0dd: $this->configManager = $configManager; goto e9eaa; b6e05: $this->cachePool = $cachePool; goto f8914; e9eaa: $this->databaseServerManager = $databaseServerManager; goto D95a1; ac28b: } public function onKernelRequest(RequestEvent $event) : void { goto F224a; F224a: if (!(false === $event->isMainRequest())) { goto b8895; } goto c427b; c427b: return; goto A80a3; A80a3: b8895: goto Cfe2c; Cfe2c: $this->initialize($event); goto aad4e; aad4e: } public function onConsoleCommand(ConsoleCommandEvent $event) : void { goto A9533; B96f8: if (!$command instanceof Command) { goto c142a; } goto D16d4; eca89: c142a: goto c0591; A9533: $command = $event->getCommand(); goto B96f8; D16d4: $this->initialize($event); goto eca89; c0591: } private function initialize(RequestEvent|ConsoleCommandEvent $event) : void { goto cb74d; C2b3c: $this->setCloudPanelVersion(); goto b9a83; A8bcd: $this->setLetsEncryptPrivateKey(); goto a3040; a3040: $this->setDatabaseServer($event); goto Be42a; b9a83: $this->setCloudPanelReleaseChannel(); goto A8bcd; Be42a: $this->setEnvironment($event); goto E5000; C65d6: $this->setInstanceUid(); goto C2b3c; cb74d: $this->setTimezone(); goto C65d6; E5000: } private function setTimezone() : void { goto ec8de; F3cbe: $this->configManager->set("\164\x69\155\145\x7a\x6f\x6e\x65", "\x55\x54\x43"); goto Ffa82; Ffa82: Ac12e: goto ce4a6; A87f9: if (!(true === is_null($timezone))) { goto Ac12e; } goto F3cbe; ec8de: $timezone = $this->configManager->get("\x74\151\155\145\x7a\x6f\156\x65"); goto A87f9; ce4a6: } private function setInstanceUid() : void { goto b4972; b9335: cbf24: goto b2cb4; F9004: $instanceUid = substr(sha1(uniqid(mt_rand(), true)), 0, 16); goto Fc19b; Fc19b: $this->configManager->set("\x69\156\x73\164\x61\x6e\143\145\137\x75\x69\x64", $instanceUid); goto b9335; b4972: $instanceUid = $this->configManager->get("\151\156\163\164\141\156\x63\x65\x5f\x75\151\x64"); goto C816c; C816c: if (!(true === is_null($instanceUid))) { goto cbf24; } goto F9004; b2cb4: } private function setCloudPanelVersion() : void { goto c96ba; B2d75: $this->configManager->set("\141\x70\160\137\x76\145\x72\163\x69\157\x6e", trim($appVersion)); goto ac988; ac988: a8c10: goto Afb24; eb2b0: if (!(false === is_null($appVersion))) { goto a8c10; } goto B2d75; c96ba: $appVersion = $_ENV["\101\x50\120\x5f\126\105\122\123\x49\x4f\116"] ?? null; goto eb2b0; Afb24: } private function setCloudPanelReleaseChannel() : void { goto Cc204; Cefb7: f0b22: goto b05f1; Cc204: $releaseChannel = $this->configManager->get("\162\145\154\x65\x61\163\x65\x5f\x63\150\x61\x6e\x6e\145\x6c"); goto C97fd; Be37c: $this->configManager->set("\x72\x65\154\145\x61\163\x65\x5f\x63\x68\141\x6e\x6e\x65\154", CloudPanelEnvironment::RELEASE_CHANNEL_STABLE); goto Cefb7; C97fd: if (!(true === is_null($releaseChannel))) { goto f0b22; } goto Be37c; b05f1: } private function setLetsEncryptPrivateKey() { goto E1271; f8ea9: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto bc614; Eeb96: $rsaKeyGenerator = new RsaKeyGenerator(); goto f8ea9; B4485: eac89: goto A298c; bc614: $this->configManager->set("\154\x65\x5f\x70\162\151\x76\141\164\145\137\153\x65\x79", $privateKey->getPEM()); goto B4485; Ce3e5: $letsEncryptPrivateKey = $this->configManager->get("\x6c\145\x5f\x70\162\x69\166\141\x74\x65\x5f\x6b\145\171"); goto C5d8d; C5d8d: if (!(true === is_null($letsEncryptPrivateKey))) { goto eac89; } goto Eeb96; A298c: e8162: goto B6d48; E1271: $numberOfUsers = $this->userManager->countAll(); goto dd313; dd313: if (!(0 < $numberOfUsers)) { goto e8162; } goto Ce3e5; B6d48: } private function setDatabaseServer(RequestEvent|ConsoleCommandEvent $event) : void { goto a36e8; B5d90: $changeDatabaseUserPasswordCommand = new ChangeDatabaseUserPasswordCommand(); goto Ea961; fa9a3: $password = "\x72\157\x6f\x74"; goto A2bd0; f2a44: $commandExecutor = new CommandExecutor(); goto B5d90; Ea961: $changeDatabaseUserPasswordCommand->setUserName("\x72\x6f\157\x74"); goto c1bf3; E7ed3: $databaseServer->setIsDefault(true); goto e7e0b; d4a60: $this->databaseServerManager->updateEntity($databaseServer); goto a054e; e998e: if (!("\144\x65\x76" != $_ENV["\101\120\x50\137\105\x4e\126"])) { goto a4918; } goto C576e; C576e: $tmpDatabaseServer = clone $databaseServer; goto e74da; f05f1: a4918: goto d4a60; b498a: if (!(0 < $numberOfUsers && 0 == count($databaseServers))) { goto c3be2; } goto F5d11; c575b: $databaseServer->setPassword($encryptedPassword); goto e998e; F94ce: $databaseServer->setUserName("\162\x6f\157\x74"); goto c15ff; a36e8: $numberOfUsers = $this->userManager->countAll(); goto Dca96; A2bd0: d7d1b: goto Ea5e0; c1bf3: $changeDatabaseUserPasswordCommand->setNewPassword($password); goto C895c; a054e: c3be2: goto f6ee1; ae0ae: $password = $passwordGenerator->generate(); goto e630b; d4f47: $databaseServer->setIsActive(true); goto E7ed3; e74da: $tmpDatabaseServer->setPassword("\162\x6f\157\164"); goto f2a44; e7e0b: $databaseConnection = new DatabaseConnection($databaseServer); goto E4e11; C895c: $changeDatabaseUserPasswordCommand->setDatabaseServer($tmpDatabaseServer); goto e631b; Ea5e0: $encryptedPassword = Crypto::encrypt($password); goto e3e98; e630b: goto d7d1b; goto ab825; Add59: $databaseServer->setHost("\x31\62\67\x2e\60\x2e\60\56\x31"); goto F94ce; dcc83: $passwordGenerator = new PasswordGenerator(); goto ae0ae; bbaff: $databaseServer->setVersion($databaseConnection->getVersion()); goto c575b; E4e11: $databaseServer->setEngine($databaseConnection->getEngine()); goto bbaff; F5d4d: $databaseServer->setPort(DatabaseServer::DEFAULT_PORT); goto d4f47; F5d11: if ("\x64\145\x76" == $_ENV["\101\x50\x50\137\x45\x4e\x56"]) { goto D9d0c; } goto dcc83; ab825: D9d0c: goto fa9a3; c15ff: $databaseServer->setPassword(Crypto::encrypt("\162\x6f\157\164")); goto F5d4d; e3e98: $databaseServer = $this->databaseServerManager->createEntity(); goto Add59; Dca96: $databaseServers = $this->databaseServerManager->findAll(); goto b498a; e631b: $commandExecutor->execute($changeDatabaseUserPasswordCommand); goto f05f1; f6ee1: } private function setEnvironment(RequestEvent|ConsoleCommandEvent $event) : void { goto Ef578; C1dff: $hostname = gethostname(); goto D9f21; B8421: $isDarkMode = false === is_null($request->cookies->get("\x74\x68\x65\155\x65")) && "\144\141\162\153" == $request->cookies->get("\x74\150\x65\x6d\x65") ? true : false; goto a28eb; B1fe0: $instance->setEnvironment($environment); goto C1dff; Ef578: $cloud = $this->configManager->get("\143\154\x6f\165\x64"); goto Ce0b0; ac7b4: $command = $event->getCommand(); goto c5342; D9f21: $instance->setHostname($hostname); goto c4cb2; Da505: switch ($cloud) { case CloudPanelEnvironment::CLOUD_PROVIDER_AWS: goto B66f4; a8312: $instanceId = $_ENV["\104\x45\x56\x5f\101\127\x53\x5f\x49\116\123\124\101\x4e\103\x45\137\111\x44"] ?? ''; goto d602b; e5a57: $instance->setInstanceType("\x74\63\56\170\x6c\141\x72\x67\145"); goto e4a0f; c9134: $instance = new AwsInstance(); goto df0e5; df0e5: if (!("\144\x65\x76" == $_ENV["\101\x50\x50\x5f\x45\116\x56"])) { goto c5483; } goto a8312; B66f4: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_AWS); goto c9134; fe10b: goto fb3c7; goto e03e8; Aadc9: $instance->setInstanceId($instanceId); goto e5a57; e4a0f: $instance->setRegion($region); goto E840c; E840c: c5483: goto fe10b; d602b: $region = $_ENV["\x44\105\126\x5f\101\127\x53\x5f\x52\105\x47\111\117\116"] ?? ''; goto Aadc9; e03e8: case CloudPanelEnvironment::CLOUD_PROVIDER_DO: goto A2dcf; D5558: $doClient = new DoClient(); goto c8458; F346c: $region = $_ENV["\104\105\x56\x5f\104\117\137\122\105\x47\x49\x4f\116"] ?? ''; goto E2eb0; c8458: $token = $this->configManager->get("\144\157\137\141\143\143\x65\163\163\x5f\x74\157\153\145\156"); goto A4558; dcb5e: $instance = new DoInstance($doClient); goto bf6e7; Aaa17: $instance->setIpv4PublicIp("\x31\62\x37\56\60\56\60\x2e\x31"); goto F329d; D55c5: $doClient->setToken($token); goto A648e; Cf6ab: $dropletId = $_ENV["\x44\x45\x56\x5f\104\x4f\x5f\104\122\117\x50\114\105\x54\137\111\104"] ?? ''; goto F346c; a5c86: goto fb3c7; goto d1bc0; A033e: $instance->setRegion($region); goto E9d74; F329d: e4758: goto a5c86; A2dcf: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_DO); goto D5558; d0a82: if (!("\x64\145\x76" == $_ENV["\101\x50\x50\137\105\x4e\126"])) { goto e4758; } goto Cf6ab; E2eb0: $instance->setDropletId($dropletId); goto A033e; bf6e7: $doClient->setInstance($instance); goto d0a82; A4558: if (!(false === is_null($token))) { goto Ea7d6; } goto D55c5; E9d74: $instance->setFloatingIp("\x31\62\67\56\x30\x2e\60\56\x31"); goto Aaa17; A648e: Ea7d6: goto dcb5e; d1bc0: case CloudPanelEnvironment::CLOUD_PROVIDER_GCE: goto defae; Fc30a: $instance->setProjectId($projectId); goto F0e6e; e9094: if (!(false === is_null($serviceAccountKeys))) { goto Fc11d; } goto F8dc7; A19c4: $instance->setZone($zone); goto Def3c; F8dc7: $serviceAccountKeys = (array) json_decode($serviceAccountKeys, true); goto ab6e8; F0e6e: $instance->setInstanceId($instanceId); goto F8c9b; De002: if (!("\144\145\x76" == $_ENV["\101\120\x50\x5f\105\x4e\126"])) { goto d658e; } goto c1a09; A4714: $machineType = $_ENV["\x44\105\x56\137\x47\x43\105\137\x4d\101\x43\110\x49\116\x45\137\x54\x59\x50\105"] ?? ''; goto cd6d5; D8481: $instanceId = $_ENV["\x44\x45\x56\137\x47\103\105\x5f\x49\116\x53\124\101\x4e\x43\105\x5f\x49\104"] ?? ''; goto Ad37d; E2949: Fc11d: goto Fb6ea; A2e0c: $serviceAccountKeys = $this->configManager->get("\147\x63\x65\137\x73\145\162\166\151\x63\x65\137\x61\143\x63\157\165\x6e\x74\137\153\x65\x79\x73"); goto e9094; cd6d5: $zone = $_ENV["\104\x45\126\137\107\103\x45\x5f\132\117\116\x45"] ?? ''; goto Eb8b7; F8c9b: $instance->setInstanceName($instanceName); goto f7162; Eb8b7: $instance->setIpv4PublicIp("\61\62\x37\x2e\60\56\60\56\61"); goto Fc30a; c1a09: $projectId = $_ENV["\x44\x45\126\137\107\103\x45\137\x50\x52\117\x4a\105\x43\124\137\111\x44"] ?? ''; goto D8481; bf7cd: goto fb3c7; goto ce2c2; c698b: $gceClient = new GceClient(); goto A2e0c; defae: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_GCE); goto c698b; Ad37d: $instanceName = $_ENV["\x44\105\x56\x5f\x47\103\x45\x5f\111\x4e\123\x54\x41\116\103\x45\137\116\101\115\105"] ?? ''; goto A4714; Def3c: d658e: goto bf7cd; f7162: $instance->setMachineType($machineType); goto A19c4; ce9b5: $gceClient->setGceInstance($instance); goto De002; ab6e8: $gceClient->setAuthConfig($serviceAccountKeys); goto E2949; Fb6ea: $instance = new GceInstance($gceClient); goto ce9b5; ce2c2: case CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER: goto fb2c4; F5040: C470d: goto Add0a; Bd7b5: $hetznerClient = new HetznerClient(); goto B60ad; B305b: $instance->setInstanceId($instanceId); goto eb949; B60ad: $apiToken = $this->configManager->get("\150\x65\x74\x7a\156\x65\x72\x5f\x61\160\151\137\164\157\x6b\145\x6e"); goto B80d0; a9702: $hetznerClient->setInstance($instance); goto A39ea; c05a5: $hetznerClient->setToken($apiToken); goto F5040; Add0a: $instance = new HetznerInstance($hetznerClient); goto a9702; F1772: $instance->setIpv4PublicIp("\x31\62\67\x2e\x30\x2e\x30\x2e\61"); goto B305b; A39ea: if (!("\x64\145\166" == $_ENV["\x41\x50\x50\x5f\105\x4e\126"])) { goto fd62a; } goto A1cbc; B80d0: if (!(false === is_null($apiToken))) { goto C470d; } goto c05a5; eb949: fd62a: goto Ed9bb; A1cbc: $instanceId = $_ENV["\104\x45\126\137\110\105\124\132\116\x45\x52\137\111\116\123\124\x41\x4e\x43\105\x5f\x49\x44"] ?? ''; goto F1772; Ed9bb: goto fb3c7; goto cd7a2; fb2c4: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER); goto Bd7b5; cd7a2: case CloudPanelEnvironment::CLOUD_PROVIDER_VULTR: goto Cfe8a; c9f90: if (!("\x64\145\x76" == $_ENV["\101\120\120\x5f\x45\116\126"])) { goto d870e; } goto e0e21; D4312: C5a17: goto a8373; D9ab1: $vultrClient->setApiKey($apiKey); goto D4312; eb040: $vultrClient = new VultrClient(); goto f183a; a524c: $instance->setIpv4PublicIp($ipv4PublicIp); goto dca0b; e0e21: $instanceId = $_ENV["\104\105\126\137\x56\125\x4c\x54\122\x5f\x49\116\123\x54\x41\116\x43\105\x5f\111\104"] ?? ''; goto fa589; E120f: $vultrClient->setVultrInstance($instance); goto c9f90; fa589: $ipv4PublicIp = $_ENV["\104\x45\126\137\x56\x55\114\124\122\137\x49\120\x5f\126\64\x5f\120\x55\x42\114\111\x43"] ?? "\61\62\67\x2e\60\56\x30\56\61"; goto a524c; a8373: $instance = new VultrInstance($vultrClient); goto E120f; d1dda: if (!(false === is_null($apiKey))) { goto C5a17; } goto D9ab1; Cfe8a: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_VULTR); goto eb040; ce9c8: goto fb3c7; goto Ee4a2; ed342: d870e: goto ce9c8; dca0b: $instance->setInstanceId($instanceId); goto ed342; f183a: $apiKey = $this->configManager->get("\166\x75\154\164\162\x5f\x61\x70\151\x5f\153\x65\x79"); goto d1dda; Ee4a2: default: $instance = new Instance(); goto fb3c7; } goto c0034; d3c24: $instance->setUid($instanceUid); goto Faa8a; af8f9: A86e4: goto daa9f; D77a5: fb3c7: goto D5508; a28eb: $ipv4PublicIp = $instance->getIpv4PublicIp(); goto C8706; c0034: Ff32e: goto D77a5; Fa39e: $this->twig->addGlobal("\x69\156\163\164\x61\156\143\x65", $instance); goto c94aa; aeb77: try { $ipv4PublicIp = $this->cachePool->get("\151\x70\166\x34\x5f\160\x75\142\x6c\x69\143\137\151\x70", function (ItemInterface $item) { goto E763b; F1572: d7d39: goto Fdefb; cc7f1: $ipv4PublicIp = null; goto D3f14; D3f14: $config = ["\x74\x69\155\x65\157\165\164" => 5, "\x76\x65\x72\151\146\x79" => false, "\150\x65\141\x64\x65\162\x73" => ["\125\163\145\162\x2d\101\147\x65\x6e\x74" => "\103\x6c\157\165\144\x50\141\x6e\x65\x6c\40\x76\62"]]; goto a6474; D00be: $ipv4PublicIp = trim((string) $response->getBody()); goto F1572; E763b: $item->expiresAfter(3600); goto cc7f1; B225f: $request = new Request("\x47\105\x54", self::IP_REQUEST_URL); goto c6ca4; Dff5e: $responseStatusCode = $response->getStatusCode(); goto Bf011; c6ca4: $response = $this->retry(function () use($httpClient, $request) { $response = $httpClient->send($request); return $response; }); goto Dff5e; a6474: $httpClient = new HttpClient($config); goto B225f; Fdefb: return $ipv4PublicIp; goto e4dcb; Bf011: if (!(200 == $responseStatusCode)) { goto d7d39; } goto D00be; e4dcb: }); } catch (\Exception $e) { } goto D66d8; c5342: $command->setInstance($instance); goto a374a; C08dc: $host = $request->getHost(); goto B8421; c4cb2: if ($event instanceof RequestEvent) { goto A86e4; } goto ac7b4; a374a: goto A35c4; goto af8f9; a3afd: $request->attributes->set("\151\x6e\x73\164\141\x6e\x63\x65", $instance); goto C62d9; C62d9: $request->attributes->set("\151\163\104\141\x72\153\x4d\x6f\x64\x65", $isDarkMode); goto Fa39e; Cda01: Fe241: goto a3afd; daa9f: $request = $event->getRequest(); goto C08dc; Faa8a: B54a1: goto B1fe0; D66d8: $instance->setIpv4PublicIp($ipv4PublicIp); goto Cda01; bcadb: $ipv4PublicIp = ''; goto aeb77; c94aa: $this->twig->addGlobal("\x69\163\104\141\162\x6b\115\157\x64\x65", $isDarkMode); goto fba4b; A178b: if (!(false === is_null($instanceUid))) { goto B54a1; } goto d3c24; C8706: if (!(true === empty($ipv4PublicIp))) { goto Fe241; } goto bcadb; Ce0b0: $environment = new CloudPanelEnvironment(); goto Da505; fba4b: A35c4: goto D2665; D5508: $instanceUid = $this->configManager->get("\x69\x6e\x73\x74\x61\156\x63\x65\x5f\x75\x69\x64"); goto A178b; D2665: } private function retry(callable $fn, $retries = 1, $delay = 3) { return Retry::retry($fn, $retries, $delay); } public static function getSubscribedEvents() : array { return [KernelEvents::REQUEST => [["\157\156\113\145\162\x6e\145\154\x52\x65\161\x75\145\163\164", 25]], ConsoleEvents::COMMAND => [["\157\x6e\103\157\x6e\x73\x6f\x6c\x65\103\157\155\155\141\156\x64", 25]]]; } }
