<?php
 namespace App\Site\Nginx\Vhost; use App\Site\Site; use App\Site\Nginx\Vhost\Processor\Processor; use App\Site\Nginx\Vhost\Processor\RootDirectory as RootDirectoryProcessor; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; use App\Site\Nginx\Vhost\Processor\NginxAccessLog as NginxAccessLogProcessor; use App\Site\Nginx\Vhost\Processor\NginxErrorLog as NginxErrorLogProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificateKey as NginxCertificateKeyProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificate as NginxCertificateProcessor; use App\Site\Nginx\Vhost\Processor\Settings as SettingsProcessor; class Template { protected Site $site; protected ?string $content = null; protected array $placeholders = []; protected array $processors = []; public function __construct(Site $site) { $this->site = $site; $this->init(); } protected function init() : void { goto Effc0; bde07: $certificateProcessor = new NginxCertificateProcessor(); goto ab86c; C7aab: $this->addProcessor($nginxErrorLogProcessor); goto F304c; ab86c: $settingsProcessor = new SettingsProcessor(); goto F7da6; A3138: $redirectDomainProcessor = new RedirectDomainProcessor(); goto C0b36; F304c: $this->addProcessor($certificateKeyProcessor); goto C0b9b; F7da6: $this->addProcessor($rootDirectoryProcessor); goto E6121; E6121: $this->addProcessor($serverNameProcessor); goto da9e3; Effc0: $rootDirectoryProcessor = new RootDirectoryProcessor(); goto d3872; a664e: $this->addProcessor($nginxAccessLogProcessor); goto C7aab; De991: $this->addProcessor($settingsProcessor); goto b220b; d3872: $serverNameProcessor = new ServerNameProcessor(); goto bd9fe; C0b9b: $this->addProcessor($certificateProcessor); goto De991; C0b36: $nginxAccessLogProcessor = new NginxAccessLogProcessor(); goto B48b7; B48b7: $nginxErrorLogProcessor = new NginxErrorLogProcessor(); goto Fa9c8; Fa9c8: $certificateKeyProcessor = new NginxCertificateKeyProcessor(); goto bde07; d7233: $this->addProcessor($redirectDomainProcessor); goto a664e; da9e3: $this->addProcessor($redirectServerNameProcessor); goto d7233; bd9fe: $redirectServerNameProcessor = new RedirectServerNameProcessor(); goto A3138; b220b: } public function getSite() : Site { return $this->site; } public function setContent(string $content) : void { $this->content = $content; } public function getContent() : ?string { return $this->content; } public function build() : void { goto c4756; c4756: $processors = $this->getProcessors(); goto Ba277; A4ff6: foreach ($placeholders as $placeholder) { goto Ddcd8; ecaf8: Ca673: goto Aea85; Aea85: B334a: goto d57d4; d9e69: $this->removePlaceholder($placeholder); goto ecaf8; D2113: $this->content = $processor->process($this->content); goto d9e69; d1d91: $processor->setSite($this->site); goto D2113; Bc980: if (!(true === $hasProcessor)) { goto Ca673; } goto b96ef; Ddcd8: $hasProcessor = $this->hasProcessor($placeholder); goto Bc980; b96ef: $processor = $processors[$placeholder]; goto d1d91; d57d4: } goto Dea1b; Ba277: $placeholders = $this->getPlaceholders(); goto A4ff6; Dea1b: a39a6: goto d53b9; d53b9: } public function removeEmptyPlaceholders() : void { goto C7cc2; C7cc2: $placeholders = $this->getPlaceholders(); goto f2cd6; f2cd6: foreach ($placeholders as $placeholder) { $this->content = str_replace($placeholder, '', $this->content); e6bdd: } goto B917e; B917e: ac104: goto Ff86f; Ff86f: } protected function hasProcessor(string $placeholder) : bool { return isset($this->processors[$placeholder]); } protected function getProcessors() : array { return $this->processors; } public function addProcessor(Processor $processor) : void { $this->processors[$processor->getPlaceholder()] = $processor; } public function resetProcessors() : void { $this->processors = []; } public function getPlaceholders() : array { goto e615b; Cb027: if (!(true === isset($placeholders[0]) && count($placeholders[0]))) { goto Ec401; } goto Bd149; B5d7b: c567b: goto Cc2d8; f3f31: Ec401: goto B5d7b; Fb5b4: E6743: goto f3f31; Cc2d8: return $this->placeholders; goto Cd4e2; d16d8: preg_match_all("\57\x5b\173\173\135\x7b\62\x7d\x28\133\x5c\x73\141\55\172\101\x2d\x5a\x30\55\x39\x5f\135\x2b\x29\133\175\175\x5d\x7b\x32\x7d\x2f", $this->content, $placeholders); goto Cb027; e615b: if (!(true === empty($this->placeholders))) { goto c567b; } goto d16d8; F4942: foreach ($placeholders as $placeholder) { goto C43c8; Ef24b: b24ed: goto d28a7; C43c8: $placeholder = trim($placeholder); goto ac00e; ac00e: if (!(false === empty($placeholder))) { goto b2ffc; } goto Cd290; Cf9ae: b2ffc: goto Ef24b; Cd290: $this->addPlaceholder($placeholder); goto Cf9ae; d28a7: } goto Fb5b4; Bd149: $placeholders = $placeholders[0]; goto F4942; Cd4e2: } private function addPlaceholder(string $placeholder) : void { $this->placeholders[$placeholder] = $placeholder; } private function removePlaceholder(string $placeholder) : void { goto Cd43b; Cd43b: if (!(true === isset($this->placeholders[$placeholder]))) { goto aae8e; } goto ae205; ae205: unset($this->placeholders[$placeholder]); goto deff8; deff8: aae8e: goto E78a1; E78a1: } }
