<?php
 namespace App\Site; use App\System\Command\CopyFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\NginxConfigTestCommand; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\ChmodCommand; use App\System\Command\FindChmodCommand; use App\System\Command\WriteFileCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\ChangeUserHomeDirectoryCommand; use App\System\Command\CreateUserCommand; use App\System\Command\DeleteUserCommand; use App\System\Command\ChangeUserPasswordCommand; use App\System\Command\CreateSymlinkCommand; use App\System\Command\ReadLinkCommand; use App\System\Command\ServiceReloadCommand; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Entity\Site as SiteEntity; use App\Site\Ssl\LetsEncrypt\CertificateOrder; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Nginx\Vhost\StaticTemplate; use App\Site\Nginx\Vhost\NodejsTemplate; use App\Site\Nginx\Vhost\PhpTemplate; use App\Site\Nginx\Vhost\PythonTemplate; use App\Site\Nginx\Vhost\ReverseProxyTemplate; abstract class Updater { public const NGINX_BASIC_AUTH_DIRECTORY = "\x2f\x65\x74\143\57\x6e\147\151\156\170\57\x62\x61\163\151\143\x2d\x61\165\164\150\57"; public const NGINX_VHOST_DIRECTORY = "\x2f\145\x74\143\x2f\x6e\x67\x69\x6e\x78\57\163\151\x74\145\163\x2d\145\156\x61\142\x6c\x65\x64\x2f"; public const NGINX_SSL_CERTIFICATES_DIRECTORY = "\57\145\164\x63\x2f\x6e\147\151\156\170\57\163\x73\154\x2d\x63\x65\x72\164\x69\x66\151\x63\x61\x74\x65\x73\x2f"; public const CRON_DIRECTORY = "\57\145\x74\x63\57\143\162\x6f\x6e\x2e\x64\x2f"; protected Site $site; protected CommandExecutor $commandExecutor; public function __construct(Site $site) { $this->site = $site; $this->commandExecutor = new CommandExecutor(); } public function domainSettings() : void { $this->updateNginxVhost(); $this->reloadNginxService(); } public function updateNginxVhost() : void { goto C2655; fc342: $writeVhostFileCommand = new WriteFileCommand(); goto C61f3; b63a0: $vhostFileContent = $this->site->getVhostTemplate(); goto B87e8; C2655: $domainName = $this->site->getDomainName(); goto b63a0; Cf939: a9d3b: goto F751e; E215a: $vhostFile = sprintf("\x25\x73\x2f\x25\x73\56\x63\x6f\156\146", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto D25b4; F751e: A9770: goto bc56c; e1ae8: $vhostContent = $vhostTemplate->getContent(); goto fc342; B87e8: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto A9770; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto A9770; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto A9770; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto A9770; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto A9770; } goto Cf939; d8097: $vhostTemplate->removeEmptyPlaceholders(); goto e1ae8; D25b4: $vhostTemplate->build(); goto d8097; b1e1f: $writeVhostFileCommand->setContent($vhostContent); goto b1128; C61f3: $writeVhostFileCommand->setFile($vhostFile); goto b1e1f; b1128: $this->commandExecutor->execute($writeVhostFileCommand); goto d0901; bc56c: $vhostTemplate->setContent($vhostFileContent); goto E215a; d0901: } public function updateNginxVhostWithRollback() : void { try { goto A4a5e; Fe4b8: $vhostContent = $vhostTemplate->getContent(); goto b5396; ef12f: $reloadNginxServiceCommand = new ServiceReloadCommand(); goto E5711; a4503: $deleteVhostBackupFileCommand->setFile($vhostBackupFile); goto F0fa8; af98f: $vhostFile = sprintf("\45\x73\x2f\x25\x73\56\143\x6f\x6e\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto ad060; cdb60: $vhostFileContent = $this->site->getVhostTemplate(); goto B4f5a; F37c7: $vhostTemplate->removeEmptyPlaceholders(); goto Fe4b8; A4a5e: $domainName = $this->site->getDomainName(); goto cdb60; F0fa8: $this->commandExecutor->execute($copyVhostBackupFileCommand); goto ec9c7; e7073: $nginxConfigTestCommand = new NginxConfigTestCommand(); goto C1ec6; cde5d: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto b7007; De0b5: if (!("\144\145\166" != $_ENV["\x41\x50\x50\x5f\105\x4e\x56"])) { goto b2031; } goto ef12f; ec9c7: $this->commandExecutor->execute($writeVhostFileCommand); goto F76a3; B76a7: $writeVhostFileCommand->setContent($vhostContent); goto e7073; F8979: $this->commandExecutor->execute($reloadNginxServiceCommand); goto Bfb7b; F76a3: $this->commandExecutor->execute($nginxConfigTestCommand); goto De0b5; f57e7: $writeVhostFileCommand = new WriteFileCommand(); goto a88f3; a88f3: $writeVhostFileCommand->setFile($vhostFile); goto B76a7; B4f5a: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto dcf31; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto dcf31; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto dcf31; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto dcf31; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto dcf31; } goto ee419; b5396: $vhostBackupFile = sprintf("\x25\163\57\45\163\x2e\143\x6f\156\x66\x2e\x62\x61\x6b", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto c48f2; E5711: $reloadNginxServiceCommand->setServiceName("\156\147\151\156\170"); goto F8979; ee419: e1c2f: goto c0bcb; Eb640: $copyVhostBackupFileCommand->setDestinationFile($vhostBackupFile); goto f57e7; E810e: $copyVhostBackupFileCommand->setSourceFile($vhostFile); goto Eb640; C1ec6: $deleteVhostBackupFileCommand = new DeleteFileCommand(); goto a4503; Bfb7b: b2031: goto cde5d; Ffd2d: $vhostTemplate->setContent($vhostFileContent); goto af98f; c0bcb: dcf31: goto Ffd2d; c48f2: $copyVhostBackupFileCommand = new CopyFileCommand(); goto E810e; ad060: $vhostTemplate->build(); goto F37c7; b7007: } catch (\Exception $e) { goto Dc52a; C66b2: $errorMessage = $nginxConfigTestCommand->getOutput(); goto dd058; dbf1b: $this->commandExecutor->execute($restoreBackupFileCommand); goto D900a; D8fdd: $this->commandExecutor->execute($reloadNginxServiceCommand); goto fb70f; Ff12f: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto da9f2; D900a: if (!(true === isset($reloadNginxServiceCommand))) { goto F1756; } goto D8fdd; a2938: if (!(true === isset($nginxConfigTestCommand))) { goto Cf108; } goto C66b2; D928c: $restoreBackupFileCommand->setDestinationFile($vhostFile); goto dbf1b; fb70f: F1756: goto Ff12f; da9f2: throw new InvalidVhostException($errorMessage); goto D370f; C660b: $restoreBackupFileCommand = new CopyFileCommand(); goto A3646; A3646: $restoreBackupFileCommand->setSourceFile($vhostBackupFile); goto D928c; Dc52a: $errorMessage = $e->getMessage(); goto a2938; dd058: Cf108: goto C660b; D370f: } } public function createSshUser(SshUserEntity $sshUserEntity) : void { goto Ccfb7; Edac5: $siteUserHomeDirectory = sprintf("\x2f\x68\x6f\x6d\145\x2f\x25\163", $siteUser); goto C3f18; Ccfb7: $site = $sshUserEntity->getSite(); goto A2788; a0efd: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto A4cd9; E9cad: $createUserCommand->setShell("\x2f\x62\151\x6e\57\142\141\163\x68"); goto Ab023; Bf461: $createUserCommand->setPassword($sshUserPassword); goto bd863; Ac267: $symlinkDirectories = ["\142\x61\143\x6b\165\x70\163", "\x68\164\144\157\143\x73", "\154\157\147\163"]; goto C41d6; d0b7a: $createUserCommand->setHomeDirectory($homeDirectory); goto e59b2; bc9c4: $sshUserPassword = $sshUserEntity->getPassword(); goto Fd43c; Ab023: $createUserCommand->setSkeletonDirectory($skeletonDirectory); goto d0b7a; A4cd9: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto Abc01; Db1a9: $sshUserName = $sshUserEntity->getUserName(); goto bc9c4; ab757: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto Af71b; A84d0: $createUserCommand = new CreateUserCommand(); goto Dae17; e59b2: $createUserCommand->createHomeDirectory(true); goto C901c; C4dc4: $sshDirectory = sprintf("\x2f\150\x6f\155\x65\x2f\45\x73\57\56\x73\163\150", $sshUserName); goto Edb35; Abc01: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto Dbea8; a49b4: $sshDirectoryChmodCommand->setFile($sshDirectory); goto a07d4; Dfd53: $skeletonDirectory = realpath(dirname(__FILE__) . "\57\56\x2e\57\56\x2e\57\x72\145\163\x6f\165\162\x63\145\163\57\145\x74\143\x2f\x73\153\145\x6c\x2f\163\x73\x68\55\x75\163\145\162\57"); goto A84d0; Dbea8: $this->commandExecutor->execute($sshDirectoryChmodCommand); goto ab757; C901c: $this->commandExecutor->execute($createUserCommand); goto Ac267; A2788: $siteUser = $site->getUser(); goto Db1a9; C3f18: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto a0efd; bd863: $createUserCommand->setGroup($siteUser); goto E9cad; Edb35: $sshDirectoryChmodCommand = new FindChmodCommand(); goto a49b4; Dae17: $createUserCommand->setUserName($sshUserName); goto Bf461; b959c: $sshDirectoryChmodCommand->setFileChmod(600); goto Edac5; Fd43c: $homeDirectory = sprintf("\57\150\157\155\145\x2f\45\x73", $sshUserName); goto Dfd53; C41d6: foreach ($symlinkDirectories as $symlinkDirectory) { goto d207c; F4739: cfedc: goto aa5ee; D26fb: $this->commandExecutor->execute($symlinkCommand); goto F4739; A4137: $symlinkCommand->setDestination($destination); goto d88d4; C8911: $symlinkCommand->setRunAsUser($sshUserName); goto Ffbfc; dafeb: $destination = sprintf("\x2f\x68\157\x6d\145\x2f\45\x73\x2f\45\163", $sshUserName, $symlinkDirectory); goto dc7e7; d207c: $source = sprintf("\x2f\150\x6f\155\x65\57\45\x73\x2f\45\163", $siteUser, $symlinkDirectory); goto dafeb; aa5ee: d2cde: goto A0501; d88d4: if (!("\x64\x65\166" != $_ENV["\101\x50\120\x5f\105\x4e\x56"])) { goto cfedc; } goto D26fb; dc7e7: $symlinkCommand = new CreateSymlinkCommand(); goto C8911; Ffbfc: $symlinkCommand->setSource($source); goto A4137; A0501: } goto D93e1; D93e1: Fe743: goto C4dc4; a07d4: $sshDirectoryChmodCommand->setDirectoryChmod(700); goto b959c; Af71b: } public function createFtpUser(FtpUserEntity $ftpUserEntity) : void { goto a5090; C8afc: $ftpUserPassword = $ftpUserEntity->getPassword(); goto c53d0; a5090: $site = $ftpUserEntity->getSite(); goto ebd53; Fdf05: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto Ee970; cd3d0: $createUserCommand->setShell("\57\142\151\x6e\x2f\x66\141\x6c\163\145"); goto b277a; F1f73: $siteUserHomeDirectory = sprintf("\57\150\x6f\155\145\x2f\x25\163", $siteUser); goto Dc671; f8232: $createUserCommand = new CreateUserCommand(); goto d4cad; Ee970: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto C1069; C1069: $this->commandExecutor->execute($createUserCommand); goto a6f14; Dc671: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto ce65a; c53d0: $homeDirectory = $ftpUserEntity->getHomeDirectory(); goto f8232; ef79b: $createUserCommand->setGroup($siteUser); goto ce3ce; b277a: $createUserCommand->setHomeDirectory($homeDirectory); goto a55e5; d4cad: $createUserCommand->setUserName($ftpUserName); goto d3abc; a55e5: $createUserCommand->createHomeDirectory(false); goto F1f73; a6f14: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto Fd0bf; d3abc: $createUserCommand->setPassword($ftpUserPassword); goto ef79b; ebd53: $siteUser = $site->getUser(); goto e01de; ce65a: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto Fdf05; ce3ce: $createUserCommand->setGroups(["\x66\164\x70\x2d\165\x73\145\162"]); goto cd3d0; e01de: $ftpUserName = $ftpUserEntity->getUserName(); goto C8afc; Fd0bf: } public function deleteUser(string $userName, $removeHomeDirectory = true) : void { goto bb2b9; bcaa1: $deleteUserCommand->setRemoveHomeDirectory($removeHomeDirectory); goto D1215; D1215: $this->commandExecutor->execute($deleteUserCommand); goto F8b9c; bb2b9: $deleteUserCommand = new DeleteUserCommand(); goto ebfbf; ebfbf: $deleteUserCommand->setUserName($userName); goto bcaa1; F8b9c: } public function installCertificate(CertificateEntity $certificateEntity) : void { goto Ec3a3; d64f8: $writePrivateKeyFileCommand->setFile($privateKeyFile); goto D8628; f678f: $this->reloadService("\156\147\x69\x6e\170"); goto cc45a; Fe332: $certificate = $certificateEntity->getCertificate(); goto Baa8a; b26d9: $certificate .= sprintf("\45\163\45\163", PHP_EOL, trim($certificateEntity->getCertificateChain())); goto e7943; Baa8a: if (!(false === empty($certificateEntity->getCertificateChain()))) { goto E3b5a; } goto b26d9; A4b1d: $writeCertificateFileCommand->setContent($certificate); goto b3f18; D8628: $writePrivateKeyFileCommand->setContent($certificateEntity->getPrivateKey()); goto E2840; E2840: $writeCertificateFileCommand = new WriteFileCommand(); goto D5705; B0c1f: $privateKeyFile = sprintf("\45\163\57\45\163\x2e\153\x65\171", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto ff8ea; da084: $this->commandExecutor->execute($writeCertificateFileCommand); goto f678f; Ce4a8: $writePrivateKeyFileCommand = new WriteFileCommand(); goto d64f8; D5705: $writeCertificateFileCommand->setFile($certificateFile); goto A4b1d; b3f18: $this->commandExecutor->execute($writePrivateKeyFileCommand); goto da084; ff8ea: $certificateFile = sprintf("\45\x73\x2f\45\x73\56\x63\x72\164", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto Fe332; Ec3a3: $domainName = $this->site->getDomainName(); goto B0c1f; e7943: E3b5a: goto Ce4a8; cc45a: } public function deleteLetsEncryptChallengeDirectory() : void { goto D0158; F6bc6: $acemeChallengeDirectory = sprintf("\45\x73\57\56\167\145\x6c\154\x2d\x6b\x6e\157\167\x6e\x2f\141\x63\x6d\x65\55\143\x68\141\x6c\x6c\x65\156\x67\x65\x2f", rtrim($rootDirectory, "\x2f")); goto acfd6; f9559: $deleteAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto c4717; c4717: $this->commandExecutor->execute($deleteAcmeChallengeDirectoryCommand); goto e790a; acfd6: $deleteAcmeChallengeDirectoryCommand = new DeleteDirectoryCommand(); goto f9559; D0158: $rootDirectory = $this->getRootDirectory(); goto F6bc6; e790a: } public function createBasicAuthFile(BasicAuthEntity $basicAuthEntity) : void { goto a0ba3; F5207: $basicAuthFileContent = sprintf("\45\x73\72\x25\163", $basicAuthEntity->getUserName(), crypt($basicAuthEntity->getPassword(), base64_encode($basicAuthEntity->getPassword()))); goto ce4ad; Ecd4b: $this->commandExecutor->execute($writeBasicAuthFileCommand); goto C235f; b1d2b: $writeBasicAuthFileCommand->setFile($basicAuthFile); goto C4173; C4173: $writeBasicAuthFileCommand->setContent($basicAuthFileContent); goto Ecd4b; ce4ad: $writeBasicAuthFileCommand = new WriteFileCommand(); goto b1d2b; a0ba3: $basicAuthFile = sprintf("\x25\163\x2f\45\163", rtrim(self::NGINX_BASIC_AUTH_DIRECTORY, "\x2f"), $this->site->getDomainName()); goto F5207; C235f: } public function createLetsEncryptChallengeFiles(CertificateOrder $certificateOrder) : void { goto Bcc5e; af460: $chownWellKnownDirectoryCommandCommand->setFile($wellKnownDirectory); goto b50ce; b8af9: $this->commandExecutor->execute($chmodWellKnownDirectoryCommand); goto B6e69; bd95f: $rootDirectory = $this->getRootDirectory(); goto d172f; e52b6: $challenges = $certificateOrder->getAuthorizationsChallenges(); goto e85f0; B0f90: F29a4: goto C76ca; Fd540: F25ef: goto B0f90; Da6a4: $createAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto adbe1; d172f: $wellKnownDirectory = sprintf("\45\163\57\56\167\145\x6c\x6c\55\x6b\x6e\x6f\x77\156\x2f", rtrim($rootDirectory, "\57")); goto d0993; d0993: $acemeChallengeDirectory = sprintf("\x25\x73\57\x2e\167\x65\154\x6c\x2d\153\156\x6f\167\156\x2f\141\143\155\145\x2d\143\150\x61\x6c\154\145\156\147\145\57", rtrim($rootDirectory, "\x2f")); goto e52b6; f2300: foreach ($challenges as $challenge) { goto d50c3; a33cd: dff6b: goto Ba3ec; C63c8: $challengeWriteFileCommand = new WriteFileCommand(); goto b32ef; ea557: $challengeFile = sprintf("\x25\163\x2f\45\163", rtrim($acemeChallengeDirectory, "\x2f"), $token); goto C63c8; A6a22: $verificationContent = $challenge["\166\145\x72\x69\146\x69\143\141\164\x69\157\x6e\103\x6f\x6e\x74\x65\x6e\x74"] ?? null; goto b1c65; d50c3: $token = $challenge["\x74\x6f\153\145\156"] ?? null; goto A6a22; c3314: $this->commandExecutor->execute($challengeWriteFileCommand); goto da104; b32ef: $challengeWriteFileCommand->setFile($challengeFile); goto c3536; c3536: $challengeWriteFileCommand->setContent($verificationContent); goto c3314; da104: A034e: goto a33cd; b1c65: if (!(false === is_null($token) && false === is_null($verificationContent))) { goto A034e; } goto ea557; Ba3ec: } goto Fd540; C76ca: $chownWellKnownDirectoryCommandCommand = new ChownCommand(); goto af460; F59ab: $chmodWellKnownDirectoryCommand->setFile($wellKnownDirectory); goto f79e6; A8eb8: $chownWellKnownDirectoryCommandCommand->setUser($siteUser); goto F3784; D61a8: $chmodWellKnownDirectoryCommand = new FindChmodCommand(); goto F59ab; b50ce: $chownWellKnownDirectoryCommandCommand->setRecursive(true); goto A8eb8; dc858: if (!count($challenges)) { goto F29a4; } goto f2300; F3784: $chownWellKnownDirectoryCommandCommand->setGroup($siteUser); goto D61a8; f79e6: $chmodWellKnownDirectoryCommand->setDirectoryChmod(750); goto c680b; c680b: $chmodWellKnownDirectoryCommand->setFileChmod(770); goto Dd520; Bcc5e: $siteUser = $this->site->getUser(); goto bd95f; Dd520: $this->commandExecutor->execute($chownWellKnownDirectoryCommandCommand); goto b8af9; e85f0: $createAcmeChallengeDirectoryCommand = new CreateDirectoryCommand(); goto Da6a4; adbe1: $this->commandExecutor->execute($createAcmeChallengeDirectoryCommand); goto dc858; B6e69: } public function updateUserCrontab() : void { goto e46b6; cae74: if (!count($cronJobs)) { goto a2130; } goto b1e9d; faf35: $crontabFile = sprintf("\x25\163\57\x25\x73", rtrim(self::CRON_DIRECTORY, "\x2f"), $siteUser); goto Fa9b1; B3cbc: a2130: goto cf3be; aa9f2: $writeCrontabFileCommand = new WriteFileCommand(); goto Cb42c; Fa9b1: $crontabEntries = ["\115\101\111\x4c\124\117\x3d\42\x22"]; goto A0aac; B75e4: B77bb: goto B3cbc; f35b1: $this->commandExecutor->execute($writeCrontabFileCommand); goto de3a8; abae8: $writeCrontabFileCommand->setContent($crontabContent); goto f35b1; cf3be: $crontabContent = implode(PHP_EOL, $crontabEntries); goto aa9f2; b1e9d: foreach ($cronJobs as $cronJob) { $crontabEntries[] = $cronJob->getCrontabExpression(); cbeb2: } goto B75e4; Cb42c: $writeCrontabFileCommand->setFile($crontabFile); goto abae8; e46b6: $siteUser = $this->site->getUser(); goto faf35; A0aac: $cronJobs = $this->site->getCronJobs(); goto cae74; de3a8: } public function purgePageSpeedCache() : void { goto Ff8ff; Fc1ea: $purgePageSpeedCacheFilesCommand->setDirectory($cacheDirectory); goto e84bd; e84bd: $this->commandExecutor->execute($purgePageSpeedCacheFilesCommand, 300); goto d58a1; B3989: $cacheDirectory = sprintf("\57\x68\157\155\x65\x2f\x25\163\x2f\x74\155\160\x2f\x70\x61\x67\x65\x73\x70\145\145\144\137\x63\141\x63\150\145", $siteUser); goto Bc423; Ff8ff: $siteUser = $this->site->getUser(); goto B3989; Bc423: $purgePageSpeedCacheFilesCommand = new DeleteDirectoryCommand(); goto Fc1ea; d58a1: } public function updateUserSShKeys(string $userName, $sshKeys) : void { goto Bc3ee; f092d: $writeAuthorizedKeysFileCommand = new WriteFileCommand(); goto Eb083; b1dc9: $this->commandExecutor->execute($readLinkCommand); goto C0d0e; C0d0e: $readLinkPath = $readLinkCommand->getOutput(); goto a3727; Ece58: $writeAuthorizedKeysFileCommand->setContent($sshKeys); goto Acc20; Acc20: $this->commandExecutor->execute($writeAuthorizedKeysFileCommand); goto Bad20; f390d: $readLinkCommand = new ReadLinkCommand(); goto a4e3f; a3727: if (!(false === empty($readLinkPath) && $readLinkPath == $authorizedKeysFile)) { goto be7fc; } goto f092d; a4e3f: $readLinkCommand->setFile($authorizedKeysFile); goto b1dc9; Bad20: be7fc: goto ea69c; Bc3ee: $authorizedKeysFile = sprintf("\x2f\150\157\155\145\x2f\45\x73\x2f\x2e\163\x73\150\57\x61\x75\x74\150\x6f\162\x69\172\145\x64\137\153\145\x79\163", $userName); goto f390d; Eb083: $writeAuthorizedKeysFileCommand->setFile($authorizedKeysFile); goto Ece58; ea69c: } public function changeUserHomeDirectory(string $userName, string $homeDirectory) : void { goto f8aa0; Bf277: $this->commandExecutor->execute($changeUserHomeDirectoryCommand); goto b5f42; a724a: $changeUserHomeDirectoryCommand->setUserName($userName); goto B3e1b; B3e1b: $changeUserHomeDirectoryCommand->setHomeDirectory($homeDirectory); goto Bf277; f8aa0: $changeUserHomeDirectoryCommand = new ChangeUserHomeDirectoryCommand(); goto a724a; b5f42: } public function changeUserPassword(string $userName, string $password) : void { goto Ce76e; a851d: $this->commandExecutor->execute($changeUserPasswordCommand); goto A2c2e; D9fbc: $changeUserPasswordCommand->setPassword($password); goto a851d; D48b1: $changeUserPasswordCommand->setUserName($userName); goto D9fbc; Ce76e: $changeUserPasswordCommand = new ChangeUserPasswordCommand(); goto D48b1; A2c2e: } protected function getRootDirectory() : string { goto Fecb5; E07c0: $rootDirectory = $this->site->getRootDirectory(); goto c3bbd; C3f07: return $rootDirectory; goto dc0aa; Fecb5: $siteUser = $this->site->getUser(); goto E07c0; c3bbd: $rootDirectory = sprintf("\57\x68\157\x6d\x65\57\45\x73\x2f\x68\x74\144\x6f\x63\163\57\45\x73", $siteUser, $rootDirectory); goto C3f07; dc0aa: } public function reloadNginxService() : void { $this->reloadService("\x6e\x67\x69\156\170"); } public function reloadService($serviceName) { goto Cd76f; e4e9b: $this->commandExecutor->execute($reloadServiceCommand); goto Fca00; B87bc: $reloadServiceCommand->setServiceName($serviceName); goto e4e9b; Fca00: efaf8: goto a6312; Cd76f: if (!("\144\145\x76" != $_ENV["\x41\120\120\x5f\105\x4e\126"])) { goto efaf8; } goto eccc6; eccc6: $reloadServiceCommand = new ServiceReloadCommand(); goto B87bc; a6312: } }
